;;----------------------------------------------------------------------------
;       FOX FOREST BOARD
;;----------------------------------------------------------------------------

LAYOUT
;;----

$0801:		dsysstart

$0810:          ssetup
		sidle
		sattack
		sdialenter
		sdialmain
		sprint
		sdialexit
		sdialINT
		sdxycp
		sfall
		slook
		scrouch
		sjump
		sfastnext
		swalk
		srun
		sparticles
		sturn
		slimits
		sglideH
		sadvance
		sallsprite
		sswim
		smain
		sscroll

		senemies
		scheck
		swhitemonster
		sleaf
		swoodpecker
		sfish
		sworm
		sdust
		sblood
		ssplash

		sbottleI

		sinterrupt
		stiming
		speer
		skeyread
		smesh
		ddialog
		denemies
		dbulk

$3700:		;-dialog script buffer-;

$3800:		dforrestblox	;dcaveblox

$4000: 		;-SCREEN1-;
$4400:		;-SCREEN2-;


$4800:		dfullsprite
		dblanksprite
		dshadow1
		dshadow2
		dfader1
		dwoodpecker1    ;$25
		dwoodpecker2
		dwoodpecker3
		dwoodpecker4
		dfish1          ;$29
		dfish2
		dfish3
		dfish4
		dfish5
		dfish6
		dleaf1          ;$2f
		dleaf2
		dleaf3
		dworm1          ;$32
		dworm2
		dworm3
		dworm4
		dsplash1        ;$36
		dsplash2
		dsplash3
		ddust1		;$39
		ddust2
		ddust3
		dkey1I		;$3c
		dkey2I
		dcheeseI
		dgoodherbI

$5000:		ddarkfox

$6680:          dbadherbI       ;$9a
		dbottleI
		;drockI          ;$9a



$6700:		dwavesource
$6800:          dalphachars
$7800:		dforrestchars
$8000:		dforrestmap

ENDL


ALIASB		mapwidth	= $f0	;$a0
ALIASW		mapwidthbottom	= $0b40	;mapwidth * $0c

ALIASB		firstsolid	= $c6
ALIASB		firsttop	= $a2

ALIASB		level2		= $08
ALIASB		maxchars	= 16
ALIASB		lastenemyplusone= $90

ALIASB          temp1		= $fb
ALIASB          temp2 		= $fc
ALIASB          temp3 		= $fd
ALIASB          temp4 		= $fe
ALIASB          littlecount 	= $12
ALIASB          medcount 	= $13
ALIASB          glidecount 	= $14
ALIASB          limits 		= $15
ALIASB          joydir 		= $16
ALIASB          glidevelocity 	= $17
ALIASB          inkle1 		= $18
ALIASB          inkle2 		= $19
ALIASB          facing 		= $1a
ALIASB          scrolldir 	= $1c
ALIASB          spritetoturnL 	= $1d
ALIASB          spritetoturnH 	= $1e
ALIASB          turntemp1 	= $1f
ALIASB          turntemp2 	= $20
ALIASB          walkvel 	= $21
ALIASB          Hscrollreg 	= $22
ALIASB          newscreen 	= $23
ALIASB          H 		= $24
ALIASB          V 		= $25
ALIASB		scrolldirtemp 	= $26
ALIASB          scrollvar1	= $27
ALIASB		rows		= $28
ALIASB		maptempL	= $2a
ALIASB		maptempH	= $2b
ALIASB		blockL		= $2c
ALIASB		blockH		= $2d
ALIASB		blokcolor	= $2e
ALIASB		blockoffset	= $2f
ALIASB		mapL		= $30
ALIASB		mapH		= $31

ALIASB		newEflag	= $32
ALIASB		Ecounts		= $33
ALIASB		E1count		= $34
ALIASB		E2count		= $35
ALIASB		E3count		= $36
ALIASB		E4count		= $37
ALIASB		E5count		= $38
ALIASB		E6count		= $39
ALIASB		E7count		= $3a
ALIASB		CEtemp		= $3b
ALIASB		currentenemies	= $3c

ALIASB		greytemp	= $3f
ALIASB		scrollgate1	= $40
ALIASB		turnflag	= $41
ALIASB		flicker		= $44
ALIASB		flickertemp	= $45
ALIASB		INTtemp1	= $48
ALIASB		INTtemp2	= $49
ALIASB		INTtemp3	= $4a
ALIASB		murdertemp1	= $4b
ALIASB		murdertemp2	= $4c

ALIASB		safezonelist1	= $4d
ALIASB		safezonelist2	= $4e
ALIASB		safezonelist3	= $4f
ALIASB		dangzonelist	= $50
ALIASB		dangzonelist2	= $51
ALIASB		spritesright	= $52
ALIASB		spritesleft	= $53
ALIASB		scrollgate2	= $54
ALIASB		normalallowflag	= $55
ALIASB		ElimL		= $56
ALIASB		ElimH		= $57
ALIASB		upcount		= $58
ALIASB		upcounttemp	= $59
ALIASB		progress	= $5a
ALIASB		talkingenemy	= $5b
ALIASB		letterscount	= $5c
ALIASB		Xpos		= $5d
ALIASB		Ypos		= $5e
ALIASB		basecharL	= $5f
ALIASB		basecharH	= $60
ALIASB		temp5		= $61
ALIASB		letterscounttemp= $62
ALIASB		currentchar	= $63
ALIASB		peerdir		= $64

ALIASB		peercountL	= $65
ALIASB		peercountH	= $66
ALIASB		wavecount	= $67
ALIASB		wavestep	= $68
ALIASB		column		= $69
ALIASB		oldkey		= $6a
ALIASB		wetflag		= $6b
ALIASB		clockL		= $6c
ALIASB		clockH		= $6d


ALIASB		dialcursorX	= $6c
ALIASB		dialcursorY	= $6d

ALIASB		landandrun	= $6e
ALIASB		FSflag		= $6f

ALIASW		SP0_pointer 	= $0200
ALIASW		SP1_pointer	= $0201
ALIASW		SP2_pointer 	= $0202
ALIASW		SP3_pointer	= $0203
ALIASW		SP4_pointer 	= $0204
ALIASW		SP5_pointer	= $0205
ALIASW		SP6_pointer 	= $0206
ALIASW		SP7_pointer	= $0207
ALIASW		SP8_pointer 	= $0208
ALIASW		SP9_pointer	= $0209
ALIASW		SPA_pointer 	= $020A
ALIASW		SPB_pointer	= $020B

ALIASW		SP0_Y		= $020C
ALIASW		SP1_Y		= $020D
ALIASW		SP2_Y		= $020E
ALIASW		SP3_Y		= $020F
ALIASW		SP4_Y		= $0210
ALIASW		SP5_Y		= $0211
ALIASW		SP6_Y		= $0212
ALIASW		SP7_Y		= $0213
ALIASW		SP8_Y		= $0214
ALIASW		SP9_Y		= $0215
ALIASW		SPA_Y		= $0216
ALIASW		SPB_Y		= $0217

ALIASW		SP4_Xlow	= $021C
ALIASW		SP5_Xlow	= $021D
ALIASW		SP6_Xlow	= $021E
ALIASW		SP7_Xlow	= $021F
ALIASW		SP8_Xlow	= $0220
ALIASW		SP9_Xlow	= $0221
ALIASW		SPA_Xlow	= $0222
ALIASW		SPB_Xlow	= $0223

ALIASW		SP4_Xhi		= $0228
ALIASW		SP5_Xhi		= $0229
ALIASW		SP6_Xhi		= $022A
ALIASW		SP7_Xhi		= $022B
ALIASW		SP8_Xhi		= $022C
ALIASW		SP9_Xhi		= $022D
ALIASW		SPA_Xhi		= $022e
ALIASW		SPB_Xhi		= $022f

ALIASW		SP4_collision	= $0230
ALIASW		SP5_collision	= $0231
ALIASW		SP6_collision	= $0232
ALIASW		SP7_collision	= $0233

ALIASW		SP4_color	= $0234
ALIASW		SP5_color	= $0235
ALIASW		SP6_color	= $0236
ALIASW		SP7_color	= $0237
ALIASW		SP8_color	= $0238
ALIASW		SP9_color	= $0239
ALIASW		SPA_color	= $023a
ALIASW		SPB_color	= $023b

ALIASW		pointer4	= $023c
ALIASW		pointer5	= $023d
ALIASW		pointer6	= $023e
ALIASW		pointer7	= $023f
ALIASW		pointer8	= $0240
ALIASW		pointer9	= $0241
ALIASW		pointera	= $0242
ALIASW		pointerb	= $0243

ALIASW		Xlow4		= $0244
ALIASW		Xlow5		= $0245
ALIASW		Xlow6		= $0246
ALIASW		Xlow7		= $0247
ALIASW		Xlow8		= $0248
ALIASW		Xlow9		= $0249
ALIASW		Xlowa		= $024a
ALIASW		Xlowb		= $024b

ALIASW		Xhigh4		= $024c
ALIASW		Xhigh5		= $024d
ALIASW		Xhigh6		= $024e
ALIASW		Xhigh7		= $024f
ALIASW		Xhigh8		= $0250
ALIASW		Xhigh9		= $0251
ALIASW		Xhigha		= $0252
ALIASW		Xhighb		= $0253

ALIASW		Y4		= $0254
ALIASW		Y5		= $0255
ALIASW		Y6		= $0256
ALIASW		Y7		= $0257
ALIASW		Y8		= $0258
ALIASW		Y9		= $0259
ALIASW		Ya		= $025a
ALIASW		Yb		= $025b

ALIASW		color4		= $025c
ALIASW		color5		= $025d
ALIASW		color6		= $025e
ALIASW		color7		= $025f
ALIASW		color8		= $0260
ALIASW		color9		= $0261
ALIASW		colora		= $0262
ALIASW		colorb		= $0263

ALIASW		T0_pointer 	= $0264
ALIASW		T1_pointer	= $0265
ALIASW		T2_pointer 	= $0266
ALIASW		T3_pointer	= $0267

ALIASW		T0_Y		= $0268
ALIASW		T1_Y		= $0269
ALIASW		T2_Y		= $026a
ALIASW		T3_Y		= $026b

ALIASW		power		= $0278
ALIASW		multis		= $0279
ALIASW  	Xhighs		= $027a

ALIASW		scriptbuffer	= $3700
ALIASW		blockdata	= $3800

@fordat
@forenem
@fordial


CODE ssetup
;;--------

start:          sei
		lda $01
		and #$fe
		sta $01
		lda #$01
		sta normalallowflag
		sta clockL
		sta clockH
		lda #$00
		tax
		txs
		sta wavestep
		sta scrollgate2
		sta scrollgate1
		sta $10
		sta inkle1
		sta glidevelocity
		sta H
		sta V
		sta Hscrollreg
		sta currentenemies
		sta $D020
		sta $D021
		sta SP4_Xhi
		sta SP5_Xhi
		sta SP6_Xhi
		sta SP7_Xhi
		sta SP8_Xhi
		sta SP9_Xhi
		sta SPA_Xhi
		sta SPB_Xhi
		sta spritesright
		sta spritesleft
		sta landandrun
		lda #$44
		sta newscreen
		lda #$04
		sta facing
		lda #$01
		sta glidecount
		sta wavecount
		lda #$0c      	;FORREST
		sta $D02c
		sta $D02e
		lda #$00
		sta $D02b
		sta $D02d
		lda #$09
		sta $D022
		lda #$0e
		sta $D023

		lda #$80	;d3
		sta mapL
		lda #$8b	;a5
		sta mapH

		lda #$B0
		sta $d008	;SP0_Xlow
		sta $d00a	;SP1_Xlow
		lda #$98
		sta $d00c	;SP2_Xlow
		sta $d00e	;SP3_Xlow
		lda #$ba        ;93
		sta SP0_Y
		sta SP1_Y
		sta SP2_Y
		sta SP3_Y
		lda #$01
		sta $d025
		lda #$00
		sta $d026
		lda #$00
		sta $d01b
		lda #$D0
		sta $D016
		lda #$0F
		sta $D018
		lda #$00
		sta $d01d
		sta $d017

		lda #$7f
		sta $dc0d
		lda $dd02
		ora #$03
		sta $dd02
		lda $dd00
		and #%11111100
		ora #%00000010
		sta $dd00

		lda #<sinterrupt
		sta $0314
		lda #>sinterrupt
		sta $0315
		lda #$01
		sta $d019
		sta $d01a
		lda #$f5
		sta $d012
		lda #$00
		sta $D011
		lda #$f0
		sta $d015
		cli
		lda #$1a
		sta marker1 + 1
l_129:		lda #$02
		jsr sscroll|start
marker1:	ldx #$00
		dex
		beq inf
		stx marker1 + 1
		jmp l_129


inf:		jsr sidle|setup
		jsr smesh

		jsr stiming|start


;;;;;;;;;;;;;;;;;;;;;;


;		lda #$89
;		sta $a4d9
;-

		lda #$00
		sta temp1
		lda #$80
		sta temp2

		lda #$89

&		ldx #$0e
&		ldy $dc04
		sta (temp1),y
		dex
		bne -

		inc temp2

		ldx temp2
		cpx #$bf
		bne --
-;
		;lda #$89
		;sta $a6b2
		;sta $9c73

		;sta $9d60
		;sta $9d63

		;sta $9f40
		;sta $9f43



;;;;;;;;;;;;;;;;;;;;;;


		jmp smain|start

ENDC


CODE smain
;;-------

start:          lda $DC00
nobuttrepeat:	ora #$00
		sta joydir
		lda #$10
		bit $DC00
		bne allowbutt
		lda #$10
		sta nobuttrepeat + 1
		jmp skipover1
allowbutt:      lda #$00
		sta nobuttrepeat + 1

skipover1:	jsr slimits|start
		jsr action
		jmp start

action:		jmp ($0010)


ENDC


CODE sinterrupt
;;------------

CONTROL:        lda #<ZONE1
		sta $0314
		lda #>ZONE1
		sta $0315
		lda #$28
		sta $d012
		;lda #$10
		;sta $d011
		lda $d019
		sta $d019
		cli

		lda scrollgate2
		beq normal

		lda #$00
		sta scrollgate2
		lda $d018
		eor #$10
		sta $d018

		ldx newscreen
		lda dbulk|newscreenflip - $40,x
		sta newscreen
		lda $D016
		and #$F8
intod0161:	ora Hscrollreg
		sta $D016
		jsr sscroll|scrollcolor
		lda #$00
		sta scrollgate1
		jmp exiter

normal:         lda $d016
		and #$f8
intod0162:	ora #$00	;Hscrollreg
		sta $d016

exiter:		jmp $ea81


ZONE1:
;dec $d020
		lda T0_pointer
		sta $43fc
		sta $47fc
		lda T1_pointer
		sta $43fd
		sta $47fd
		lda T2_pointer
		sta $43fe
		sta $47fe
		lda T3_pointer
		sta $43ff
		sta $47ff
		lda T0_Y
		sta $d009
		lda T1_Y
		sta $d00b
		lda T2_Y
		sta $d00d
		lda T3_Y
		sta $d00f

		lda $d015
		and #$f0
		sta $d015

		lda dbulk|ranknums
		bmi lessthan5
		ldx #$00
		jsr placeone
		lda dbulk|ranknums + 1
		bmi lessthan5
		ldx #$02
		jsr placeone
		lda dbulk|ranknums + 2
		bmi lessthan5
		ldx #$04
		jsr placeone
		lda dbulk|ranknums + 3
		bmi lessthan5
		ldx #$06
		jsr placeone
		lda dbulk|ranknums + 4
		bmi lessthan5
		lda dbulk|spritestart + 4
		sta defineline + 1
		sec
		sbc #$04
		sta $d012
		lda #<ZONE2
		sta $0314
		lda #>ZONE2
		sta $0315
		jmp rasterexit
lessthan5:	jmp noroom


;--------------------------------------;

ZONE2:          ldy #$04
;dec $d020
&		lda dbulk|ranknums,y
		bmi done2
		jsr findavailableslot
		bcs full2
		lda dbulk|ranknums,y
		jsr placeone
		iny
		cpy #$08
		bcc -
done2:		jmp noroom

full2:          lda $d012
		clc
		adc #$04
		sta test2 + 1
&		lda dbulk|spritestart,y
		cmp #$ff
		beq done2
test2:		cmp #$00
		bcs canhandle2
		iny
		cpy #$08
		bcc -
		jmp noroom

canhandle2:	sty ZONE3 + 1
		lda dbulk|spritestart,y
		sta defineline + 1
		sec
		sbc #$04
		sta $d012
		lda #<ZONE3
		sta $0314
		lda #>ZONE3
		sta $0315
		jmp rasterexit

;--------------------------------------;

ZONE3:          ldy #$00
;dec $d020
&		lda dbulk|ranknums,y
		bmi done3
		jsr findavailableslot
		bcs full3
		lda dbulk|ranknums,y
		jsr placeone
		iny
		cpy #$08
		bcc -
done3:		jmp noroom

full3:          lda $d012
		clc
		adc #$04
		sta test3 + 1
&		lda dbulk|spritestart,y
		cmp #$ff
		beq done3
test3:		cmp #$00
		bcs canhandle3
		iny
		cpy #$08
		bcc -
		jmp noroom

canhandle3:	sty ZONE4 + 1
		lda dbulk|spritestart,y
		sta defineline + 1
		sec
		sbc #$04
		sta $d012
		lda #<ZONE4
		sta $0314
		lda #>ZONE4
		sta $0315
		jmp rasterexit

;--------------------------------------;

ZONE4:          ldy #$00
;dec $d020
&		lda dbulk|ranknums,y
		bmi done4
		jsr findavailableslot
		bcs full4
		lda dbulk|ranknums,y
		jsr placeone
		iny
		cpy #$08
		bcc -
done4:		jmp noroom

full4:          lda $d012
		clc
		adc #$04
		sta test4 + 1
&		lda dbulk|spritestart,y
		cmp #$ff
		beq done4
test4:		cmp #$00
		bcs canhandle4
		iny
		cpy #$08
		bcc -
		jmp noroom

canhandle4:	sty ZONE5 + 1
		lda dbulk|spritestart,y
		sta defineline + 1
		sec
		sbc #$04
		sta $d012
		lda #<ZONE5
		sta $0314
		lda #>ZONE5
		sta $0315
		jmp rasterexit

;--------------------------------------;

ZONE5:          ldy #$00
;dec $d020
		jmp noroom
&		lda dbulk|ranknums,y
		bmi noroom
		jsr findavailableslot
		bcs noroom
		lda dbulk|ranknums,y
		jsr placeone
		iny
		cpy #$08
		bcc -

noroom:         lda $d012
		cmp #$c0
		bcs WEIGHT
		lda #<WEIGHT
		sta $0314
		lda #>WEIGHT
		sta $0315
		lda #$c0	;60
		sta $d012

rasterexit:     lda $d019
		sta $d019
;inc $d020
		jmp $ea81

findavailableslot:
		ldx #$00
&		lda $d001,x
		clc
		adc #$14
defineline:	cmp #$00
		bcc foundslot
		inx
		inx
		cpx #$07
		bcc -
foundslot:	rts

WEIGHT:
;lda #$01
;sta $d020
		lda #<CONTROL
		sta $0314
		lda #>CONTROL
		sta $0315
		lda #$f5
		sta $d012
		lda $d019
		sta $d019

worldclock:  	dec clockL
		bne nosky
		dec clockH
		bne timecheck
		lda #$1f
		sta clockH

timecheck:      ldx #$00
		lda clockH
&		cmp sigtimes,x
		beq foundit
		inx
		cpx #$04
		bne -
		jmp nosky

foundit:        lda atmos,x
		sta $d023
		lda foxoutline,x
		sta $d02b
		sta $d02d
nosky:


		lda scrolldir
		and #$03
		bne checkflag

		jsr senemies|freesprites
		jsr senemies|onscreenaction

freezeenemies:  lda scrolldir
		bne checkflag
		jsr sscroll|shiftenemies
		jsr senemies|massacre
		jsr arrange
		lda Hscrollreg
		sta intod0162 + 1
		jmp wind

checkflag:	lda scrollgate1
		beq wind

setupscroll:    jsr sscroll|shiftenemies
		jsr senemies|massacre
                jsr senemies|freesprites
		jsr senemies|new
		jsr arrange
		lda Hscrollreg
		sta intod0162 + 1
		lda #$ff
		sta scrollgate2

wind:           dec wavecount 		;FORREST
		bne exit3
		lda #$08
		sta wavecount

		ldx #$2f
source:		lda dwavesource,x
		sta $7d10,x
		dex
		bpl source

		inc wavestep
		ldx wavestep
		cpx #$06
		bcc +
		ldx #$00
		stx wavestep
&		lda chars,x
		sta source + 1

exit3:
;dec $d020
		jmp $ea81


placeone:       ;A<- the enemy number
		;X<- the sprite to use X 2

		sty saveY + 1
		tay

		lda SP4_Xlow,y
		sta $d000,x
		lda SP4_Y,y
		sta $d001,x

		txa
		lsr acc
		tax

		lda SP4_pointer,y
		sta $43f8,x
		sta $47f8,x
		lda SP4_color,y
		sta $d027,x
		and #$10
		beq nomulti
		lda translate,x
		ora $d01c
		sta $d01c
		jmp checkX
nomulti:        lda translate,x
		eor #$ff
		and $d01c
		sta $d01c
checkX:		lda SP4_Xhi,y
		beq nohibit
		lda translate,x
		ora $d010
		sta $d010
		jmp turnon
nohibit:        lda translate,x
		eor #$ff
		and $d010
		sta $d010
turnon:		lda $d015
		ora translate,x
		sta $d015

saveY:          ldy #$00
		rts

;-
place:		stx fillzone + 1
		sty fillzone + 2
		sta line + 1
		lda #$00
		sta power
		sta Xhighs
		sta multis
		ldy #$00
initX:		ldx #$00
fillzone:	lda $0000,x
		bmi done
		stx INTtemp1
		tax
		lda SP4_Xlow,x
		sta Xlow4,y
		lda SP4_Y,x
		sta Y4,y
		lda SP4_Xhi,x
		beq nohibit
		lda translate,y
		ora Xhighs
		sta Xhighs
nohibit:	lda SP4_pointer,x
		sta pointer4,y
		lda SP4_color,x
		sta color4,y
		and #$10
		beq nomulti
		lda translate,y
		ora multis
		sta multis
nomulti:	lda power
		ora translate,y
		sta power
		ldx INTtemp1
done:           iny
		cpy #$04
		beq exit
dexinx:		inx
;compareX:
		cpx #$04
		bne fillzone

exit:
line:		lda #$00
vitalraster:  	cmp $d012
		bcs vitalraster
		lda power
S4:		lsr acc
		bcc S5
		ldx Y4
		stx $d001
		ldx pointer4
		stx $43f8
		stx $47f8
		ldx Xlow4
		stx $d000
		ldx color4
		stx $d027
S5:		lsr acc
		bcc S6
		ldx Y5
		stx $d003
		ldx pointer5
		stx $43f9
		stx $47f9
		ldx Xlow5
		stx $d002
		ldx color5
		stx $d028
S6:		lsr acc
		bcc S7
		ldx Y6
		stx $d005
		ldx pointer6
		stx $43fa
		stx $47fa
		ldx Xlow6
		stx $d004
		ldx color6
		stx $d029
S7:		lsr acc
		bcc leave
		ldx Y7
		stx $d007
		ldx pointer7
		stx $43fb
		stx $47fb
		ldx Xlow7
		stx $d006
		ldx color7
		stx $d02a

leave:		lda multis
		sta $d01c
		lda Xhighs
		sta $d010
		lda $d015
		and #$f0
		ora power
		sta $d015
		lda $d019
		sta $d019
		rts
-;

arrange:        lda SP0_pointer
		sta T0_pointer
		lda SP1_pointer
		sta T1_pointer
		lda SP2_pointer
		sta T2_pointer
		lda SP3_pointer
		sta T3_pointer
		lda SP0_Y
		sta T0_Y
		lda SP1_Y
		sta T1_Y
		lda SP2_Y
		sta T2_Y
		lda SP3_Y
		sta T3_Y

		lda currentenemies
		sta INTtemp1
		ldx #$00
setuplist:      lsr INTtemp1
		bcc +
		txa
		sta dbulk|ranknums,x
		lda SP4_Y,x
		jmp stole
&               lda #$ff
		sta dbulk|ranknums,x
stole:		sta dbulk|spritestart,x
		inx
		cpx #$08
		bne setuplist

bubblesort:	ldx #$00
		ldy #$01
sortloop:	lda dbulk|spritestart,x
		cmp dbulk|spritestart,y
		beq noswap
		bcc noswap
swap:		sta inttemp1
		lda dbulk|spritestart,y
		sta dbulk|spritestart,x
		lda inttemp1
		sta dbulk|spritestart,y
		lda dbulk|ranknums,x
		sta INTtemp1
		lda dbulk|ranknums,y
		sta dbulk|ranknums,x
		lda inttemp1
		sta dbulk|ranknums,y
noswap:         iny
		cpy #$08
		bcc sortloop
		inx
		txa
		tay
		iny
		cpx #$07
		bne sortloop

		ldx #$07
&		lda dbulk|ranknums,x
		sta dbulk|dangerzone1,x
		dex
		bpl -
		rts



DATA

translate:	$01 $02 $04 $08
chars:		; $40 $70 $a0 $d0 $a0 $70
		$00 $30 $60 $90 $60 $30

;world-clock stuff

sigtimes:	$01 $02 $10 $11
atmos:		$0e $06 $00 $06
foxoutline:	$00 $00 $0b $00


ENDC


CODE sscroll
;;---------

start:		sta scrolldir

		lda #$00
		sta temp1
		sta temp2
		sta newEflag
		lda #$FA
		sta scrollvar1
UP:		lda #$01
		bit scrolldir
		beq DOWN
		lda V
		beq l_0
		lda #$00
		sta V

		jmp l_1
l_0:		lda #$03
		sta V
		lda mapL
		sec
		sbc #mapwidth
		sta mapL
		bcs l_1
		dec mapH
l_1:		lda #$28
		sta temp2
		lda #$F0
		sta scrollvar1
		lda #$00
		sta l_88 + 1
		sta l_91 + 1
		lda newscreen
		sta l_88 + 2
		lda #$D8
		sta l_91 + 2
		lda V
		beq nocheck2
		lda #$27
		sta enemyY + 1
		lda #$80
		jmp storit2

DOWN:		lda #$02			;2
		bit scrolldir
		beq LEFT
		lda V
		bne l_3
		lda #$03
		sta V
		jmp l_4
l_3:		lda #$00
		sta V
		lda mapL
		clc
		adc #mapwidth
		sta mapL
		bcc l_4
		inc mapH
l_4:		lda #$28
		sta temp1
		lda #$F0
		sta scrollvar1
		lda #$C0
		sta l_88 + 1
		sta l_91 + 1
		lda newscreen
		clc
		adc #$03
		sta l_88 + 2
		lda #$DB
		sta l_91 + 2
		lda V
		bne nocheck2
		lda #$ef
		sta enemyY + 1
		lda #$80
		jmp storit2
nocheck2:	lda #$ff
storit2:	sta Hnumcheck + 1
LEFT:		lda #$04			;5
		bit scrolldir
		beq RIGHT
		lda H
		beq l_6
		dec H
		jmp l_7
l_6:		lda #$02
		sta H
		lda mapL
		sec
		sbc #$01
		sta mapL
		bcs l_7
		dec mapH
l_7:		inc temp2
		lda #$00
		sta l_98 + 1
		sta l_103 + 1
		sta l_106 + 1
		lda newscreen
		sta l_103 + 2
		lda #$D8
		sta l_106 + 2
		lda H
		cmp #$02
		bne nocheck4
		lda #$08
		clc
		adc Hscrollreg
		sta enemyXL + 1
		lda #$00
		sta enemyXH + 1
		lda #$80
		jmp storit4

RIGHT:		lda #$08 			;8
		bit scrolldir
		beq l_11
		lda H
		cmp #$02
		beq l_9
		inc H
		jmp l_10
l_9:		lda #$00
		sta H
		inc mapL
		bne l_10
		inc mapH
l_10:		inc temp1
		lda #$0D
		sta l_98 + 1
		lda #$27
		sta l_103 + 1
		sta l_106 + 1
		lda newscreen
		sta l_103 + 2
		lda #$D8
		sta l_106 + 2
		lda H
		bne nocheck4
		lda #$50
		clc
		adc Hscrollreg
		sta enemyXL + 1
		lda #$01
		sta enemyXH + 1
		lda #$80
		jmp storit4
nocheck4:	lda #$ff
storit4:	sta Vnumcheck + 1

l_11:		ldx newscreen
		stx l_27 + 2
		ldy dbulk|newscreenflip - $40,x
		sty l_24 + 2
		lda temp1
		sta l_24 + 1
		clc
		adc scrollvar1
		sta l_30 + 1
		bcc l_18
		clc
		iny
l_18:		sty l_30 + 2
		adc scrollvar1
		sta l_36 + 1
		bcc l_19
		clc
		iny
l_19:		sty l_36 + 2
		adc scrollvar1
		sta l_42 + 1
		bcc l_20
		clc
		iny
l_20:		sty l_42 + 2
		lda temp2
		sta l_27 + 1
		clc
		adc scrollvar1
		sta l_33 + 1
		bcc l_21
		clc
		inx
l_21:		stx l_33 + 2
		adc scrollvar1
		sta l_39 + 1
		bcc l_22
		clc
		inx
l_22:		stx l_39 + 2
		adc scrollvar1
		sta l_45 + 1
		bcc l_23
		inx
l_23:		stx l_45 + 2
		ldx scrollvar1
l_24:		lda $0400,x
l_27:		sta $0828,x
l_30:		lda $04F0,x
l_33:		sta $0918,x
l_36:		lda $05E0,x
l_39:		sta $0A08,x
l_42:		lda $06D0,x
l_45:		sta $0AF8,x
		dex
		cpx #$FF
		bne l_24

moveon:		lda scrolldir
		and #$03
		beq l_15
		lsr acc
		bcc l_12
		lda mapL
		sta temp3
		lda mapH
		sta temp4
		jmp l_14
l_12:		lda mapH
		clc
		adc #>mapwidthbottom	;$07
		sta temp4
		lda mapL
		clc
		adc #<mapwidthbottom	;$80
		sta temp3
		bcc l_13
		inc temp4
l_13:		;lda temp4
		;clc
		;adc #$07
		;sta temp4
l_14:		jsr newHdata
l_15:		lda scrolldir
		and #$0C
		beq return
		jsr newVdata

return:         lda #$ff
		sta scrollgate1
waiter:		lda scrollgate1
		bne waiter
		lda #$00
		sta scrolldir
		rts

newHdata:	ldx #$00
		stx blockoffset
		stx spritenumH + 1
		lda H
		clc
		adc V
		sta l_85 + 1
		lda V
		clc
		adc #$03
		sta l_94 + 1
l_84:		ldy blockoffset
		lda (temp3),y
Hnumcheck:	cmp #$80
		bcc nonewspriteH
		cmp #lastenemyplusone
		bcc clearH
		lda #$00
		jmp nonewspriteH
clearH:
		stx temp2
spritenumH:	ldx #$00
		and #$7f
		sta denemies|newenemies,x
		sta newEflag

enemyY:		lda #$00
		sta denemies|newenemyY,x

		lda temp2
		cmp #$1d
		bcc +
		ldy #$01
		jmp ++
&		ldy #$00
&		asl acc
		asl acc
		asl acc
		clc
		adc #$18
		clc
		adc Hscrollreg
		sta denemies|newenemyXLOW,x
		tya
		sta denemies|newenemyXHI,x

		lda temp4
		sta denemies|newmapH,x
		lda temp3
		clc
		adc blockoffset
		sta denemies|newmapL,x
		bcc jojopud
		inc denemies|newmapH,x

jojopud:	ldy newEflag
		lda denemies|blockrefer,y
		ldy blockoffset
		sta (temp3),y
		inc spritenumH + 1
		ldx temp2
nonewspriteH:	asl acc
		rol blockH
		asl acc
		rol blockH
		asl acc
		rol blockH
		sta blockL
		lda blockH
		and #$07
		ora #>blockdata
		sta blockH
		ldy #$06
		lda (blockL),y
		sta blokcolor
l_85:		ldy #$03
l_87:		lda (blockL),y
l_88:		sta $0800,x
		lda blokcolor
l_91:		sta $D800,x
		cpx #$27
		beq l_96
		inx
		iny
l_94:		cpy #$06
		bne l_87
		inc blockoffset
		lda blockoffset
		cmp #$01
		bne reach0	;l_84
		lda V
		sta l_85 + 1
reach0:		jmp l_84
l_96:		rts

newVdata:	lda mapL
		sta maptempL
		lda mapH
		sta maptempH
		ldx #$00
		stx spritenumV +  1
		lda #$19
		sta rows
		lda V
		clc
		adc H
		sta l_100 + 1
		lda H
		clc
		adc #$03
		sta l_112 + 1
		lda #$05
		sta l_110 + 1
l_98:		ldy #$0D
		lda (maptempL),y
Vnumcheck:	cmp #$80
		bcc nonewspriteV
		cmp #lastenemyplusone
		bcc clearV
		lda #$00
		jmp nonewspriteV
clearV:		stx temp1
spritenumV:	ldx #$00
		and #$7f
		sta denemies|newenemies,x
		sta newEflag
		sta temp2

enemyXL:	lda #$00
		sta denemies|newenemyXLOW,x
enemyXH:	lda #$00
		sta denemies|newenemyXHI,x
		lda #$00
		sta temp3
		lda #$19
		sec
		sbc rows
		asl acc
		asl acc
		asl acc
		clc
		bne SL
		adc #$27
		jmp over1
SL:		adc #$2f
over1:		sta denemies|newenemyY,x

		lda maptempH
		sta denemies|newmapH,x
		lda maptempL
		clc
		adc l_98 + 1
		sta denemies|newmapL,x
		bcc jajaped
		inc denemies|newmapH,x

jajaped:	ldx temp2
		lda denemies|blockrefer,x
		sta (maptempL),y
		inc spritenumV + 1
		ldx temp1
nonewspriteV:	asl acc
		rol blockH
		asl acc
		rol blockH
		asl acc
		rol blockH
		sta blockL
		lda blockH
		and #$07
		ora #>blockdata
		sta blockH
		ldy #$06
		lda (blockL),y
		sta blokcolor
l_100:		ldy #$01
l_102:		lda (blockL),y
l_103:		sta $0727,x
		lda blokcolor
l_106:		sta $DB27,x
		dec rows
		beq l_115
		txa
		clc
		adc #$28
		tax
		bcc l_109
		inc l_103 + 2
		inc l_106 + 2
l_109:		cpy #$03
l_110:		bcs l_114
l_112:		ldy #$04
		jmp l_102
		lda H
		sta l_100 + 1
		lda #$0F
		sta l_110 + 1
l_114:		lda maptempL
		clc
		adc #mapwidth
		sta maptempL
		bcc reach1		;l_98
		inc maptempH
reach1:		jmp l_98
l_115:		rts

scrollcolor:	lda scrolldir
		sta scrolldirtemp
		lsr scrolldirtemp
		bcc l_56
		ldx V
		lda sscroll|l_116,x
		sta l_49 + 1
		clc
		adc #$C8
		sta l_53 + 1
		ldy #$28
l_49:		ldx #$28
l_51:		lda $D800,x
		sta $D828,x
		lda $D8F0,x
		sta $D918,x
		lda $D9E0,x
		sta $DA08,x
		lda $DAD0,x
		sta $DAF8,x
		dey
		beq l_55
l_52:		inx
l_53:		cpx #$F0
		bcc l_51
		bcs l_56
l_55:		txa
		clc
		adc #$28
		bcs l_56
		tax
		ldy #$28
		bne l_52
l_56:		lsr scrolldirtemp
		bcc l_64
		ldx V
		lda sscroll|l_117,x
		sta l_57 + 1
		sta l_61 + 1
		ldy #$28
l_57:		ldx #$EF
l_59:		lda $D828,x
		sta $D800,x
		lda $D918,x
		sta $D8F0,x
		lda $DA08,x
		sta $D9E0,x
		lda $DAF8,x
		sta $DAD0,x
		dey
		beq l_63
l_60:		dex
l_61:		cpx #$EF
		bcc l_59
		bcs l_64
l_63:		txa
		sec
		sbc #$28
		bcc l_64
		tax
		ldy #$28
		bne l_60

l_64:		lsr scrolldirtemp
		bcc l_73
		ldy H
		ldx sscroll|l_118,y
		lda V
		bne l_66
		ldy #$0D
l_65:		lda $DBC0,x
		sta $DBC1,x
		dex
		dex
		dex
		dey
		bne l_65
		ldy H
		ldx sscroll|l_119,y
		lda #$c7
		sta l_70 + 1
		jmp l_68
l_66:		ldy #$0D
l_67:		lda $D800,x
		sta $D801,x
		dex
		dex
		dex
		dey
		bne l_67
		ldy H
		ldx sscroll|l_121,y
		lda #$ef
		sta l_70 + 1
l_68:		ldy #$0D
l_69:		lda $D800,x
		sta $D801,x
		sta $D829,x
		lda $D8F0,x
		sta $D8F1,x
		sta $D919,x
		lda $D9E0,x
		sta $D9E1,x
		sta $DA09,x
		lda $DAD0,x
		sta $DAD1,x
		sta $DAF9,x
		dey
		beq l_72
		inx
		inx
		inx
l_70:		cpx #$c7
		bcc l_69
		bcs l_73
l_72:		txa
		clc
		adc #$2c
		bcs l_73
		tax
		ldy #$0D
		bne l_70

l_73:		lsr scrolldirtemp
		bcc l_82
		ldy H
		ldx sscroll|l_122,y
		lda V
		bne l_75
		ldy #$0D
l_74:		lda $DBC1,x
		sta $DBC0,x
		dex
		dex
		dex
		dey
		bne l_74
		ldy H
		ldx sscroll|l_123,y
		lda #$c7
		sta l_79 + 1
		jmp l_77
l_75:		ldy #$0D
l_76:		lda $D801,x
		sta $D800,x
		dex
		dex
		dex
		dey
		bne l_76
		ldy H
		ldx sscroll|l_127,y
		lda #$ef
		sta l_79 + 1
l_77:		ldy #$0D
l_78:		lda $D801,x
		sta $D800,x
		sta $D828,x
		lda $D8F1,x
		sta $D8F0,x
		sta $D918,x
		lda $D9E1,x
		sta $D9E0,x
		sta $DA08,x
		lda $DAD1,x
		sta $DAD0,x
		sta $DAF8,x
		dey
		beq l_81
		inx
		inx
		inx
l_79:		cpx #$EE
		bcc l_78
		bcs l_82
l_81:		txa
		clc
		adc #$2C
		bcs l_82
		tax
		ldy #$0D
		bne l_79
l_82:		rts


l_116:		brk
		brk
		brk
		plp

l_117:		dat $C7
		dat $00
		dat $00
		dat $EF

l_118:		dat $25
		dat $24
		dat $26

l_119:		dat $01
		dat $00
		dat $02

l_121:		dat $29
		dat $28
		dat $2a

l_122:		dat $24
		dat $26
		dat $25

l_123:		dat $00
l_125:		dat $02
		dat $01

l_127:		dat $28
		dat $2a
		dat $29

shiftenemies:	lda currentenemies
		sta INTtemp1

ERIGHT:		lda spritesright
		beq ELEFT
		jmp spritesR
ELEFT:		lda spritesleft
		beq EDOWN
		jmp spritesL
EDOWN:          lda currentenemies
		sta INTtemp1
		lda scrolldir
		lsr acc
		bcc EUP
		jmp spritesD
EUP:		lsr acc
		bcc nope
		jmp spritesU
nope:		rts

spritesD:	lsr INTtemp1
		bcc S5D
		lda SP4_Y
		clc
		adc #$08
		sta SP4_Y
S5D:		lsr INTtemp1
		bcc S6D
		lda SP5_Y
		clc
		adc #$08
		sta SP5_Y
S6D:		lsr INTtemp1
		bcc S7D
		lda SP6_Y
		clc
		adc #$08
		sta SP6_Y
S7D:		lsr INTtemp1
		bcc S8D
		lda SP7_Y
		clc
		adc #$08
		sta SP7_Y
S8D:		lsr INTtemp1
		bcc S9D
		lda SP8_Y
		clc
		adc #$08
		sta SP8_Y
S9D:		lsr INTtemp1
		bcc SaD
		lda SP9_Y
		clc
		adc #$08
		sta SP9_Y
SaD:		lsr INTtemp1
		bcc SbD
		lda SPa_Y
		clc
		adc #$08
		sta SPa_Y
SbD:		lsr INTtemp1
		bcc returnD
		lda SPb_Y
		clc
		adc #$08
		sta SPb_Y
returnD:	rts
spritesU:	lsr INTtemp1
		bcc S5U
		lda SP4_Y
		sec
		sbc #$08
		sta SP4_Y
S5U:		lsr INTtemp1
		bcc S6U
		lda SP5_Y
		sec
		sbc #$08
		sta SP5_Y
S6U:		lsr INTtemp1
		bcc S7U
		lda SP6_Y
		sec
		sbc #$08
		sta SP6_Y
S7U:		lsr INTtemp1
		bcc S8U
		lda SP7_Y
		sec
		sbc #$08
		sta SP7_Y
S8U:		lsr INTtemp1
		bcc S9U
		lda SP8_Y
		sec
		sbc #$08
		sta SP8_Y
S9U:		lsr INTtemp1
		bcc SaU
		lda SP9_Y
		sec
		sbc #$08
		sta SP9_Y
SaU:		lsr INTtemp1
		bcc SbU
		lda SPa_Y
		sec
		sbc #$08
		sta SPa_Y
SbU:		lsr INTtemp1
		bcc returnU
		lda SPb_Y
		sec
		sbc #$08
		sta SPb_Y
returnU:	rts
spritesR:	lsr INTtemp1
		bcc S5R
		lda SP4_Xlow
		clc
		adc spritesright
		sta SP4_Xlow
		bcc S5R
		lda SP4_Xhi
		eor #$01
		sta SP4_Xhi
S5R:       	lsr INTtemp1
		bcc S6R
		lda SP5_Xlow
		clc
		adc spritesright
		sta SP5_Xlow
		bcc S6R
		lda SP5_Xhi
		eor #$01
		sta SP5_Xhi
S6R:       	lsr INTtemp1
		bcc S7R
		lda SP6_Xlow
		clc
		adc spritesright
		sta SP6_Xlow
		bcc S7R
		lda SP6_Xhi
		eor #$01
		sta SP6_Xhi
S7R:       	lsr INTtemp1
		bcc S8R
		lda SP7_Xlow
		clc
		adc spritesright
		sta SP7_Xlow
		bcc S8R
		lda SP7_Xhi
		eor #$01
		sta SP7_Xhi
S8R:       	lsr INTtemp1
		bcc S9R
		lda SP8_Xlow
		clc
		adc spritesright
		sta SP8_Xlow
		bcc S9R
		lda SP8_Xhi
		eor #$01
		sta SP8_Xhi
S9R:       	lsr INTtemp1
		bcc SAR
		lda SP9_Xlow
		clc
		adc spritesright
		sta SP9_Xlow
		bcc SAR
		lda SP9_Xhi
		eor #$01
		sta SP9_Xhi
SAR:       	lsr INTtemp1
		bcc SBR
		lda SPA_Xlow
		clc
		adc spritesright
		sta SPA_Xlow
		bcc SBR
		lda SPA_Xhi
		eor #$01
		sta SPA_Xhi
SBR:       	lsr INTtemp1
		bcc returnR
		lda SPB_Xlow
		clc
		adc spritesright
		sta SPB_Xlow
		bcc returnR
		lda SPB_Xhi
		eor #$01
		sta SPB_Xhi
returnR:	lda #$00
		sta spritesright
		jmp EDOWN

spritesL:	lsr INTtemp1
		bcc S5L
		lda SP4_Xlow
		sec
		sbc spritesleft
		sta SP4_Xlow
		bcs S5L
		lda SP4_Xhi
		eor #$01
		sta SP4_Xhi
S5L:       	lsr INTtemp1
		bcc S6L
		lda SP5_Xlow
		sec
		sbc spritesleft
		sta SP5_Xlow
		bcs S6L
		lda SP5_Xhi
		eor #$01
		sta SP5_Xhi
S6L:       	lsr INTtemp1
		bcc S7L
		lda SP6_Xlow
		sec
		sbc spritesleft
		sta SP6_Xlow
		bcs S7L
		lda SP6_Xhi
		eor #$01
		sta SP6_Xhi
S7L:       	lsr INTtemp1
		bcc S8L
		lda SP7_Xlow
		sec
		sbc spritesleft
		sta SP7_Xlow
		bcs S8L
		lda SP7_Xhi
		eor #$01
		sta SP7_Xhi
S8L:       	lsr INTtemp1
		bcc S9L
		lda SP8_Xlow
		sec
		sbc spritesleft
		sta SP8_Xlow
		bcs S9L
		lda SP8_Xhi
		eor #$01
		sta SP8_Xhi
S9L:       	lsr INTtemp1
		bcc SAL
		lda SP9_Xlow
		sec
		sbc spritesleft
		sta SP9_Xlow
		bcs SAL
		lda SP9_Xhi
		eor #$01
		sta SP9_Xhi
SAL:       	lsr INTtemp1
		bcc SBL
		lda SPA_Xlow
		sec
		sbc spritesleft
		sta SPA_Xlow
		bcs SBL
		lda SPA_Xhi
		eor #$01
		sta SPA_Xhi
SBL:       	lsr INTtemp1
		bcc returnL
		lda SPB_Xlow
		sec
		sbc spritesleft
		sta SPB_Xlow
		bcs returnL
		lda SPB_Xhi
		eor #$01
		sta SPB_Xhi
returnL:	lda #$00
		sta spritesleft
		jmp EDOWN



ENDC


CODE stiming
;;---------

start:		;lda #$08	;dtiming|fastfalling,x
		;sta sfall|fastfallCNT + 1
		;lda #$30 	;dtiming|fastfalling,x
		;sta sfall|slowfallCNT + 1

		;lda #$08	;dtiming|fastjumping,x
		;sta sjump|fastjumpCNT + 1
		;lda #$30 	;dtiming|fastjumping,x
		;sta sjump|slowjumpCNT + 1

		lda #$40	;dtiming|run,x
		sta srun|runCNT + 1

		lda #$12	;dtiming|glide,x
		sta sglideH|glideCNT + 1

		lda #$70	;dtiming|walkslow,x
		sta swalk|slowwalk + 1
		;lda #$50	;dtiming|walkfast,x
		;sta swalk|fastwalk + 1

		rts

ENDC



DATA dbulk
;;--------

newscreenflip:  $44 $00 $00 $00 $40
screenL:        $00 $28 $50 $78 $a0 $c8 $f0 $18 $40 $68 $90 $b8 $e0
		$08 $30 $58 $80 $a8 $d0 $f8 $20 $48 $70 $98 $c0 $e8
screenH:        $00 $00 $00 $00 $00 $00 $00 $01 $01 $01 $01 $01 $01
		$02 $02 $02 $02 $02 $02 $02 $03 $03 $03 $03 $03 $03

BSHlow:		$18 $30 $48 $60 $78 $90 $a8 $c0 $d8 $f0
		$08 $20 $38 $50 $68

BSHhi:		$00 $00 $00 $00 $00 $00 $00 $00 $00 $00
		$01 $01 $01 $01 $01

safezone1:	$00 $00 $00 $00
dangerzone1:	$00 $00 $00 $00

safezone2:	$00 $00 $00 $00
dangerzone2:	$00 $00 $00 $00

safezone3:	$00 $00 $00 $00
dangerzone3:	$00 $00 $00 $00

		$bb
spritestart:	$00 $00 $00 $00 $00 $00 $00 $00
spriteend:	$00 $00 $00 $00 $00 $00 $00 $00
ranknums:       $00 $00 $00 $00 $00 $00 $00 $00


ENDD




DATA dSysStart
;;------------

		   lEndOfLine
		   1995
		   $9E
		   "(2064)"
		   0
lEndOfLine:   0 0


ENDD


;---------------------------------------------;
