LAYOUT
;;----

$0801:		dsysstart
$0810:		ssetup
		scode

$2000:		dmidhead
		dlefthead
		drighthead
		dwave

ENDL


ALIASB		wavecount	= $fb


DATA dSysStart
;;------------

		lEndOfLine
		1995
		$9E
		"(2064)"
		0
lEndOfLine:   	0 0


ENDD



CODE ssetup
;;--------

start:		sei
		lda #$00
		sta $d020
		sta $d021
		lda #$01
		sta wavecount
		ldx #$f9
		lda #$20
loop:		sta $0400,x
		sta $04fa,x
		sta $05f4,x
		sta $06ee,x
		dex
		cpx #$ff
		bne loop
		lda #$ff
		sta $d01c
		lda #$09
		sta $d025
		lda #$08
		sta $d026
		lda #$0c
		sta $d027
		sta $d028
		sta $d029
		sta $d02a
		sta $d02b
		sta $d02c
		sta $d02d
		lda #$68
		sta $d000
		lda #$80
		sta $d002
		lda #$98
		sta $d004
		lda #$b0
		sta $d006
		lda #$c8
		sta $d008
		lda #$e0
		sta $d00a
		lda #$f8
		sta $d00c
		ldy #$0c

ENDC


CODE scode
;;-------

start:		dec wavecount
		bne begin
		lda #$06
		sta wavecount
		lda $dc00
		and #$0f
		cmp #$0f
		beq begin
		dey
		bpl begin
		ldy #$0d
begin:		lda #$a0
raster1:	cmp $d012
		bne raster1
		lda #$63
		sta $d015
		ldx dwave,y
		txa
		sta $d001
		sta $d003
		sta $d00b
		sta $d00d
		lda $dc00
		and #$04
		bne RIGHT
		lda dwave|Left,y
		sta $d000
		clc
		adc #$18
		sta $d002
		adc #$18
		sta $d004
		adc #$18
		sta $d006
		adc #$18
		sta $d008
		adc #$18
		sta $d00a
		adc #$18
		sta $d00c
		lda #$b0
		lda #$98
		jmp storit
RIGHT:		lda $dc00
		and #$08
		bne CENTER
		lda dwave|right,y
		sta $d000
		clc
		adc #$18
		sta $d002
		adc #$18
		sta $d004
		adc #$18
		sta $d006
		adc #$18
		sta $d008
		adc #$18
		sta $d00a
		adc #$18
		sta $d00c
		lda #$b1
		jmp storit
CENTER:         lda dwave|center,y
		sta $d000
		clc
		adc #$18
		sta $d002
		adc #$18
		sta $d004
		adc #$18
		sta $d006
		adc #$18
		sta $d008
		adc #$18
		sta $d00a
		adc #$18
		sta $d00c
		lda #$80
storit:		sta $07f8
		clc
		adc #$04
		sta $07f9
		clc
		adc #$04
		sta $07fa
		clc
		adc #$03
		sta $07fb
		clc
		adc #$02
		sta $07fc
		clc
		adc #$03
		sta $07fd
		clc
		adc #$04
		sta $07fe

		txa
		clc
		adc #$14
raster2:	cmp $d012
		bne raster2
		clc
		adc #$01
		sta $d001
		sta $d003
		sta $d005
		sta $d009
		sta $d00b
		sta $d00d
		lda #$ff
		sta $d015
		inc $07f8
		inc $07f9
		inc $07fd
		inc $07fe

		txa
		clc
		adc #$29
raster3:	cmp $d012
		bne raster3
		clc
		adc #$01
		sta $d001
		sta $d003
		sta $d005
		sta $d007
		sta $d009
		sta $d00b
		sta $d00d
		lda #$7f
		sta $d015
		inc $07f8
		inc $07f9
		inc $07fa
		inc $07fc
		inc $07fd
		inc $07fe

		txa
		clc
		adc #$3e
raster4:	cmp $d012
		bne raster4
		clc
		adc #$01
		sta $d001
		sta $d003
		sta $d005
		sta $d007
		sta $d009
		sta $d00b
		sta $d00d
		inc $07f8
		inc $07f9
		inc $07fa
		inc $07fb
		inc $07fc
		inc $07fd
		inc $07fe
		jmp start

ENDC

DATA dwave
;;--------

	$a6 $a7 $a9 $ab $a9 $a7 $a6 $a6 $a7 $a9 $ab $a9 $a7 $a6
left:   $50 $50 $51 $51 $52 $52 $53 $53 $52 $52 $51 $51 $50 $50
center: $58 $58 $59 $59 $5a $5a $5b $5b $5a $5a $59 $59 $58 $58
right:  $60 $60 $61 $61 $62 $62 $63 $63 $62 $62 $61 $61 $60 $60

ENDD



DATA dmidhead
;;-----------

	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $2A $80 $00 $AA $A0
	$02 $AA $A0 $02 $AA $A8 $0A $AA
	$A8 $0A $A5 $68 $0A $95 $5A $0A
	$65 $56 $2A $55 $56 $29 $57 $59
	$29 $55 $55 $29 $75 $55 $25 $5D
	$55 $29 $77 $75 $25 $DD $D5 $F4
	$27 $7F $55 $29 $FF $5D $A7 $77
	$F5 $95 $FF $F5 $A7 $FF $F7 $9D
	$FF $DD $97 $7F $F5 $95 $FF $7D
	$B7 $FF $F7 $95 $FF $DD $A7 $7F
	$F7 $95 $F7 $FD $9D $7F $FF $95
	$DF $FD $A7 $7F $FF $9D $7F $FF
	$95 $F7 $FF $27 $5F $FD $29 $77
	$FF $25 $DD $FF $27 $77 $FD $F4
	$25 $5F $FF $26 $77 $FF $09 $DD
	$FF $09 $F7 $7F $09 $5F $FF $09
	$77 $FF $09 $DF $7F $09 $77 $FF
	$02 $5D $FF $02 $77 $F7 $02 $5D
	$FF $02 $97 $DF $02 $5D $FF $02
	$67 $7F $00 $9D $FD $00 $97 $7F
	$00 $B5 $DF $00 $95 $7F $00 $9D
	$DD $00 $99 $7F $00 $27 $77 $C4
	$00 $25 $DF $00 $29 $77 $00 $27
	$5F $00 $25 $77 $00 $26 $5F $00
	$09 $57 $00 $09 $DD $00 $09 $57
	$00 $09 $55 $00 $09 $77 $00 $02
	$5D $00 $01 $57 $00 $01 $75 $00
	$02 $55 $00 $00 $6D $00 $00 $55
	$00 $00 $95 $00 $00 $15 $00 $00
	$15 $00 $00 $25 $00 $00 $25 $B4
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $80 $00 $00
	$80 $00 $00 $80 $00 $00 $60 $00
	$00 $60 $00 $00 $60 $00 $00 $F4
	$58 $00 $00 $58 $00 $00 $54 $00
	$00 $54 $00 $00 $56 $00 $00 $55
	$00 $00 $D5 $00 $00 $55 $40 $00
	$55 $40 $00 $75 $50 $00 $55 $50
	$00 $D7 $54 $00 $75 $55 $00 $D5
	$55 $00 $77 $55 $40 $D5 $75 $40
	$75 $55 $50 $DD $55 $50 $75 $D7
	$54 $DD $55 $55 $F7 $5D $55 $F4
	$DD $55 $5D $FF $55 $D5 $FD $DD
	$55 $FF $75 $55 $DF $DD $D5 $FF
	$F7 $57 $FF $FD $D5 $FF $77 $75
	$FF $FD $DD $FF $FF $55 $FF $FD
	$DD $FF $F7 $75 $FF $FF $DD $FF
	$FF $77 $FF $FF $FD $FF $FF $F7
	$DF $FF $FD $FF $FF $DF $FF $FF
	$FF $FF $DF $FD $DF $FF $FF $14
	$FF $FF $FF $FF $FF $FF $7F $FF
	$DF $FF $FF $FF $DF $FF $FF $FF
	$FF $F7 $FF $FF $FF $77 $DF $DD
	$FF $FF $F7 $7F $FF $DD $DD $F7
	$77 $7F $FF $DD $FF $77 $75 $77
	$FD $D5 $DD $DF $75 $77 $7D $D5
	$5F $F7 $57 $D7 $7D $55 $5D $DF
	$77 $57 $75 $55 $D5 $DD $DD $04
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $B4
	$40 $00 $00 $40 $00 $00 $60 $00
	$00 $50 $00 $00 $58 $00 $00 $54
	$00 $00 $56 $00 $00 $55 $00 $00
	$55 $80 $00 $75 $40 $00 $55 $60
	$00 $55 $58 $00 $D5 $56 $00 $5D
	$55 $80 $D5 $55 $50 $77 $75 $5A
	$DD $FD $D6 $77 $77 $55 $DD $DD
	$75 $FF $F5 $55 $7D $DD $57 $B4
	$F7 $55 $D5 $DD $75 $5D $F7 $55
	$75 $7D $55 $5F $F5 $55 $D5 $D5
	$57 $77 $75 $55 $DD $D5 $77 $77
	$55 $5D $DF $55 $DF $7F $57 $77
	$F7 $55 $DD $FF $77 $77 $FF $5D
	$FF $FF $D7 $77 $FF $5D $FF $FF
	$77 $FF $FF $5D $DF $DF $77 $FF
	$FF $FF $FF $FF $77 $DF $FF $B4
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $AA $00 $2A
	$56 $AA $A5 $55 $55 $55 $55 $55
	$57 $57 $55 $55 $55 $55 $75 $B4
	$75 $57 $57 $DD $DD $DD $57 $77
	$77 $77 $DD $F5 $FD $FF $7D $77
	$FF $DF $DF $FF $FD $FF $FF $F7
	$DF $FF $F7 $FD $FF $7F $7F $FF
	$FF $FF $FF $FD $FF $FF $FF $FF
	$FF $FF $FF $FF $FF $DF $FF $F7
	$FF $FF $FF $FF $FF $FF $FF $FF
	$FF $7F $FF $F7 $FF $FF $FF $B4
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $B4
	$00 $00 $01 $00 $00 $01 $00 $00
	$09 $00 $00 $05 $00 $00 $25 $00
	$00 $15 $00 $00 $95 $00 $00 $55
	$00 $02 $55 $00 $01 $5D $00 $09
	$55 $00 $25 $55 $00 $95 $57 $02
	$55 $75 $05 $55 $57 $A5 $5D $DD
	$97 $7F $77 $55 $DD $DD $5D $77
	$77 $55 $5F $FF $D5 $77 $7D $B4
	$57 $55 $DF $75 $5D $77 $5D $55
	$DF $F5 $55 $7D $57 $55 $5F $DD
	$D5 $57 $77 $55 $5D $DD $DD $57
	$F7 $75 $55 $FD $F7 $55 $DF $DD
	$D5 $FF $77 $55 $FF $DD $DD $FF
	$FF $75 $FF $DD $D7 $FF $FF $75
	$FF $FF $DD $F7 $F7 $75 $FF $FF
	$DD $FF $FF $FF $FF $F7 $DD $B4
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $02
	$00 $00 $02 $00 $00 $02 $00 $00
	$09 $00 $00 $09 $00 $00 $09 $F4
	$00 $00 $25 $00 $00 $25 $00 $00
	$15 $00 $00 $15 $00 $00 $95 $00
	$00 $55 $00 $00 $57 $00 $01 $55
	$00 $01 $55 $00 $05 $5D $00 $05
	$55 $00 $15 $D7 $00 $55 $5D $00
	$55 $57 $01 $55 $DD $01 $5D $57
	$05 $55 $5D $05 $55 $77 $15 $D7
	$5D $55 $55 $77 $55 $75 $DF $F4
	$75 $55 $77 $57 $55 $FF $55 $77
	$7F $55 $5D $FF $57 $77 $F7 $D5
	$DF $FF $57 $7F $FF $5D $DD $FF
	$77 $7F $FF $55 $FF $FF $77 $7F
	$FF $5D $DF $FF $77 $FF $FF $DD
	$FF $FF $7F $FF $FF $DF $FF $FF
	$7F $FF $F7 $F7 $FF $FF $FF $FF
	$FF $7F $F7 $FF $FF $FF $F7 $14
	$FF $FF $FF $FF $FF $FF $F7 $FF
	$FD $FF $FF $FF $FF $FF $F7 $DF
	$FF $FF $FF $FF $FF $77 $F7 $DD
	$DF $FF $FF $77 $FF $FD $DD $DF
	$77 $77 $FF $FD $5D $DD $FF $57
	$7F $DD $5D $F7 $77 $57 $7D $DD
	$D5 $DF $F5 $55 $7D $D7 $DD $F7
	$75 $55 $5D $D5 $77 $77 $57 $04
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $02 $A8 $00 $0A $AA $00
	$0A $AA $80 $2A $AA $80 $2A $AA
	$A0 $29 $5A $A0 $A5 $56 $A0 $95
	$59 $A0 $95 $55 $A8 $65 $D5 $68
	$55 $55 $68 $55 $5D $68 $55 $75
	$58 $5D $DD $68 $57 $77 $58 $F4
	$55 $FD $D8 $75 $FF $68 $5F $DD
	$DA $5F $FF $56 $DF $FF $DA $77
	$FF $76 $5F $FD $D6 $7D $FF $56
	$DF $FF $DE $77 $FF $56 $DF $FD
	$DA $7F $DF $56 $FF $FD $76 $7F
	$F7 $56 $FF $FD $DA $FF $FD $76
	$FF $DF $56 $7F $F5 $D8 $FF $DD
	$68 $FF $77 $58 $7F $DD $D8 $F4
	$FF $F5 $58 $FF $DD $98 $FF $77
	$60 $FD $DF $60 $FF $F5 $60 $FF
	$DD $60 $FD $F7 $60 $FF $DD $60
	$FF $75 $80 $DF $DD $80 $FF $75
	$80 $F7 $D6 $80 $FF $75 $80 $FD
	$D9 $80 $7F $76 $00 $FD $D6 $00
	$F7 $5E $00 $FD $56 $00 $77 $76
	$00 $FD $66 $00 $DD $D8 $00 $C4
	$F7 $58 $00 $DD $68 $00 $F5 $D8
	$00 $DD $58 $00 $F5 $98 $00 $D5
	$60 $00 $77 $60 $00 $D5 $60 $00
	$55 $60 $00 $DD $60 $00 $75 $80
	$00 $D5 $40 $00 $5D $40 $00 $55
	$80 $00 $79 $00 $00 $55 $00 $00
	$56 $00 $00 $54 $00 $00 $54 $00
	$00 $58 $00 $00 $58 $00 $00 $B4



ENDD


DATA dlefthead
;;------------

	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $AA $00 $02 $AA $80
	$02 $AA $A0 $0A $AA $A0 $0A $AA
	$A8 $0A $A5 $68 $0A $95 $58 $2A
	$55 $56 $2A $55 $56 $29 $55 $55
	$29 $57 $75 $29 $55 $D5 $A5 $77
	$77 $A5 $5D $FD $A5 $5F $DD $34
	$A9 $77 $F7 $A9 $5D $DD $A5 $DF
	$FF $95 $75 $FF $A5 $5F $FD $A5
	$77 $FF $97 $5D $FF $95 $77 $FF
	$B5 $5D $DF $A5 $77 $FF $A5 $57
	$7F $95 $DD $FF $95 $57 $DF $A5
	$57 $FF $A5 $5D $7F $AD $57 $7F
	$A5 $75 $FF $25 $57 $F7 $29 $5D
	$7F $25 $55 $FF $27 $55 $DF $34
	$25 $57 $7D $26 $5D $FF $09 $55
	$DF $09 $D7 $7F $09 $55 $F7 $09
	$57 $7F $09 $55 $DF $09 $5D $77
	$02 $55 $DF $02 $55 $7D $02 $55
	$DF $02 $95 $57 $02 $57 $7D $02
	$65 $DF $00 $95 $75 $00 $95 $57
	$00 $95 $DF $00 $95 $5D $00 $97
	$77 $00 $95 $5D $00 $25 $D7 $34
	$00 $25 $55 $00 $29 $75 $00 $25
	$57 $00 $25 $55 $00 $26 $55 $00
	$09 $5D $00 $09 $55 $00 $09 $55
	$00 $09 $57 $00 $09 $55 $00 $0A
	$55 $00 $09 $75 $00 $09 $57 $00
	$02 $55 $00 $02 $55 $00 $02 $55
	$00 $02 $55 $00 $02 $95 $00 $02
	$95 $00 $02 $95 $00 $02 $A9 $34
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $40 $00 $00 $40 $00
	$00 $50 $00 $00 $D0 $00 $00 $34
	$54 $00 $00 $74 $00 $00 $D5 $00
	$00 $55 $00 $00 $DD $40 $00 $F5
	$C0 $00 $DD $70 $00 $77 $50 $00
	$FD $D0 $00 $FD $54 $00 $F7 $D4
	$00 $FF $75 $00 $FD $D5 $00 $FF
	$75 $40 $FF $D7 $40 $FD $FD $50
	$FF $75 $D0 $FF $F7 $54 $FF $DF
	$54 $FF $7D $75 $FF $F7 $D5 $34
	$FF $FD $DD $FF $FF $75 $FF $7D
	$F5 $FF $FF $DD $FF $F7 $F7 $FF
	$FF $7F $FF $FF $FD $FF $FF $FF
	$7F $FF $FF $FF $FF $77 $FF $FF
	$FF $F7 $FF $FF $FF $FF $FD $7F
	$FF $FF $FF $FF $FF $FF $FF $FF
	$7F $FF $FF $FD $FF $FF $DF $FF
	$FF $FF $FF $FF $77 $FF $FF $34
	$FF $FF $FF $DF $FF $FF $77 $FF
	$FF $DD $FF $FF $5F $F7 $FF $77
	$FF $FD $DF $FF $FF $77 $7F $FF
	$5F $FF $FF $7D $FF $FF $57 $FF
	$F7 $5F $7F $FF $77 $FF $7F $57
	$7F $FF $5D $F7 $FF $55 $FF $FD
	$57 $7F $FF $75 $FF $FD $55 $DF
	$DF $57 $7F $FD $55 $7D $F7 $34
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $34
	$00 $00 $00 $40 $00 $00 $50 $00
	$00 $50 $00 $00 $54 $00 $00 $54
	$00 $00 $D5 $00 $00 $75 $00 $00
	$D5 $00 $00 $5D $40 $00 $D5 $40
	$00 $75 $50 $00 $DD $54 $00 $F5
	$54 $00 $DD $D5 $00 $F7 $55 $AA
	$FD $55 $E6 $F7 $75 $59 $FF $55
	$55 $DD $75 $55 $FF $55 $77 $34
	$FF $D5 $5D $FF $57 $7F $FD $55
	$FF $FF $5D $FF $FD $57 $DF $FD
	$75 $FF $F5 $5F $FF $FD $77 $7F
	$D5 $5F $FF $75 $DF $FF $D5 $77
	$FF $F5 $FF $FF $55 $7F $7F $D5
	$DF $FF $75 $77 $FF $D5 $7F $FF
	$55 $DD $FF $D5 $77 $FF $55 $DF
	$FF $D5 $7F $7F $57 $77 $FF $44
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $A8 $00 $AA
	$56 $AA $55 $55 $55 $55 $55 $55
	$55 $57 $55 $55 $55 $75 $55 $34
	$DD $55 $D5 $77 $DD $77 $DF $FF
	$DD $FD $FD $FF $FF $FF $F7 $FF
	$FF $FF $FF $FF $DF $FF $FF $FF
	$FF $FF $FF $FF $FF $FF $FF $FF
	$FF $FF $FF $FF $FF $FF $FF $FF
	$FF $FF $FF $FF $FF $FF $FF $FF
	$FF $FF $FF $FF $FF $FF $FF $FF
	$FF $FF $FF $FF $FF $FF $FF $34
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $01 $00 $00 $01 $00
	$00 $01 $00 $00 $05 $00 $00 $05
	$00 $00 $05 $00 $00 $05 $00 $00
	$15 $00 $00 $15 $00 $00 $15 $34
	$00 $00 $55 $00 $00 $5D $00 $00
	$55 $00 $01 $55 $00 $01 $55 $00
	$01 $5D $00 $05 $55 $00 $05 $77
	$00 $15 $55 $00 $15 $5D $00 $55
	$57 $00 $57 $77 $01 $55 $DD $01
	$75 $5F $05 $57 $77 $A5 $5D $DD
	$95 $D7 $7F $55 $77 $DF $55 $DD
	$FD $55 $5F $FF $55 $77 $77 $34
	$5D $5D $DF $55 $55 $7D $75 $75
	$DF $D7 $55 $75 $7D $55 $57 $F7
	$DD $5D $7F $75 $55 $FD $DF $75
	$FF $F7 $D5 $FF $FF $77 $FF $7D
	$DD $FF $FF $FF $FF $FF $F7 $FF
	$FF $FF $FF $FF $7F $FF $FF $FD
	$FF $FF $FF $FF $FF $FF $FF $FF
	$FF $FF $FF $FF $FF $FF $FF $34
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $55 $00
	$01 $55 $00 $05 $55 $00 $05 $55
	$00 $15 $55 $00 $15 $55 $00 $15
	$55 $00 $15 $55 $00 $15 $55 $00
	$55 $75 $00 $55 $57 $00 $55 $55
	$00 $55 $77 $01 $55 $5D $01 $55
	$D7 $01 $57 $7F $01 $55 $77 $34
	$05 $55 $DF $05 $55 $7F $05 $55
	$DD $05 $5D $7F $15 $55 $FF $15
	$57 $77 $15 $75 $FF $55 $57 $7F
	$55 $5D $FF $55 $D7 $DF $55 $5D
	$FF $55 $77 $FF $55 $5D $FF $55
	$DF $7F $5D $77 $FF $55 $5F $FF
	$55 $DD $FF $57 $77 $FF $55 $7F
	$FF $75 $DD $FF $57 $7F $FF $34
	$55 $DF $FF $77 $7F $FF $5D $F7
	$FF $D7 $7F $FF $77 $FF $FF $5D
	$FF $FF $DF $DF $FF $77 $FF $FF
	$7D $FF $FF $DF $FF $FF $7F $FF
	$FF $DD $FF $FF $FF $FF $FF $FF
	$FF $FF $DF $FF $FF $FF $FF $FF
	$FF $FF $FF $FF $FF $FF $FF $FF
	$FF $DF $FF $FD $FF $FF $FF $34
	$FF $FF $FF $FF $FF $FF $DF $7F
	$FF $FF $FF $FF $77 $FF $FF $DF
	$7D $FF $77 $FF $FF $5D $FF $FF
	$77 $7F $FF $55 $F7 $FF $57 $7F
	$FF $75 $DF $FF $D5 $5D $FF $5D
	$77 $DF $D5 $5D $FF $F7 $57 $FF
	$DD $5D $DD $FD $D7 $7F $77 $57
	$DF $FD $75 $7F $77 $D5 $F7 $34
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $40 $00 $00 $50
	$00 $00 $54 $00 $00 $54 $00 $00
	$54 $00 $00 $57 $00 $00 $55 $00
	$00 $55 $00 $00 $D5 $C0 $00 $5D
	$40 $00 $75 $40 $00 $D7 $40 $00
	$7D $40 $00 $FF $70 $00 $FD $D0
	$00 $77 $50 $00 $FF $D0 $00 $34
	$FF $70 $00 $FD $D0 $00 $FF $50
	$00 $FF $D0 $00 $FF $70 $00 $FD
	$D0 $00 $FF $FC $00 $FF $D4 $00
	$FF $74 $00 $F7 $D4 $00 $FF $74
	$00 $FF $D4 $00 $FF $D4 $00 $FF
	$74 $00 $FD $D4 $00 $FF $D4 $00
	$FF $74 $00 $FD $D0 $00 $FF $D0
	$00 $DF $50 $00 $FD $D0 $00 $44
	$FF $D0 $00 $FF $50 $00 $FF $D0
	$00 $FD $D0 $00 $FF $50 $00 $DD
	$D0 $00 $FF $50 $00 $FD $50 $00
	$F7 $50 $00 $FD $D0 $00 $7F $50
	$00 $F7 $50 $00 $FD $D0 $00 $DF
	$50 $00 $F7 $50 $00 $FD $50 $00
	$F7 $50 $00 $DD $50 $00 $FF $70
	$00 $FD $40 $00 $F7 $40 $00 $34
	$FD $40 $00 $FF $40 $00 $F7 $40
	$00 $DD $40 $00 $FF $40 $00 $F5
	$40 $00 $DD $40 $00 $F7 $40 $00
	$FD $40 $00 $77 $40 $00 $DD $40
	$00 $FD $40 $00 $F7 $40 $00 $DD
	$40 $00 $F5 $40 $00 $FD $40 $00
	$F7 $40 $00 $FD $40 $00 $FD $40
	$00 $F7 $40 $00 $FF $40 $00 $34
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $34

ENDD

DATA drighthead
;;-------------

	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $01 $00
	$00 $05 $00 $00 $15 $00 $00 $15
	$00 $00 $15 $00 $00 $D5 $00 $00
	$55 $00 $00 $55 $00 $03 $57 $00
	$01 $75 $00 $01 $5D $00 $01 $D7
	$00 $01 $7D $00 $0D $FF $00 $07
	$7F $00 $05 $DD $00 $07 $FF $34
	$00 $0D $FF $00 $07 $7F $00 $05
	$FF $00 $07 $FF $00 $0D $FF $00
	$07 $7F $00 $3F $FF $00 $17 $FF
	$00 $1D $FF $00 $17 $DF $00 $1D
	$FF $00 $17 $FF $00 $17 $FF $00
	$1D $FF $00 $17 $7F $00 $17 $FF
	$00 $1D $FF $00 $07 $7F $00 $07
	$FF $00 $05 $F7 $00 $07 $7F $44
	$00 $07 $FF $00 $05 $FF $00 $07
	$FF $00 $07 $7F $00 $05 $FF $00
	$07 $77 $00 $05 $FF $00 $05 $7F
	$00 $05 $DF $00 $07 $7F $00 $05
	$FD $00 $05 $DF $00 $07 $7F $00
	$05 $F7 $00 $05 $DF $00 $05 $7F
	$00 $05 $DF $00 $05 $77 $00 $0D
	$FF $00 $01 $7F $00 $01 $DF $34
	$00 $01 $7F $00 $01 $FF $00 $01
	$DF $00 $01 $77 $00 $01 $FF $00
	$01 $5F $00 $01 $77 $00 $01 $DF
	$00 $01 $7F $00 $01 $DD $00 $01
	$77 $00 $01 $7F $00 $01 $DF $00
	$01 $77 $00 $01 $5F $00 $01 $7F
	$00 $01 $DF $00 $01 $7F $00 $01
	$7F $00 $01 $DF $00 $01 $FF $34
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $55 $00 $00 $55
	$40 $00 $55 $50 $00 $55 $50 $00
	$55 $54 $00 $55 $54 $00 $55 $54
	$00 $55 $54 $00 $55 $54 $00 $5D
	$55 $00 $D5 $55 $00 $55 $55 $00
	$DD $55 $00 $75 $55 $40 $D7 $55
	$40 $FD $D5 $40 $DD $55 $40 $34
	$F7 $55 $50 $FD $55 $50 $77 $55
	$50 $FD $75 $50 $FF $55 $54 $DD
	$D5 $54 $FF $5D $54 $FD $D5 $55
	$FF $75 $55 $F7 $D7 $55 $FF $75
	$55 $FF $DD $55 $FF $75 $55 $FD
	$F7 $55 $FF $DD $75 $FF $F5 $55
	$FF $77 $55 $FF $DD $D5 $FF $FD
	$55 $FF $77 $5D $FF $FD $D5 $34
	$FF $F7 $55 $FF $FD $DD $FF $DF
	$75 $FF $FD $D7 $FF $FF $DD $FF
	$FF $75 $FF $F7 $F7 $FF $FF $DD
	$FF $FF $7D $FF $FF $F7 $FF $FF
	$FD $FF $FF $77 $FF $FF $FF $FF
	$FF $FF $FF $FF $F7 $FF $FF $FF
	$FF $FF $FF $FF $FF $FF $FF $FF
	$FF $7F $FF $F7 $FF $FF $FF $34
	$FF $FF $FF $FF $FF $FF $FF $FD
	$F7 $FF $FF $FF $FF $FF $DD $FF
	$7D $F7 $FF $FF $DD $FF $FF $75
	$FF $FD $DD $FF $DF $55 $FF $FD
	$D5 $FF $F7 $5D $FF $75 $57 $F7
	$DD $75 $FF $75 $57 $FF $D5 $DF
	$77 $75 $77 $FD $D7 $7F $F7 $D5
	$DD $FD $5D $7F $DF $57 $DD $34
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $40 $00 $00 $40 $00 $00 $40
	$00 $00 $50 $00 $00 $50 $00 $00
	$50 $00 $00 $50 $00 $00 $54 $00
	$00 $54 $00 $00 $54 $00 $00 $34
	$55 $00 $00 $75 $00 $00 $55 $00
	$00 $55 $40 $00 $55 $40 $00 $75
	$40 $00 $55 $50 $00 $DD $50 $00
	$55 $54 $00 $75 $54 $00 $D5 $55
	$00 $DD $D5 $00 $77 $55 $40 $F5
	$5D $40 $DD $D5 $50 $77 $75 $5A
	$FD $D7 $56 $F7 $DD $55 $7F $77
	$55 $FF $F5 $55 $DD $DD $55 $34
	$F7 $75 $75 $7D $55 $55 $F7 $5D
	$5D $5D $55 $D7 $D5 $55 $7D $75
	$77 $DF $55 $5D $FD $5D $F7 $7F
	$57 $DF $FF $DD $FF $FF $77 $7D
	$FF $FF $FF $FF $DF $FF $FF $FF
	$FF $FF $FD $FF $FF $7F $FF $FF
	$FF $FF $FF $FF $FF $FF $FF $FF
	$FF $FF $FF $FF $FF $FF $FF $34
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $AA $00 $2A
	$55 $AA $95 $55 $55 $55 $55 $55
	$55 $55 $55 $D5 $55 $5D $55 $34
	$57 $55 $77 $DD $77 $DD $77 $FF
	$F7 $FF $7F $7F $DF $FF $FF $FF
	$FF $FF $F7 $FF $FF $FF $FF $FF
	$FF $FF $FF $FF $FF $FF $FF $FF
	$FF $FF $FF $FF $FF $FF $FF $FF
	$FF $FF $FF $FF $FF $FF $FF $FF
	$FF $FF $FF $FF $FF $FF $FF $FF
	$FF $FF $FF $FF $FF $FF $FF $34
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $34
	$00 $00 $00 $00 $00 $01 $00 $00
	$05 $00 $00 $05 $00 $00 $15 $00
	$00 $15 $00 $00 $57 $00 $00 $5D
	$00 $00 $57 $00 $01 $75 $00 $01
	$57 $00 $05 $5D $00 $15 $77 $00
	$15 $5F $00 $57 $77 $AA $55 $DF
	$9B $55 $7F $65 $5D $DF $55 $55
	$FF $55 $5D $77 $DD $55 $FF $34
	$75 $57 $FF $FD $D5 $FF $FF $55
	$7F $FF $75 $FF $F7 $D5 $7F $FF
	$5D $7F $FF $F5 $5F $FD $DD $7F
	$FF $F5 $57 $FF $F7 $5D $FF $DD
	$57 $FF $FF $5F $FD $FD $55 $FF
	$F7 $57 $FF $DD $5D $FF $FD $57
	$FF $77 $55 $FF $DD $57 $FF $F7
	$55 $FD $FD $57 $FF $DD $D5 $44
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $01 $00 $00
	$01 $00 $00 $05 $00 $00 $07 $34
	$00 $00 $15 $00 $00 $1D $00 $00
	$57 $00 $00 $55 $00 $01 $77 $00
	$03 $5F $00 $0D $77 $00 $05 $DD
	$00 $07 $7F $00 $15 $7F $00 $17
	$DF $00 $5D $FF $00 $57 $7F $01
	$5D $FF $01 $D7 $FF $05 $7F $7F
	$07 $5D $FF $15 $DF $FF $15 $F7
	$FF $5D $7D $FF $57 $DF $FF $34
	$77 $7F $FF $5D $FF $FF $5F $7D
	$FF $77 $FF $FF $DF $DF $FF $FD
	$FF $FF $7F $FF $FF $FF $FF $FF
	$FF $FF $FD $DD $FF $FF $FF $FF
	$FF $FF $FF $DF $7F $FF $FF $FF
	$FF $FD $FF $FF $FF $FF $FF $FF
	$FF $FF $FD $FF $FF $7F $FF $FF
	$F7 $FF $FF $FF $FF $FF $DD $34
	$FF $FF $FF $FF $FF $F7 $FF $FF
	$DD $FF $FF $77 $FF $DF $F5 $7F
	$FF $DD $FF $FF $F7 $FF $FD $DD
	$FF $FF $F5 $FF $FF $7D $DF $FF
	$D5 $FF $FD $F5 $FD $FF $DD $FF
	$FD $D5 $FF $DF $75 $7F $FF $55
	$FF $FD $D5 $7F $FF $5D $F7 $F7
	$55 $7F $FD $D5 $DF $7D $55 $34
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $AA $00 $02 $AA $80
	$0A $AA $80 $0A $AA $A0 $2A $AA
	$A0 $29 $5A $A0 $25 $56 $A0 $95
	$55 $A8 $95 $55 $A8 $55 $55 $68
	$5D $D5 $68 $57 $55 $68 $DD $DD
	$5A $7F $75 $5A $77 $F5 $5A $34
	$DF $DD $6A $77 $75 $6A $FF $F7
	$5A $FF $5D $56 $7F $F5 $5A $FF
	$DD $5A $FF $75 $D6 $FF $DD $56
	$F7 $75 $5E $FF $DD $5A $FD $D5
	$5A $FF $77 $56 $F7 $D5 $56 $FF
	$D5 $5A $FD $75 $5A $FD $D5 $7A
	$FF $5D $5A $DF $D5 $58 $FD $75
	$68 $FF $55 $58 $F7 $55 $D8 $34
	$7D $D5 $58 $FF $75 $98 $F7 $55
	$60 $FD $D7 $60 $DF $55 $60 $FD
	$D5 $60 $F7 $55 $60 $DD $75 $60
	$F7 $55 $80 $7D $55 $80 $F7 $55
	$80 $D5 $56 $80 $7D $D5 $80 $F7
	$59 $80 $5D $56 $00 $D5 $56 $00
	$F7 $56 $00 $75 $56 $00 $DD $D6
	$00 $75 $56 $00 $D7 $58 $00 $34
	$55 $58 $00 $5D $68 $00 $D5 $58
	$00 $55 $58 $00 $55 $98 $00 $75
	$60 $00 $55 $60 $00 $55 $60 $00
	$D5 $60 $00 $55 $60 $00 $55 $A0
	$00 $5D $60 $00 $D5 $60 $00 $55
	$80 $00 $55 $80 $00 $55 $80 $00
	$55 $80 $00 $56 $80 $00 $56 $80
	$00 $56 $80 $00 $6A $80 $00 $34


ENDD