/*
  CASM.H - Written by Peter Gonzalez [pbgonz@mail.wm.edu], 1995 
 
    CASM, CDASM, CLINK, and CDUMP are freeware; they may be freely 
  distributed, provided that no fee is charged and I am given due 
  credit for my work.  This source code is available directly from me upon 
  request; please do not distribute the source code or any compiled  
  modifications without my consent.  Support freeware!  
*/ 
 
#ifndef _CASM_H
#define _CASM_H

#include "hash.h"

struct TGlobalParams {
  DString MainFileName;  // the main file being assmbled
  BOOL LeaveOutLoadAddress;
  BOOL ShowDisassembly;
  BOOL QuietMode;
  BOOL HideWarnings;

  unsigned ProgStart;
  char huge *OBuf; // output buffer
  unsigned OBufSize;

  char huge *ObjBuf;
  unsigned ObjBufSize; // used for block obj code

  TGlobalParams();
};
extern TGlobalParams GP;


#endif

