#include "tokenize.h"

void main(int argc,char *argv[]) {
  if (argc != 2) {
    cout << "\nTOKENS - Lets you see what the assembler sees!\n";
    cout << "\nUSAGE: TOKENS <Text File>\n"; return;
  }

  strupr(argv[1]);

  TASMFileTokenizer ftok(argv[1]);

  TToken cur;

  do {
    cur = ftok.GetNextToken();
    if (cur == "") return;
    cur.Text.AllUpper();

    cout << cur << ' ';
  } while (1);
}


