/* 
  VERSION.H - Written by Peter Gonzalez [pbgonz@mail.wm.edu], 1995 
 
    CASM, CDASM, CLINK, and CDUMP are freeware; they may be freely 
  distributed, provided that no fee is charged and I am given due 
  credit for my work.  This source code is available directly from me upon 
  request; please do not distribute the source code or any compiled  
  modifications without my consent.  Support freeware!  
*/ 
 
/*
  Writes out "Peter Gonzalez <pbgonz@mail.wm.edu>" so that it can't be
  changed with a file editor.

  e.g.

    if (!WRITENAME()) { screw up program }

  can be put where my name should be written.
*/

#ifndef _VERSION_H

const char *VersionID();

extern long _NameCheck;
long _WriteName(ostream& os);
void WriteFreewareMsg();

#define WRITENAME(OS) (_WriteName(OS)+50 == _NameCheck)

#endif
