LAYOUT
;;----

$0801:	dsysstart
$0810:	ssetup
	smain
	sinterrupt
$0e00:	dsprites
$1000:	waterblox
$1200:	wavesource
$1300:	waterchar


ENDL


ALIASB	temp1 		= $fb
ALIASB	temp2 		= $fc
ALIASB	screenL		= $fd
ALIASB	screenH		= $fe

ALIASB	count		= $10
ALIASB	stepper 	= $11
ALIASB	one		= $12
ALIASB	two		= $13
ALIASB	INTtemp1	= $14
ALIASB	blockL		= $15
ALIASB	blockH		= $16
ALIASB	Vscrollreg	= $17



DATA dSysStart
;;------------

		lEndOfLine
		1996
		$9E
		"(2064)"
		0
lEndOfLine:   	0 0


ENDD


CODE ssetup
;;---------

start:		sei
		lda #$10
wait:		cmp $d012
		bne wait
		lda #$00
		sta $d011
		sta $d020
		sta $d021
		sta INTtemp1
		sta one
		tax
		ldy #$05

marker1:	lda $1300,x
marker2:	sta $2000,x
		inx
		bne marker1
		dey
		beq donecharcopy
		inc marker1 + 2
		inc marker2 + 2
		jmp marker1

donecharcopy:	ldx #$fa
&		lda #$00
		sta $0400,x
		sta $04fa,x
		sta $05f4,x
		sta $06ee,x
		lda #$0e
		sta $d800,x
		sta $d8fa,x
		sta $d9f4,x
		sta $daee,x
		dex
		cpx #$ff
		bne -

		ldx #$78
		lda #$0b
&		sta $d640,x
		dex
		bne -

		ldx #$38	;i
		stx $07f8
		inx
		stx $07f9	;s
		stx $07fe
		inx
		stx $07fa       ;t
		inx
		stx $07fb	;h
		inx
		stx $07fc	;m
		inx
		stx $07fd	;u
		lda #$63
		sta $d000
		clc
		adc #$18
		sta $d002
		clc
		adc #$18
		sta $d004
		clc
		adc #$18
		sta $d006
		clc
		adc #$18
		sta $d008
		clc
		adc #$18
		sta $d00a
		clc
		adc #$18
		sta $d00c
		lda #$6a
		sta $d001
		sta $d003
		sta $d005
		sta $d007
		sta $d009
		sta $d00b
		sta $d00d
		lda #$01
		sta $d027
		sta $d028
		sta $d029
		sta $d02a
		sta $d02b
		sta $d02c
		sta $d02d

		lda #$00
		sta $d010

		lda #$01
		sta two

		lda #$18
		sta $d018
		lda #$1b
		sta $d016
		lda #$ff
		sta $d01b
		lda #$06
		sta $d022
		sta $d023
		lda #$7f
		sta $dc0d
		lda #$10
		sta $d011
		lda #$80
		sta $d012
		lda #<sinterrupt
		sta $0314
		lda #>sinterrupt
		sta $0315
		lda #$01
		sta $d01a
		lda $d019
		sta $d019

ENDC


CODE smain
;;--------

start:
		ldx #$13
		ldy #$14
beam:		lda #$91
		sta $0590,x
		sta $0590,y
		inx
		dey
		beq dropblue
		lda #$18
		sta temp2
&		dec temp1
		bne -
		dec temp2
		bne -
		jmp beam

dropblue:       lda #$68
		sta screenL
		lda #$05
		sta screenH
		lda #$1e
		sta count

droploop:       lda count
		lsr acc
		bcc une
twu:		lda #$93
		jmp past
une:            lda screenL
		clc
		adc #$28
		sta screenL
		bcc +
		inc screenH
&               lda #$92
past:		ldy #$26
&		sta (screenL),y
		dey
		bne -
		ldx #$20
		jsr slow
		dec count
		bne droploop

logorise:	ldx #$00
		jsr slow
		lda #$00
		sta count
bigloop:	lda #>waterblox
		sta blockH
		ldx count
		ldy Istep,x
		cpy #$04
		bne +
		lda $d015
		ora #$01
		sta $d015
&		lda mult,y
		sta blockL
		ldx #$00
		jsr draw

		lda #>waterblox
		sta blockH
		ldx count
		ldy Sstep1,x
		cpy #$04
		bne +
		lda $d015
		ora #$02
		sta $d015
&		lda mult,y
		clc
		adc #$40
		sta blockL
		ldx #$03
		jsr draw

		lda #>waterblox
		sta blockH
		ldx count
		ldy Tstep,x
		cpy #$04
		bne +
		lda $d015
		ora #$04
		sta $d015
&		lda mult,y
		clc
		adc #$80
		sta blockL
		ldx #$06
		jsr draw

		lda #>waterblox
		sta blockH
		ldx count
		ldy Hstep,x
		cpy #$04
		bne +
		lda $d015
		ora #$08
		sta $d015
&		lda mult,y
		clc
		adc #$c0
		sta blockL
		ldx #$09
		jsr draw

		lda #>waterblox + $0100
		sta blockH
		ldx count
		ldy Mstep,x
		cpy #$04
		bne +
		lda $d015
		ora #$10
		sta $d015
&		lda mult,y
		sta blockL
		ldx #$0c
		jsr draw

		lda #>waterblox + $0100
		sta blockH
		ldx count
		ldy Mstep,x
		cpy #$04
		bne +
		lda $d015
		ora #$20
		sta $d015
&		lda mult,y
		clc
		adc #$40
		sta blockL
		ldx #$0f
		jsr draw

		lda #>waterblox
		sta blockH
		ldx count
		ldy Sstep2,x
		cpy #$04
		bne +
		lda $d015
		ora #$40
		sta $d015
&		lda mult,y
		clc
		adc #$40
		sta blockL
		ldx #$12
		jsr draw

slower:		ldx #$50
		jsr slow

		inc count
		lda count
		cmp #14
		beq jello
		jmp bigloop

jello:		ldx #$10
		jsr slow
&		lda #$00
		cmp $d012
		bne -
		lda #$01
		sta $d020
		sta $d021
		lda #$7a
&		cmp $d012
		bne -
		cli
		lda #$68
		sta screenL
		lda #$05
		sta screenH
		jsr waveline
		lda #$10
&		cmp $d012
		bne -
		lda #$00
		sta $d020
		sta $d021

		ldx #$00
		jsr slow
		ldx #$00
		jsr slow
		ldx #$00
		jsr slow

		lda #$00
		sta $d01b

expandloop:	lda $d001
		clc
		adc #$01
		sta $d001
		sta $d00d
		lda $d003
		clc
		adc #$02
		sta $d003
		sta $d00b
		lda $d005
		clc
		adc #$03
		sta $d005
		cmp #27
		bne +
		jmp fall
&		sta $d009
		lda $d007
		clc
		adc #$04
		sta $d007
		bcc +
		lda #$77
		sta $d015
&		lda $d000
		sec
		sbc #$03
		sta $d000
		bcs +
		lda $d010
		eor #$01
		sta $d010
&		lda $d002
		sec
		sbc #$02
		sta $d002
		bcs +
		lda $d010
		eor #$02
		sta $d010
&		lda $d004
		sec
		sbc #$01
		sta $d004
		bcs +
		lda $d010
		eor #$04
		sta $d010
&               lda $d008
		clc
		adc #$01
		sta $d008
		bcc +
		lda $d010
		eor #$10
		sta $d010
&               lda $d00a
		clc
		adc #$02
		sta $d00a
		bcc +
		lda $d010
		eor #$20
		sta $d010
&               lda $d00c
		clc
		adc #$03
		sta $d00c
		bcc +
		lda $d010
		eor #$40
		sta $d010
&               ldx #$30
		ldy #$00
&		dey
		bne -
		dex
		bne -
		jmp expandloop

fall:		lda #$00
		sta $d015
		lda #$00
		sta Vscrollreg

		lda #$90
		sta screenL
		lda #$05
		sta screenH
		lda #$70
		sta count
fallloop:	ldx #$40
		jsr slow
		lda fallloop + 1
		cmp #$04
		beq noaccel
		dec fallloop + 1
noaccel:	lda #$07
&		cmp $d012
		bne -
		lda Vscrollreg
		clc
		adc #$01
		sta Vscrollreg
		cmp #$08
		bcc +
		and #$07
		sta Vscrollreg
		jsr waveline
		lda screenL
		clc
		adc #$28
		sta screenL
		bcc +
		inc screenH
&               lda $d011
		and #$78
		ora Vscrollreg
		sta $d011
		dec count
		bne fallloop

&		jmp ssetup|start

waveline:       ldy #$00
		lda #$00
&		sta (screenL),y
		iny
		cpy #$28
		bne -
&		lda string - $28,y
		sta (screenL),y
		iny
		cpy #$50
		bne -
		lda #$93
&		sta (screenL),y
		iny
		cpy #$78
		bne -
		lda #$00
		ldy #$00
		sta (screenL),y
		ldy #$27
		sta (screenL),y
		iny
		sta (screenL),y
		ldy #$4f
		sta (screenL),y
		iny
		sta (screenL),y
		ldy #$77
		sta (screenL),y
		rts

slow:		ldy #$00
&		dey
		bne -
		dex
		bne -
		rts

draw:          	txa
		clc
		adc #$28
		sta marker1 + 1
continue:	ldy #$00
placeloop:	lda (blockL),y
		sta $0549,x
		inx
		iny
		cpy #$03
		bne stillfirst
marker1:	ldx #$00
stillfirst:	cpy #$06
		bne placeloop
		rts
nextblock:	lda blockL
		clc
		adc #$40
		sta blockL
		bcc +
		inc blockH
&		rts

DATA

mult:	        $00 $08 $10 $18 $20 $28 $30 $38 $40
Istep:		8 8 8 1 2 3 4 5 6 7 8 8 8 8
Sstep1:		8 8 1 2 3 4 5 6 7 8 8 8 8 8
Tstep:		8 1 2 3 4 5 6 7 8 8 8 8 8 8
Hstep:		1 2 3 4 5 6 7 8 8 8 8 8 8 8
Mstep:		8 1 2 3 4 5 6 7 8 8 8 8 8 8
Ustep:		8 8 1 2 3 4 5 6 7 8 8 8 8 8
Sstep2:		8 8 8 1 2 3 4 5 6 7 8 8 8 8

string:		$01 $02 $03 $04 $05 $06
		$01 $02 $03 $04 $05 $06
		$01 $02 $03 $04 $05 $06
		$01 $02 $03 $04 $05 $06
		$01 $02 $03 $04 $05 $06
		$01 $02 $03 $04 $05 $06
		$01 $02 $03 $04


ENDC



CODE sinterrupt
;;-------------

start:          lda #$0e
		sta $d027
		sta $d028
		sta $d029
		sta $d02a
		sta $d02b
		sta $d02c
		sta $d02d

save:		lda #$18

		ldx $d012
		inx

&		cpx $d012
		bne -
		sta $d016
		txa
		clc
		adc INTtemp1
		and #$1f
		tay
		lda $d016
		and #$f8
		ora sinus,y
		inx
		cpx #$f8
		bcc -
		sta save + 1
		inc INTtemp1
		lda INTtemp1
		and #$1f
		sta INTtemp1

		lda #$1b
		sta $d016

		lda #$01
		sta $d027
		sta $d028
		sta $d029
		sta $d02a
		sta $d02b
		sta $d02c
		sta $d02d

		dec two
		bne exit
		lda #$08
		sta two

		ldx #$2f
source:		lda wavesource,x
		sta $2008,x
		dex
		bpl source

		inc one
		ldx one
		cpx #$06
		bcc +
		ldx #$00
		stx one
&		lda chars,x
		sta source + 1

exit:		lda $d019
		sta $d019
		lda $dc0d
		jmp $ea81

DATA

chars:		$00 $30 $60 $90 $60 $30


sinus:		$00 $00 $00 $00 $01 $01 $01 $01
		$02 $02 $03 $03 $03 $03 $04 $04
		$04 $04 $04 $04 $03 $03 $03 $03
		$02 $02 $01 $01 $01 $01 $00 $00

ENDC



DATA dsprites
;;-----------
	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00

	[........ ..XXX... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]

	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..XXX... ........]

	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00

	[........ .XXXXXXX ........]
	[.......X X....... XXXX....]
	[......X. .XXXXXXX ...X....]
	[.....X.. X....... XXXX....]
	[.....X.. X....... ........]
	[......X. .XXXXXX. ........]
	[.......X X......X X.......]
	[........ .XXXXXX. .XX.....]

	[........ .......X X..X....]
	[........ ........ .X.X....]
	[........ ........ .X.X....]
	[........ ........ .X.X....]
	[.....XXX X....... X..X....]
	[.....X.. .XXXXXXX ..X.....]
	[.....XXX X....... XX......]
	[........ .XXXXXXX ........]

	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00

	[.......X XXXXXXXX X.......]
	[....XXX. ........ .XXX....]
	[....X..X XXX.XXXX X..X....]
	[....XXX. ..X.X... .XXX....]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]

	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..X.X... ........]
	[........ ..XXX... ........]

	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00

	[....XXX. ........ .XXX....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ..XXXX.. .X.X....]
	[....X.X. XX....XX .X.X....]
	[....X.XX ..XXXX.. XX.X....]
	[....X.X. XX....XX .X.X....]

	[....X..X ........ X..X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....XXX. ........ .XXX....]

	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00

	[....XXXX ........ XXXX....]
	[....X... XX....XX ...X....]
	[....X.XX ..X..X.. XX.X....]
	[....X.X. XX.XX.XX .X.X....]
	[....X.X. ..X..X.. .X.X....]
	[....X.X. ...XX... .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]

	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....XXX. ........ .XXX....]

	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00

	[.....XXX ........ XXX.....]
	[.....X.X ........ X.X.....]
	[.....X.X ........ X.X.....]
	[.....X.X ........ X.X.....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]

	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[.....X.X ........ X.X.....]
	[.....X.X XXXXXXXX X.X.....]
	[......X. ........ .X......]
	[.......X XXXXXXXX X.......]


ENDD


DATA wavesource
;;-------------

	$00 $00 $00 $03 $FF $FF $FF $FF
	$00 $00 $0F $FF $FF $FF $FF $FF
	$00 $FF $FF $FF $FF $FF $FF $FF
	$00 $FC $FF $FF $FF $FF $FF $FF
	$00 $00 $C0 $FF $FF $FF $FF $FF
	$00 $00 $00 $00 $FF $FF $FF $FF
	$00 $00 $00 $FF $FF $FF $FF $FF
	$00 $00 $0F $FF $FF $FF $FF $FF
	$00 $00 $FF $FF $FF $FF $FF $FF
	$00 $00 $FF $FF $FF $FF $FF $FF
	$00 $00 $F0 $FF $FF $FF $FF $FF
	$00 $00 $00 $FF $FF $FF $FF $FF
	$00 $00 $FF $FF $FF $FF $FF $FF
	$00 $00 $F0 $FF $FF $FF $FF $FF
	$00 $00 $00 $FF $FF $FF $FF $FF
	$00 $00 $00 $FF $FF $FF $FF $FF
	$00 $00 $0F $FF $FF $FF $FF $FF
	$00 $00 $FF $FF $FF $FF $FF $FF
	$00 $FF $FF $FF $FF $FF $FF $FF
	$00 $00 $FC $FF $FF $FF $FF $FF
	$00 $00 $00 $C0 $FF $FF $FF $FF
	$00 $00 $00 $03 $FF $FF $FF $FF
	$00 $00 $3F $FF $FF $FF $FF $FF
	$00 $FF $FF $FF $FF $FF $FF $FF



ENDD



DATA waterchar
;;------------

	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $02
	$00 $00 $00 $00 $28 $AA $AA $AA
	$00 $00 $00 $00 $00 $00 $00 $80
	$00 $00 $00 $00 $02 $02 $02 $0A
	$28 $A8 $AA $AA $AA $AA $AA $AA
	$00 $00 $00 $00 $00 $80 $80 $A0
	$00 $00 $00 $00 $20 $A8 $A8 $A8
	$00 $00 $00 $02 $02 $02 $0A $2A
	$A8 $A8 $A8 $AA $AA $AA $AA $AA
	$00 $00 $00 $00 $00 $00 $80 $A0
	$20 $A8 $A8 $A8 $A8 $A8 $A8 $A8
	$00 $00 $02 $02 $02 $0A $0A $2A
	$00 $00 $00 $00 $00 $80 $80 $A8
	$00 $00 $00 $80 $88 $98 $A8 $A8
	$00 $00 $00 $00 $00 $00 $02 $02
	$A8 $A8 $18 $18 $5A $6A $AA $AA
	$80 $90 $98 $98 $A8 $A8 $A8 $A0
	$00 $00 $00 $00 $00 $10 $24 $2A
	$00 $00 $00 $00 $00 $02 $0A $2A
	$00 $00 $00 $00 $00 $80 $A0 $A8
	$02 $0A $2A $2A $2A $AA $AA $AA
	$AA $AA $AA $AA $AA $AA $AA $AA
	$80 $A0 $A8 $A8 $A8 $A0 $80 $A8
	$00 $00 $00 $00 $02 $0A $2A $2A
	$00 $00 $00 $00 $AA $AA $AA $AA
	$00 $00 $00 $00 $80 $A0 $A8 $A8
	$2A $2A $2A $0A $0A $02 $0A $2A
	$A8 $A0 $80 $80 $A0 $A8 $A8 $AA
	$00 $02 $0A $0A $0A $0A $0A $02
	$80 $A0 $A0 $A0 $20 $80 $80 $A0
	$00 $00 $00 $0A $0A $2A $2A $AA
	$AA $2A $2A $2A $AA $AA $AA $AA
	$A0 $A8 $A8 $A8 $A8 $A8 $A8 $AA
	$00 $00 $00 $00 $02 $02 $02 $02
	$00 $00 $00 $80 $80 $A0 $A9 $AA
	$00 $00 $20 $A0 $00 $00 $40 $50
	$00 $00 $00 $02 $0A $0A $0A $2A
	$AA $2A $0A $0A $8A $AA $AA $AA
	$60 $A0 $A0 $A0 $A0 $A0 $A8 $A8
	$00 $00 $00 $00 $01 $01 $02 $02
	$00 $00 $00 $40 $40 $40 $94 $A9
	$00 $00 $00 $00 $00 $00 $00 $40
	$00 $00 $00 $02 $0A $0A $0A $0A
	$2A $02 $02 $0A $8A $AA $AA $AA
	$90 $90 $A0 $A0 $A0 $A0 $A0 $A8
	$00 $00 $00 $00 $00 $0A $0A $02
	$00 $00 $00 $01 $41 $9A $AA $AA
	$00 $00 $20 $60 $A0 $A0 $A0 $A8
	$00 $00 $00 $00 $00 $0A $0A $2A
	$00 $00 $00 $00 $00 $A0 $A0 $A8
	$00 $0A $0A $0A $02 $00 $02 $0A
	$00 $A0 $A0 $A0 $80 $00 $80 $A8
	$00 $00 $00 $00 $00 $0A $0A $0A
	$00 $00 $00 $00 $00 $A0 $A0 $A0
	$02 $00 $00 $00 $00 $00 $02 $2A
	$AA $AA $2A $28 $AA $AA $AA $AA
	$80 $00 $00 $00 $00 $00 $80 $A8
	$00 $01 $06 $0A $00 $00 $00 $00
	$00 $92 $96 $2A $2A $28 $28 $28
	$00 $90 $A0 $20 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $02 $0A
	$28 $28 $28 $AA $AA $AA $AA $AA
	$00 $00 $00 $00 $00 $00 $04 $08
	$00 $00 $00 $00 $00 $10 $10 $20
	$00 $00 $00 $00 $00 $00 $20 $60
	$08 $00 $00 $00 $00 $00 $00 $02
	$24 $28 $28 $28 $28 $AA $AA $AA
	$20 $00 $00 $00 $00 $00 $00 $80
	$00 $00 $00 $08 $08 $04 $00 $00
	$00 $10 $24 $24 $28 $28 $28 $AA
	$00 $00 $00 $20 $60 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $04 $09
	$00 $00 $00 $00 $10 $24 $28 $AA
	$00 $00 $00 $00 $0A $2A $2A $AA
	$00 $00 $00 $00 $00 $82 $AA $AA
	$00 $00 $00 $00 $A0 $A8 $A8 $AA
	$0A $2A $2A $2A $2A $2A $2A $AA
	$00 $00 $00 $00 $82 $AA $AA $AA
	$00 $00 $00 $00 $08 $28 $2A $2A
	$00 $00 $00 $00 $20 $28 $A8 $A8
	$2A $2A $2A $2A $2A $2A $2A $AA
	$00 $28 $AA $AA $AA $A2 $82 $8A
	$A8 $A8 $A8 $A8 $A8 $A8 $A8 $AA
	$08 $2A $2A $2A $2A $2A $2A $2A
	$00 $00 $00 $00 $00 $14 $A6 $AA
	$AA $82 $00 $00 $00 $82 $82 $AA
	$00 $00 $00 $04 $08 $09 $0A $0A
	$00 $00 $00 $00 $00 $01 $55 $96
	$00 $00 $00 $10 $20 $A0 $A0 $A0
	$0A $0A $2A $2A $2A $2A $2A $AA
	$92 $82 $00 $00 $00 $00 $00 $82
	$00 $05 $06 $06 $0A $2A $2A $AA
	$82 $82 $82 $82 $00 $00 $00 $82
	$00 $50 $90 $A0 $A8 $A8 $A8 $AA
	$00 $00 $00 $00 $04 $09 $0A $2A
	$00 $00 $00 $00 $00 $00 $00 $AA
	$00 $00 $00 $00 $10 $60 $A0 $A8
	$00 $00 $00 $00 $80 $AA $AA $AA
	$0A $0A $0A $0A $0A $2A $2A $AA
	$82 $AA $AA $AA $AA $82 $A2 $AA
	$A0 $A0 $A0 $A0 $A0 $A8 $A8 $AA
	$00 $00 $00 $00 $0A $0A $0A $0A
	$00 $00 $00 $00 $A0 $A0 $A0 $A0
	$0A $0A $0A $2A $2A $2A $2A $AA
	$AA $82 $82 $82 $82 $82 $82 $AA
	$A0 $A0 $A0 $A8 $A8 $A8 $A8 $AA
	$05 $06 $0A $0A $0A $0A $0A $2A
	$00 $00 $51 $96 $96 $AA $AA $A2
	$50 $90 $A0 $A0 $A0 $A0 $A0 $A8
	$82 $82 $82 $82 $82 $82 $AA $AA
	$00 $00 $00 $00 $04 $09 $09 $0A
	$00 $00 $00 $00 $00 $00 $04 $18
	$00 $00 $00 $10 $10 $60 $A0 $A0
	$28 $20 $82 $82 $82 $82 $8A $AA
	$00 $04 $09 $09 $0A $2A $2A $AA
	$00 $00 $04 $18 $28 $20 $82 $AA
	$00 $10 $60 $60 $A0 $A8 $A8 $AA
	$00 $00 $00 $00 $00 $05 $09 $2A
	$00 $00 $00 $00 $00 $00 $41 $AA
	$00 $00 $00 $00 $00 $50 $A0 $A8
	$00 $00 $00 $00 $0A $0A $2A $AA
	$00 $00 $00 $00 $A0 $A0 $A8 $AA
	$0A $0A $0A $2A $2A $2A $AA $AA
	$00 $00 $00 $00 $80 $82 $82 $AA
	$A0 $A0 $A8 $A8 $A8 $A8 $AA $AA
	$00 $00 $00 $00 $0A $0A $0A $2A
	$00 $00 $00 $00 $A0 $A0 $A0 $A8
	$2A $2A $2A $2A $2A $2A $AA $AA
	$00 $00 $82 $82 $82 $A2 $AA $AA
	$0A $0A $0A $2A $2A $2A $2A $2A
	$00 $00 $00 $00 $00 $00 $00 $82
	$A0 $A0 $A0 $A8 $A8 $A8 $A8 $A8
	$2A $2A $2A $2A $2A $0A $2A $AA
	$82 $82 $82 $A2 $AA $AA $AA $AA
	$A8 $A8 $A8 $A8 $A8 $A8 $AA $AA
	$00 $00 $00 $04 $04 $04 $09 $09
	$00 $00 $00 $00 $10 $10 $50 $60
	$00 $00 $41 $82 $AA $AA $AA $AA
	$60 $68 $A8 $A8 $A8 $A8 $A8 $AA
	$00 $04 $05 $0A $0A $0A $0A $2A
	$00 $00 $00 $00 $45 $96 $AA $AA
	$00 $50 $60 $A0 $A0 $A0 $A0 $A8
	$00 $00 $00 $00 $04 $09 $09 $2A
	$00 $00 $00 $00 $00 $00 $55 $AA

	$FF $00 $00 $00 $00 $00 $00 $00
	$FF $FF $FF $FF $00 $00 $00 $00
	$ff $FF $FF $FF $FF $FF $FF $FF

ENDD

DATA waterblox
;;------------

	$00 $00 $00 $00 $00 $00 $CF $01
	$00 $00 $00 $01 $02 $03 $CF $01
	$00 $00 $00 $04 $05 $06 $CF $01
	$00 $07 $00 $08 $09 $0A $CF $01
	$00 $0B $00 $0C $09 $0D $CF $01
	$00 $0E $00 $0F $10 $0A $CF $01
	$00 $00 $00 $00 $11 $00 $CF $01
	$00 $00 $00 $00 $12 $00 $CF $01
	$00 $00 $00 $00 $00 $00 $00 $00

	$00 $00 $00 $13 $02 $14 $CF $01
	$00 $00 $00 $15 $16 $17 $CF $01
	$18 $19 $1A $1B $16 $1C $CF $01
	$1D $16 $1E $1F $20 $21 $CF $01
	$22 $23 $24 $25 $26 $27 $CF $01
	$28 $29 $2A $2B $2C $2D $CF $01
	$00 $00 $00 $2E $2F $30 $CF $01
	$00 $00 $00 $00 $00 $00 $00 $00

	$00 $00 $00 $31 $19 $32 $CF $01
	$00 $00 $00 $33 $16 $34 $CF $01
	$35 $19 $36 $37 $38 $39 $CF $01
	$3A $3B $3C $3D $3E $0A $CF $01
	$3F $40 $41 $42 $43 $44 $CF $01
	$00 $00 $00 $45 $46 $47 $CF $01
	$00 $00 $00 $48 $49 $41 $CF $01
	$00 $00 $00 $00 $00 $00 $00 $00

	$00 $00 $00 $4A $4B $4C $CF $01
	$00 $00 $00 $4D $4E $21 $CF $01
	$4F $00 $50 $51 $52 $53 $CF $01
	$54 $55 $0B $51 $56 $53 $CF $01
	$57 $58 $59 $5A $5B $21 $CF $01
	$00 $00 $00 $5C $5D $5E $CF $01
	$00 $00 $00 $5F $60 $61 $CF $01
	$00 $00 $00 $00 $00 $00 $00 $00

	$00 $00 $00 $4A $62 $4C $CF $01
	$00 $00 $00 $63 $64 $65 $CF $01
	$66 $4E $67 $68 $69 $6A $CF $01
	$6B $6C $6D $51 $6E $53 $CF $01
	$6F $70 $71 $4D $72 $21 $CF $01
	$00 $00 $00 $73 $74 $75 $CF $01
	$00 $00 $00 $76 $77 $78 $CF $01
	$00 $00 $00 $00 $00 $00 $00 $00

	$00 $00 $00 $79 $4B $7A $CF $01
	$00 $00 $00 $7B $7C $7D $CF $01
	$7E $00 $7F $80 $81 $53 $CF $01
	$82 $83 $84 $85 $86 $87 $CF $01
	$88 $00 $89 $4D $8A $8B $CF $01
	$00 $00 $00 $8C $8D $8E $CF $01
	$00 $00 $00 $8F $90 $61 $CF $01
	$00 $00 $00 $00 $00 $00 $00 $00



ENDD


DATA disthmus
;;-----------

	[........]
	[........]
	[........]
	[........]
	[........]
	[........]
	[........]
	[........]

	[..XXX...]
	[........]
	[..X.X...]
	[........]
	[..X.X...]
	[........]
	[..X.X...]
	[........]

	[..X.X...]
	[........]
	[..X.X...]
	[........]
	[..X.X...]
	[........]
	[..X.X...]
	[........]

	[........]
	[........]
	[......X.]
	[........]
	[.....X..]
	[........]
	[.......X]
	[........]

	[.XXXXXXX]
	[........]
	[.XXXXXXX]
	[........]
	[X.......]
	[........]
	[X......X]
	[........]

	[........]
	[........]
	[...X....]
	[........]
	[........]
	[........]
	[X.......]
	[........]

	[........]
	[........]
	[........]
	[........]
	[.....XXX]
	[........]
	[.....XXX]
	[........]

	[.......X]
	[........]
	[........]
	[........]
	[X.......]
	[........]
	[X.......]
	[........]

	[X..X....]
	[........]
	[.X.X....]
	[........]
	[X..X....]
	[........]
	[XX......]
	[........]

	[.......X]
	[........]
	[....X..X]
	[........]
	[........]
	[........]
	[........]
	[........]

	[XXXXXXXX]
	[........]
	[XXX.XXXX]
	[........]
	[..X.X...]
	[........]
	[..X.X...]
	[........]

	[X.......]
	[........]
	[X..X....]
	[........]
	[........]
	[........]
	[........]
	[........]

	[....XXX.]
	[........]
	[....X.X.]
	[........]
	[....X.X.]
	[........]
	[....X.XX]
	[........]

	[........]
	[........]
	[........]
	[........]
	[..XXXX..]
	[........]
	[..XXXX..]
	[........]

	[.XXX....]
	[........]
	[.X.X....]
	[........]
	[.X.X....]
	[........]
	[XX.X....]
	[........]

	[....X..X]
	[........]
	[....X.X.]
	[........]
	[....X.X.]
	[........]
	[....X.X.]
	[........]

	[X..X....]
	[........]
	[.X.X....]
	[........]
	[.X.X....]
	[........]
	[.X.X....]
	[........]

	[....XXXX]
	[........]
	[....X.XX]
	[........]
	[....X.X.]
	[........]
	[....X.X.]
	[........]

	[........]
	[........]
	[..X..X..]
	[........]
	[..X..X..]
	[........]
	[........]
	[........]

	[XXXX....]
	[........]
	[XX.X....]
	[........]
	[.X.X....]
	[........]
	[.X.X....]
	[........]

	[....X.X.]
	[........]
	[....X.X.]
	[........]
	[....X.X.]
	[........]
	[....X.X.]
	[........]

	[.X.X....]
	[........]
	[.X.X....]
	[........]
	[.X.X....]
	[........]
	[.X.X....]
	[........]

	[.....XXX]
	[........]
	[.....X.X]
	[........]
	[....X.X.]
	[........]
	[....X.X.]
	[........]

	[XXX.....]
	[........]
	[X.X.....]
	[........]
	[.X.X....]
	[........]
	[.X.X....]
	[........]

	[....X.X.]
	[........]
	[....X.X.]
	[........]
	[.....X.X]
	[........]
	[......X.]
	[........]

	[........]
	[........]
	[........]
	[........]
	[........]
	[........]
	[........]
	[........]

	[.X.X....]
	[........]
	[.X.X....]
	[........]
	[X.X.....]
	[........]
	[.X......]
	[........]

	[..XXXX..]
	[........]
	[X......X]
	[........]
	[X......X]
	[........]
	[..XXXX..]
	[........]




ENDD





;-		lda #$01
		sta count
		lda #$00
		sta stepper

		ldx #$15
&		lda logoline1,x
		sta $0571,x
		lda logoline2,x
		sta $0599,x
		dex
		bne -

		lda #'['
		sta $052b

inf:            jmp inf

startitup:	ldx #$62
raster1:	cpx $d012
		bne raster1
marker1:	lda #$00
		sta $d016
		;lda #$0e
		;sta $d021
		inx
		inx
raster2:	cpx $d012
		bne raster2
marker2:	lda #$07
		sta $d016
		;lda #$01
		;sta $d021
		inx
		inx
		cpx #$d0
		bcc raster1
		dec count
		bne startitup
		lda #$04
		sta count
		inc stepper
		ldx stepper
		cpx #21
		bne +
		ldx #$00
		stx stepper
&		lda sinal,x
		sta marker1 + 1
		lda #$07
		sec
		sbc sinal,x
		sta marker2 + 1
		jmp startitup

SINAL:		$00 $00 $01 $01 $02 $03 $04 $05 $06 $06 $07 $07 $06 $06 $05 $04 $03 $02 $01 $01
-;