LAYOUT
;;----

$0801:   dsysstart
$0810:   ssetup

$1000:   sjoypaint
         sdrawbigblock

         sjoymap
         sdrawmapscreen
         sdrawline

$1800:   dfreshblox

$3800:   dsprite1
$3840:   dsprite2
$3940:   dsprite3
$3980:   dsprite4

$39d0:   scharmain
         sdrawrow

         sinterrupts

         smenumain
         suniversal

$4000:   scleanchars
         dbulk


ENDL



ALIASB     charL = $fb
ALIASB     charH = $fc
ALIASB     colorL = $fd
ALIASB     colorH = $fe
ALIASB     char_byte_store = $10
ALIASB     blockL = $12
ALIASB     blockH = $13
ALIASB     charinblock = $14
ALIASB     byteinchar = $15
ALIASB     bitinbyte = $16
ALIASB     temp1 = $17
ALIASB     coloredbyte = $18

ALIASB     current_column = $19
ALIASB     blockoffset = $1a
ALIASB     matrixcolor = $1b
ALIASB     colormemcolor = $1c
ALIASB     screenL = $1d
ALIASB     screenH = $1e
ALIASB     temp2 = $20
ALIASB     bmpL = $21
ALIASB     bmpH = $22
ALIASB     V = $23
ALIASB     columncount = $24
ALIASB     rows = $25
ALIASB     tempmapL = $26
ALIASB     tempmapH = $27
ALIASB     mapcolorL = $28
ALIASB     mapcolorH = $29
ALIASB     mapcharL = $2a
ALIASB     mapcharH = $2b
ALIASB     mapblockL = $2c
ALIASB     mapblockH = $2d
ALIASB     blocknum = $2e
ALIASB     keycount = $2f

ALIASB     mapL = $30
ALIASB     mapH = $31

ALIASB     line1 = $32
ALIASB     line2 = $33
ALIASB     wigglycount = $34
ALIASB     joysave = $35
ALIASB     keycompare = $36
ALIASB     startaddL = $37
ALIASB     startaddH = $38
ALIASB     cursorloc = $39
ALIASB     popescroll = $3a
ALIASB     source_char = $3b
ALIASB     quest_char = $3c
ALIASB     charcompareL = $3d
ALIASB     charcompareH = $3e
ALIASB     highestchar = $3f
ALIASB     tempblockL = $40
ALIASB     tempblockH = $41
ALIASB     highesttemp = $42

ALIASB     colors = $50
ALIASB     color1 = $50
ALIASB     color2 = $51
ALIASB     color3 = $52
ALIASB     color4 = $53

ALIASW     d021save = $0335
ALIASW     filename = $0340    ; needs 16 locations
ALIASW     ksetlfs = $ffba
ALIASW     ksetnam = $ffbd
ALIASW     kload = $ffd5
ALIASW     ksave = $ffd8

DATA dSysStart
;;------------

	lEndOfLine      ; This will store the address of the label
	1995            ; This is a decimal word storing the BASIC line #
	$9E             ; Basic SYS instruction
	"(2064)"
	0
lEndOfLine:
	0 0

ENDD

CODE ssetup
;;--------

start:         lda #$00
               sta $d020
               sta $d021
               lda #$0c
               sta $d022
               lda #$05
               sta $d023
               lda #$00
               sta blocknum
               sta color1
               sta charinblock
               sta byteinchar
               lda #$c0
               sta bitinbyte
               lda #$aa
               sta coloredbyte
               lda #$00
               sta mapL
               lda #$50
               sta mapH

               lda #$02
               sta $d010

               lda #$18
               sta $d000            ;; sprite0
               lda #$32
               sta $d001
               lda #$e0
               sta $07f8

               lda #$10
               sta $d002            ;; sprite1
               lda #$62
               sta $d003
               lda #$e1
               sta $07f9

               lda #$a8
               sta $d006            ;; sprite3
               lda #$f2
               sta $d007
               lda #$0a
               sta $d02a
               lda #$e5
               sta $07fb

               lda #$96
               sta $d008            ;; sprite4
               lda #$23
               sta $d009
               lda #$01
               sta $d02b
               lda #$e2
               sta $07fc

               lda #$af
               sta $d00a            ;; sprite5
               lda #$23
               sta $d00b
               lda #$01
               sta $d02c
               lda #$e3
               sta $07fd

               lda #$c5
               sta $d00c            ;; sprite6
               lda #$23
               sta $d00d
               lda #$01
               sta $d02d
               lda #$e4
               sta $07fe

               lda #$b8
               sta $d00e            ;; sprite7
               lda #$ba
               sta $d00f
               lda #$03
               sta $d02e
               lda #$e6
               sta $07ff

               lda $01
               and #$fb
               sta $01

               ldy #$00
               ldx #$00
fillsprites45: lda $da10,y
               sta $3880,x
               lda $d860,y
               sta $3881,x
               lda $d878,y
               sta $3882,x
               lda $d818,y
               sta $38c0,x
               lda $d858,y
               sta $38c1,x
               iny
               cpy #$08
               beq next
               inx
               inx
               inx
               jmp fillsprites45

next:          lda $01
               ora #$04
               sta $01

               ldx #$fa
clear:         lda #$00
               sta $0400,x
               sta $04fa,x
               sta $05f4,x
               sta $06ee,x
               lda #$00
               sta $d800,x
               sta $d8fa,x
               sta $d9f4,x
               sta $daee,x
               dex
               cpx #$ff
               bne clear

fillbmp:       ldy #$18
               ldx #$00
               lda #$ff
marker1:       sta $2000,x
               dex
               bne marker1
               dey
               beq whiten
               inc marker1 + 2
               jmp marker1

whiten:        ldx #$07
               lda #$00
littlesquare:  sta $3480,x
               sta $3488,x
               dex
               bne littlesquare

blackline:     lda #$aa
               sta $3490
               sta $3498
               sta $34a0
               sta $34a8
               sta $34b0
               sta $34b8
               lda #$00
               sta $0692
               sta $0693
               sta $0694
               sta $0695
               sta $0696
               sta $0697

               lda #$01
               ldx #$8c
loop1:         sta $dad0,x
               sta $db5c,x
               dex
               cpx #$ff
               bne loop1

whiteforbott:  lda #$09
               ldx #$27
loop2:         sta $dbc0,x
               dex
               bpl loop2

clearmap:      lda #$00
               ldy #$00
agin:          sta $5000,y
               sta $5100,y
               dey
               bne agin

moveon:        lda #$00
               sta blockL
               lda #$18
               sta blockH

               sei
               lda #$7f
               sta $dc0d
               lda #<sinterrupts|first
               sta $0314
               lda #>sinterrupts|first
               sta $0315
               lda #$01
               sta $d01a
               lda #$ff
               sta $d019
               lda #$1e
               sta $d012
               lda #$18
               sta $d011
               lda #$01
               sta wigglycount
               lda #$00
               sta popescroll

               ldx #$2e
movethatcode:  lda moveable,x
               sta $0350,x
               dex
               cpx #$ff
               bne movethatcode
               jmp $0350


moveable:      lda #$00
               ldy #$08
               ldx #$00
marker2:       sta $0800,x
               dex
               bne marker2
               dey
               beq startitup
               inc $0358
               bne marker2
startitup:     cli
               jsr smenumain|resetmenu
               jsr suniversal|figurenew
               jsr sdrawrow|start
               jsr sdrawmapscreen|start
               jsr sdrawbigblock|start
               jmp sjoymap|prestart

ENDC


CODE sinterrupts
;;-------------

first:         ldx #$1e
raster1:       lda dbulk|lines - $1e,x
               cpx $d012
               bne raster1
               sta $3fff
               inx
               cpx #$2a
               bne raster1

skipit:        jsr waititout
               lda #$00
               sta $3fff
               jsr waititout + 10
               lda #$0c
               sta $d020
               sta $d021
               jsr waititout + 23
               lda #$0f
               sta $d020
               sta $d021
               jsr waititout + 7
               lda #$01
               sta $d020
               sta $d021
               jsr waititout + 4
               lda #$00
               sta $d020
               sta $d021

               ldx d021save
               lda #$34
raster2:       cmp $d012
               bne raster2
               stx $d021
               lda $d019
               sta $d019

               lda #$bb
               sta $d012
               lda #<second
               sta $0314
               lda #>second
               sta $0315
               jmp $ea81

second:        sei
               lda #$1b
               sta $d011
               lda #$08
               sta $d016
               lda #$16
               sta $d018
               lda #$00
               sta $d021

               lda wigglycount
               and #$01
               tax
               lda dbulk|spritecolors,x
               sta $d027
               sta $d028
               dec wigglycount
               bne notthistime
               lda #$03
               sta wigglycount
               lda popescroll
               beq notthistime
               ldx dbulk|pope + $1f
               ldy #$1e
transform:     lda dbulk|pope,y
               sta dbulk|pope + 1,y
               dey
               bpl transform
               stx dbulk|pope

notthistime:   lda $d019
               sta $d019
               lda #$f2
               sta $d012
               lda #<third
               sta $0314
               lda #>third
               sta $0315
               jmp $ea81

third:         lda #$18
               sta $d016
               lda #$12
               sta $d018
               lda d021save
               sta $d021
               ldx #$00
               ldy #$13

               lda #$f9
raster3:       cmp $d012
               bcs raster3
               sty $d011

               lda #$fa
raster4:       cmp $d012
               bcs raster4
               stx $d021

               lda #$18
               sta $d018
               lda $d019
               sta $d019
               lda #$ff
               sta $d012
               lda #<fourth
               sta $0314
               lda #>fourth
               sta $0315
               jmp $ea81


fourth:        jsr waititout + 22
               lda #$01
               sta $d020
               sta $d021
               jsr waititout
               lda #$0f
               sta $d020
               sta $d021
               jsr waititout + 2
               lda #$0c
               sta $d020
               sta $d021
               jsr waititout + 6
               lda #$0b
               sta $d020
               sta $d021

               lda #$00
               sta $3fff
               jsr waititout + 4
mark0:         lda dbulk|lines
               sta $3fff
               jsr waititout + 3
mark1:         lda dbulk|lines + 1
               sta $3fff
               jsr waititout + 3

               ldx #$00
raster5:       lda dbulk|lines + 2,x
               cpx $d012
               bne raster5
               sta $3fff
               inx
               cpx #$11
               bne raster5

               lda #$33
               sta $d011
               lda $d019
               sta $d019

               lda #$1d
               sta $d012
               lda #<first
               sta $0314
               lda #>first
               sta $0315
               jmp $ea81

waititout:     nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
               nop
dummy:         rts


ENDC


;;====================== PAINT BLOCK ROUTINES ================================


CODE sjoypaint
;;-----------

prestart:      lda #$f9
               sta $d015

start:         jsr suniversal|scankeys
               bcc notomap
               jmp sjoymap|prestart
notomap:       lda $c5
               cmp #$01
               bne notochars
tochars:       jmp scharmain|start

notochars:     lda $dc00
               sta joysave
               and #$10
               beq button
               jmp movement

button:        lda $d001
               cmp #$b2
               beq notnormal
               jmp normal

notnormal:     lda $d000
               sta $d00e
               lsr joysave
               bcs buttdown
buttup:        lda #$e6          ;; inc zero page
               sta operation
next1:         lda $d000
               cmp #$98
               bne next2
               lda #color1
               jmp pre
next2:         cmp #$a8
               bne next3
               lda #color2
               jmp pre
next3:         cmp #$b8
               bne next4
               lda #color3
               jmp pre
next4:         lda #color4
pre:           sta operation + 1
operation:     inc color1
               lda color1
               and #$0f
               sta color1
               sta d021save
               lda color2
               and #$0f
               sta color2
               lda color3
               and #$0f
               sta color3
               lda color4
               and #$0f
               sta color4
               ldy #$07
               lda color4
               sta (blockL),y
               dey
               lda color2
               asl acc
               asl acc
               asl acc
               asl acc
               ora color3
               sta (blockL),y
               jsr sdrawbigblock|start
               jsr sdrawmapscreen|start
               jmp start

buttdown:      lsr joysave
               bcs innocent
               lda #$c6          ;; dec zero page
               sta operation
               jmp next1

innocent:      lda $d000
check1:        cmp #$98
               bne check2
               lda #$00
               jmp changecurse
check2:        cmp #$a8
               bne check3
               lda #$55
               jmp changecurse
check3:        cmp #$b8
               bne check4
               lda #$aa
               jmp changecurse
check4:        lda #$ff
changecurse:   sta coloredbyte
return0:       jmp start

normal:        ldy charinblock
               lda (blockL),y
               cmp highestchar
               bcc lower
               sta highestchar
lower:         jsr sdrawbigblock|fillcharL_charH
               lda bitinbyte
               and coloredbyte
               sta temp1
               lda bitinbyte
               eor #$ff
               sta temp2
               ldy byteinchar
               lda (charL),y
               and temp2
               ora temp1
               sta (charL),y
               jsr sdrawbigblock|start
               jsr sdrawmapscreen|start

movement:      lda $dc00
               sta joysave
               and #$0f
               cmp #$0f
               beq return0
checkit:       lsr joysave
               bcs DOWN
               lda charinblock
               cmp #$03
               bcs lower1
upper1:        lda byteinchar
               beq DOWN
stay1:         dec byteinchar
               jmp spriteup
lower1:        lda byteinchar
               bne stay1
               lda #$07
               sta byteinchar
               lda charinblock
               sec
               sbc #$03
               sta charinblock
spriteup:      lda $d001
               sec
               sbc #$08
               sta $d001

DOWN:          lsr joysave
               bcs LEFT
               ldx byteinchar
               lda charinblock
               cmp #$03
               bcs lower2
upper2:        cpx #$07
               bcc stay2
               lda #$00
               sta byteinchar
               lda charinblock
               clc
               adc #$03
               sta charinblock
               jmp spritedown
lower2:        cpx #$07
               bcc stay2
               cmp #$05
               bcc LEFT
               cpx #$08
               beq LEFT
stay2:         inc byteinchar
spritedown:    lda $d001
               clc
               adc #$08
               sta $d001

LEFT:          lsr joysave
               bcs RIGHT
               lda byteinchar
               cmp #$08
               bne ignore1
               lda bitinbyte
               cmp #$c0
               beq RIGHT
ignore1:       lda bitinbyte
               asl acc
               asl acc
               beq more1
               sta bitinbyte
               jmp spriteleft
more1:         lda charinblock
               beq RIGHT
               cmp #$03
               beq RIGHT
               lda #$03
               sta bitinbyte
               dec charinblock
spriteleft:    lda $d000
               sec
               sbc #$10
               sta $d000

RIGHT:         lsr joysave
               bcs done
               lda byteinchar
               cmp #$08
               bne ignore2
               lda bitinbyte
               cmp #$03
               beq done
ignore2:       lda bitinbyte
               lsr acc
               lsr acc
               beq more2
               sta bitinbyte
               jmp spriteright
more2:         lda charinblock
               cmp #$02
               beq done
               cmp #$05
               beq done
               lda #$c0
               sta bitinbyte
               inc charinblock
spriteright:   lda $d000
               clc
               adc #$10
               sta $d000

done:          jsr sdrawrow|start
               lsr joysave
               bcc fast
               ldx #$40
loop2:         ldy #$f0
loop1:         dey
               bne loop1
               dex
               bne loop2

return:        jmp start

fast:          ldy #$30
loop3:         dey
               bne loop3
               jsr sdrawbigblock|start
               jmp start


ENDC



CODE sdrawbigblock
;;---------------

start:         ldy #$07
               lda (blockL),y
               and #$0f
               sta color4
               sta $da96
               sta $da97
               ora #$08
               sta $dbd3
               dey
               lda (blockL),y
               and #$0f
               sta color3
               sta $d023
               sta $da94
               sta $da95
               lda (blockL),y
               and #$f0
               lsr acc
               lsr acc
               lsr acc
               lsr acc
               sta color2
               sta $d022
               sta $da92
               sta $da93

               ldy #$00
               lda (blockL),y
               jsr fillcharL_charH
               lda #$00
               sta colorL
               lda #$d8
               sta colorH
               jsr drawbigchar
               ldy #$01
               lda (blockL),y
               jsr fillcharL_charH
               lda #$08
               sta colorL
               lda #$d8
               sta colorH
               jsr drawbigchar
               ldy #$02
               lda (blockL),y
               jsr fillcharL_charH
               lda #$10
               sta colorL
               lda #$d8
               sta colorH
               jsr drawbigchar
               ldy #$03
               lda (blockL),y
               jsr fillcharL_charH
               lda #$40
               sta colorL
               lda #$d9
               sta colorH
               jsr drawbigchar
               ldy #$04
               lda (blockL),y
               jsr fillcharL_charH
               lda #$48
               sta colorL
               lda #$d9
               sta colorH
               jsr drawbigchar
               ldy #$05
               lda (blockL),y
               jsr fillcharL_charH
               lda #$50
               sta colorL
               lda #$d9
               sta colorH
               jsr drawbigchar
               rts

fillcharL_charH:
               asl acc
               rol charH
               asl acc
               rol charH
               asl acc
               rol charH
               sta charL
               lda charH
               and #$07
               ora #$08
               sta charH
               rts

drawbigchar:   lda #$00
               sta char_byte_store

mediumloop:    ldy char_byte_store
               lda (charL),y
               sty char_byte_store
               sta temp1
               and #$c0
               lsr acc
               lsr acc
               lsr acc
               lsr acc
               lsr acc
               lsr acc
               tax
               lda colors,x
               ldy #$00
               sta (colorL),y
               iny
               sta (colorL),y
               lda temp1
               and #$30
               lsr acc
               lsr acc
               lsr acc
               lsr acc
               tax
               lda colors,x
               iny
               sta (colorL),y
               iny
               sta (colorL),y
               lda temp1
               and #$0c
               lsr acc
               lsr acc
               tax
               lda colors,x
               iny
               sta (colorL),y
               iny
               sta (colorL),y
               lda temp1
               and #$03
               tax
               lda colors,x
               iny
               sta (colorL),y
               iny
               sta (colorL),y

               lda char_byte_store
               cmp #$07
               beq done
               inc char_byte_store

               lda colorL
               clc
               adc #$28
               sta colorL
               bcc mediumloop
               inc colorH
               jmp mediumloop

done:          rts

ENDC


;;=============================== MAP ROUTINES ===============================

CODE sjoymap
;;---------

prestart:      lda #$fa
               sta $d015

start:         jsr suniversal|scankeys
               bcc doit
               jmp sjoypaint|prestart

doit:          lda $dc00
               and #$10
               bne nobutton
               lda blocknum
               ldy #$32
               sta (mapL),y
               jsr sdrawmapscreen|start

nobutton:      lda $dc00
               and #$0f
               cmp #$0f
               beq start
               sta temp1
               lsr temp1
               bcs down
               lda mapL
               cmp #$10
               bcc down
               sec
               sbc #$10
               sta mapL

down:          lsr temp1
               bcs left
               lda mapL
               cmp #$f0
               bcs left
               clc
               adc #$10
               sta mapL

left:          lsr temp1
               bcs right
               lda mapL
               beq wentgirt
               sec
               sbc #$01
               sta mapL

right:         lsr temp1
               bcs wentgirt
               lda mapL
               cmp #$ff
               beq wentgirt
               clc
               adc #$01
               sta mapL

wentgirt:      jsr sdrawmapscreen|start
               jmp start

ENDC


CODE sdrawmapscreen
;;----------------

start:         lda #$10
               sta rows
               lda #$00
               sta V
               lda #$c8
               sta bmpL
               lda #$20
               sta bmpH
               lda #$19
               sta screenL
               sta mapcolorL
               lda #$04
               sta screenH
               lda #$d8
               sta mapcolorH
               lda mapL
               sta tempmapL
               lda mapH
               sta tempmapH
anotherline:   jsr sdrawline|start
               dec rows
               beq done
               ldx V
               lda dbulk|dataV,x
               sta V
               bne nochangemap
               lda tempmapL
               clc
               adc #$10
               sta tempmapL
               bcc nochangemap
               inc tempmapH

nochangemap:   lda bmpL
               clc
               adc #$c8
               sta bmpL
               bcc noincbmpH
               inc bmpH
noincbmpH:     lda screenL
               clc
               adc #$28
               sta screenL
               sta mapcolorL
               bcc anotherline
               inc screenH
               inc mapcolorH
               jmp anotherline

done:          rts


ENDC



CODE sdrawline
;;-----------

start:         lda #$00
               sta blockoffset
               sta current_column
               lda #$05
               sta columncount
               lda V
               sta marker1 + 1
               clc
               adc #$03
               sta marker2 + 1

thebigloop:    ldy blockoffset
               lda (tempmapL),y
               asl acc
               rol mapblockH
               asl acc
               rol mapblockH
               asl acc
               rol mapblockH
               sta mapblockL
               lda mapblockH
               and #$07
               ora #$18
               sta mapblockH
               ldy #$07
               lda (mapblockL),y
               sta colormemcolor
               dey
               lda (mapblockL),y
               sta matrixcolor
marker1:       ldy #$00
fillbuff:      lda (mapblockL),y
               sty temp1

               asl acc
               rol mapcharH
               asl acc
               rol mapcharH
               asl acc
               rol mapcharH
               sta mapcharL
               lda mapcharH
               and #$07
               ora #$08
               sta mapcharH

               ldy #$07
fillbmp:       lda (mapcharL),y
               sta (bmpL),y
               dey
               bpl fillbmp

               lda bmpL
               clc
               adc #$08
               sta bmpL
               bcc noincbmpH
               inc bmpH

noincbmpH:     ldy temp1
               iny
marker2:       cpy #$00
               bne fillbuff

               ldy current_column
               ldx #$02
fillmatrix:    lda matrixcolor
               sta (screenL),y
               lda colormemcolor
               sta (mapcolorL),y
               iny
               dex
               bpl fillmatrix
               sty current_column

               dec columncount
               beq linedone

               inc blockoffset
               jmp thebigloop

linedone:      rts


ENDC


;;=========================CHAR SELECTION ROUTINES==================================


CODE scharmain
;;-----------

start:         lda blockL
               sta marker1 + 1
               sta marker2 + 1
               lda blockH
               sta marker1 + 2
               sta marker2 + 2

mainloop:      jsr $ff9f
               lda $c5
               cmp #$01
               beq continue
               jmp sjoypaint|prestart

continue:      ldx charinblock
               ldy charinblock

               lda $dc00

up:            lsr acc
               bcs down
               lda (blockL),y
               sec
               sbc #$08
               sta (blockL),y
               jmp slowdown

down:          lsr acc
               bcs left
               lda (blockL),y
               clc
               adc #$08
               sta (blockL),y
               jmp slowdown

left:          lsr acc
               bcs right
marker1:       dec $0000,x
               jmp slowdown

right:         lsr acc
               bcs mainloop
marker2:       inc $0000,x

slowdown:      jsr sdrawrow|start
               jsr sdrawbigblock|start
               jsr sdrawmapscreen|start

               ldx #$20
loop2:         ldy #$f0
loop1:         dey
               bne loop1
               dex
               bne loop2
               jmp start


ENDC


CODE sdrawrow
;;----------

start:         ldy charinblock
               lda (blockL),y
               sta temp1
               and #$0f
               tax
               lda dbulk|translate,x
               sta $07bf
               lda temp1
               lsr acc
               lsr acc
               lsr acc
               lsr acc
               tax
               lda dbulk|translate,x
               sta $07be

               lda temp1
               clc
               adc #$14
               tay
               ldx #$27

workin1:       tya
               sta $07c0,x
               dey
               dex
               bpl workin1

               rts

ENDC


;==================================MENU==========================================

CODE smenumain
;;-----------

start:         jsr $ff9f
               jsr $ffe4
               cmp #'H'
               beq help
               jmp ccheck

help:          lda #$40
rast1:         cmp $d012
               bne rast1
               lda #$01
               sta popescroll
               lda #<dbulk|pope - $1e
               sta sinterrupts|raster1 + 1
               lda #>dbulk|pope - $1e
               sta sinterrupts|raster1 + 2
               lda #<dbulk|pope + 2
               sta sinterrupts|raster5 + 1
               lda #>dbulk|pope + 2
               sta sinterrupts|raster5 + 2
               lda #<dbulk|pope
               sta sinterrupts|mark0 + 1
               lda #>dbulk|pope
               sta sinterrupts|mark0 + 2
               lda #<dbulk|pope + 1
               sta sinterrupts|mark1 + 1
               lda #>dbulk|pope + 1
               sta sinterrupts|mark1 + 2

               ldx #$ef
helpem1:       lda dbulk|helpscreen1,x
               sta $06d0,x
               lda #$0d
               sta $dad0,x
               dex
               cpx #$ff
               bne helpem1
               lda #$04
               ldx #$27
topline1:      sta $dad0,x
               dex
               bpl topline1

wait1:         jsr $ff9f
               jsr $ffe4
               beq wait1

               ldx #$ef
helpem2:       lda dbulk|helpscreen2,x
               sta $06d0,x
               dex
               cpx #$ff
               bne helpem2
wait2:         jsr $ff9f
               jsr $ffe4
               beq wait2
               cmp #' '
               beq wait2

               ldx #$ef
helpem3:       lda dbulk|helpscreen3,x
               sta $06d0,x
               dex
               cpx #$ff
               bne helpem3
wait3:         jsr $ff9f
               jsr $ffe4
               beq wait3
               cmp #' '
               beq wait3

               lda #$40
rast2:         cmp $d012
               bne rast2
               lda #$00
               sta popescroll
               lda #<dbulk|lines - $1e
               sta sinterrupts|raster1 + 1
               lda #>dbulk|lines - $1e
               sta sinterrupts|raster1 + 2
               lda #<dbulk|lines + 2
               sta sinterrupts|raster5 + 1
               lda #>dbulk|lines + 2
               sta sinterrupts|raster5 + 2
               lda #<dbulk|lines
               sta sinterrupts|mark0 + 1
               lda #>dbulk|lines
               sta sinterrupts|mark0 + 2
               lda #<dbulk|lines + 1
               sta sinterrupts|mark1 + 1
               lda #>dbulk|lines + 1
               sta sinterrupts|mark1 + 2


               jmp resetmenu

ccheck:        cmp #'C'
               beq yesC
               jmp Bcheck
yesC:          lda #$04
               sta $dafc
               sta $db24
               sta $db4c
               lda #$0e
               ldx #$03
loop1:         sta $dafd,x
               sta $db25,x
               sta $db4d,x
               dex
               bpl loop1

wait4:         jsr $ff9f
               jsr $ffe4
               beq wait4
               cmp #'L'
               beq loadc
               cmp #'S'
               beq savec
               cmp #'E'
               beq erasec
greylse:       lda #$0c
               ldx #$77
loopa:         sta $daf8,x
               dex
               bpl loopa
               rts

erasec:        jsr printerase
               jsr printcharset
               lda #$3f
               sta $0743
               jsr cursor
               lda filename
               cmp #'Y'
               beq clearc
               jmp resetmenu
clearc:        lda #$08
               sta marker1 + 2
               ldy #$08
               ldx #$00
               lda #$00
marker1:       sta $0800,x
               dex
               bne marker1
               inc marker1 + 2
               dey
               bne marker1
               jmp resetmenu

loadc:         jsr printload
               jsr printcharset
               ldy #$00
               jsr setname
               lda #$00
               ldx #$00
               ldy #$08
               jsr kload
               jmp resetmenu

savec:         jsr printsave
               jsr printcharset
               ldy #$ff
               jsr setname
               lda #$00
               sta startaddL
               lda #$08
               sta startaddH
               lda #startaddL
               ldx #$01
               ldy #$10
               jsr ksave
               jmp resetmenu

Bcheck:        cmp #'B'
               beq yesB
               rts
yesB:          lda #$04
               sta $db06
               sta $db2e
               sta $db56
               lda #$0e
               ldx #$03
loop2:         sta $db07,x
               sta $db2f,x
               sta $db57,x
               dex
               bpl loop2

wait5:         jsr $ff9f
               jsr $ffe4
               beq wait5
               cmp #'L'
               beq loadb
               cmp #'S'
               beq saveb
               cmp #'E'
               beq eraseb
greylse2:      lda #$0c
               ldx #$77
loopb:         sta $daf8,x
               dex
               bpl loopb
               rts

eraseb:        jsr printerase
               jsr printblocks
               lda #$3f
               sta $0743
               jsr cursor
               lda filename
               cmp #'Y'
               bne resetmenu
               lda #$18
               sta marker2 + 2
               ldy #$08
               ldx #$00
               lda #$00
marker2:       sta $1800,x
               dex
               bne marker2
               inc marker2 + 2
               dey
               bne marker2
               jmp resetmenu

loadb:         jsr printload
               jsr printblocks
               ldy #$00
               jsr setname
               lda #$00
               ldx #$00
               ldy #$18
               jsr kload
               jmp resetmenu

saveb:         jsr printsave
               jsr printblocks
               ldy #$ff
               jsr setname
               lda #$00
               sta startaddL
               lda #$18
               sta startaddH
               lda #startaddL
               ldx #$01
               ldy #$20
               jsr ksave



resetmenu:     ldx #$ef
charst:        lda dbulk|normalscreen,x
               sta $06d0,x
               dex
               cpx #$ff
               bne charst

colorreset:    lda #$0c
               ldx #$ef
loop7:         sta $dad0,x
               dex
               cpx #$ff
               bne loop7

               lda #$01
               ldx #$27
colord:        sta $db98,x
               dex
               bpl colord
               sta $dad3
               sta $dadd
               lda #$0e
               sta $db98
               sta $db99
               lda #$07
               sta $daf4
               jmp suniversal|figurenew

setname:       sty remember + 1
               jsr cursor
               lda #$00
               ldx #$08
remember:      ldy #$ff
               jsr ksetlfs
               lda cursorloc
               ldx #<filename
               ldy #>filename
               jmp ksetnam

cursor:        lda #$00
               sta cursorloc
               lda #':'
               sta $0785
               lda #'-'
               sta $0786
               lda #'_'
               sta $0787
tap:           jsr $ff9f
               jsr $ffe4
               beq tap
               cmp #$0d
               beq return
               cmp #$14
               beq backspace
               ldx cursorloc
               cpx #$10
               beq tap
               sta $0787,x
               sta filename,x
               inx
               lda #$64
               sta $0787,x
               stx cursorloc
               jmp tap
backspace:     ldx cursorloc
               beq tap
               lda #$20
               sta $0787,x
               dex
               stx cursorloc
               lda #$64
               sta $0787,x
               lda #$00
               sta filename,x
               ldx #$30
loop9:         ldy #$f0
loop8:         dey
               bne loop8
               dex
               bne loop9
               jmp tap
return:        rts


printcharset:  ldx #$06
pc:            lda dbulk|charset,x
               sta $073c,x
               dex
               bpl pc
               rts
printblocks:   ldx #$05
pb:            lda dbulk|blocks,x
               sta $073c,x
               dex
               bpl pb
               rts
printload:     ldx #$03
pl:            lda dbulk|load,x
               sta $0737,x
               dex
               bpl pl
               rts
printsave:     ldx #$03
ps:            lda dbulk|save,x
               sta $0737,x
               dex
               bpl ps
               rts
printerase:    ldx #$04
pe:            lda dbulk|erase,x
               sta $0736,x
               dex
               bpl pe
               rts



ENDC


;=============================CHAR ARRANGERS===================================

CODE scleanchars
;;-------------

start:         lda #$00
               sta $0745
               ldx #$0a
arranging:     lda dbulk|arrange,x
               sta $0738,x
               dex
               bpl arranging

               lda #$01
               sta marker1 + 1
               lda highestchar
               sta highesttemp
               inc highesttemp

marker1:       lda #$01
               sta source_char

               dec highesttemp
               bne noreturn
               jsr sdrawbigblock|start
               jmp smenumain|resetmenu

noreturn:      jsr sdrawbigblock|fillcharL_charH
               lda #$00
               sta quest_char
               sta charcompareL
               lda #$08
               sta charcompareH

powerloop:     ldy #$07
loop1:         lda (charL),y
               cmp (charcompareL),y
               bne notthisone
               dey
               bmi thisone
               jmp loop1

notthisone:    inc quest_char
               lda quest_char
               cmp source_char
               bne addeight

BIC:           inc marker1 + 1
               jmp marker1

addeight:      lda charcompareL
               clc
               adc #$08
               sta charcompareL
               bcc powerloop
               inc charcompareH
               jmp powerloop

thisone:       inc $0745
               dec highestchar
               lda #$ff
               sec
               sbc source_char
               tax
               lda charH
               sta charcompareH
               lda charL
               clc
               adc #$08
               sta charcompareL
               bcc loop2
               inc charcompareH

loop2:         ldy #$07
loop3:         lda (charcompareL),y
               sta (charL),y
               dey
               bpl loop3
               dex
               beq changeblox
               lda charcompareH
               sta charH
               lda charcompareL
               sta charL
               clc
               adc #$08
               sta charcompareL
               bcc loop2
               inc charcompareH
               jmp loop2

changeblox:    ldx #$00
               lda #$00
               sta mapblockL
               lda #$18
               sta mapblockH
loop4:         ldy #$00
loop5:         lda (mapblockL),y
               cmp source_char
               bne skip2
               lda quest_char
               sta (mapblockL),y
skip2:         iny
               cpy #$06
               bne loop5
               dex
               beq decblox
               lda mapblockL
               clc
               adc #$08
               sta mapblockL
               bcc loop4
               inc mapblockH
               jmp loop4

decblox:       ldx #$00
               lda #$00
               sta mapblockL
               lda #$18
               sta mapblockH
loop6:         ldy #$00
loop7:         lda (mapblockL),y
               cmp source_char
               beq skip3
               bcc skip3
               lda (mapblockL),y
               sec
               sbc #$01
               sta (mapblockL),y
skip3:         iny
               cpy #$06
               bne loop7
               dex
               beq reach1
               lda mapblockL
               clc
               adc #$08
               sta mapblockL
               bcc loop6
               inc mapblockH
               jmp loop6

reach1:        jmp marker1

ENDC


;==========================UNIVERSAL ROUTINES==================================


CODE suniversal
;;------------

scankeys:      jsr $ff9f
               dec keycount
               bne nonrepeating
               lda #$0a
               sta keycount
               lda $c5
               cmp #$40
               beq clearcarry

plus:          cmp #$28
               bne minus
               lda blocknum
               cmp #$ff
               beq clearcarry
               inc blocknum
               ldy #$0f
               lda (blockL),y
               bne skipit1

               ldy #$06
               lda (blockL),y
               ldy #$0e
               sta (blockL),y
               ldy #$07
               lda (blockL),y
               ldy #$0f
               sta (blockL),y
skipit1:       jmp figurenew

minus:         cmp #$2b
               bne nonrepeating
               lda blocknum
               beq clearcarry
               dec blocknum
               jmp figurenew

nonrepeating:  lda $c5
               cmp keycompare
               beq clearcarry
               sta keycompare

arrange:       cmp #$0a
               bne space
               jsr scleanchars|start
               jmp clearcarry

space:         cmp #$3c
               bne checkmenu ;clearcarry
               sec
return:        rts
checkmenu:     jsr smenumain|start
clearcarry:    clc
               rts

figurenew:     lda #$36
raster:        cmp $d012
               bne raster
               sei
               lda $01
               and #$fb
               sta $01
               lda blocknum
               and #$f0
               lsr acc
               lsr acc
               lsr acc
               lsr acc
               tax
               lda dbulk|translate,x
               asl acc
               rol charH
               asl acc
               rol charH
               asl acc
               rol charH
               sta charL
               lda charH
               and #$07
               ora #$d0
               sta charH
               ldx #$15
               ldy #$07
firstnum:      lda (charL),y
               sta $3900,x
               dex
               dex
               dex
               dey
               bpl firstnum

               lda blocknum
               and #$0f
               tax
               lda dbulk|translate,x
               asl acc
               rol charH
               asl acc
               rol charH
               asl acc
               rol charH
               sta charL
               lda charH
               and #$07
               ora #$d0
               sta charH
               ldx #$15
               ldy #$07
secondnum:     lda (charL),y
               sta $3901,x
               dex
               dex
               dex
               dey
               bpl secondnum
               lda $01
               ora #$04
               sta $01
               cli

               lda blocknum
               asl acc
               rol blockH
               asl acc
               rol blockH
               asl acc
               rol blockH
               sta blockL
               lda blockH
               and #$07
               ora #$18
               sta blockH
               jsr sdrawrow|start
               jsr sdrawmapscreen|start
               jsr sdrawbigblock|start
               clc
               rts

ENDC


DATA dbulk
;;--------

translate:     $30 $31 $32 $33 $34 $35 $36 $37
               $38 $39 $01 $02 $03 $04 $05 $06

pope:          $82 $fe $fe $92 $12 $1e $0c $00
               $7c $fe $82 $82 $fe $7c $00
               $82 $fe $fe $92 $12 $1e $0c $00
               $82 $fe $fe $92 $92 $c6 $00 $00 $00

lines:         [XX.....X]
               [X.....XX]
               [.....XXX]
               [....XXX.]
               [...XXX..]
               [..XXX...]
               [.XXX....]
               [XXX.....]
               [XX.....X]
               [X.....XX]
               [.....XXX]
               [....XXX.]

spritecolors:  $0e $04

dataV:         $03 $00 $00 $00

blocks:        'BLOCKS '
charset:       'CHARSET'
load:          'Load   '
save:          'Save   '
erase:         'Erase  '
arrange:       'Arranging..'

normalscreen:  '   CHARSET   BLOCKS                 HELP'
               '    Load      Load                      '
               '    Save      Save                      '
               '    Erase     Erase                     '
               '                                        '
               'C= Isthmus                       char 00'

helpscreen1:   '---- BLOCK PAINTER from POPE/Isthmus ---'
               '                                        '
               'SPACE :toggles between the map & painter'
               '+ or -:changes the current block number.'
               'MOVE with joystick, use BUTTON to place.'
               '  -chars save to $0800, blox to $1800-  '

helpscreen2:   '---------------- PAINTER ---------------'
               '.ENTER + <-or-> to change current char  '
               '            under the cursor            '
               '.In Lower Right: button to select color,'
               ' button + UPorDOWN to change curr. color'
               '.Colors : | BKGND | MAT1 | MAT2 | COL0 |'

helpscreen3:   '-------- CHARACTER ARRANGER (A) --------'
               '  Hit -A- only AFTER you'$27've definitely  '
               ' finished ALL the CURRENT blox. It will '
               'automatically remove any duplicate chars'
               '(keeping the blok APPEARANCES the same).'
               ' You can'$27't edit THESE bloks afterwords. '


ENDD


DATA dsprite1
;;-----------

               [****************........]
               [*..............*........]
               [*..............*........]
               [*..............*........]
               [*..............*........]
               [*..............*........]
               [*..............*........]
               [****************........]

ENDD

DATA dsprite2
;;-----------

	[.....XXX ........ XXX.....]
	[.....X.X ........ X.X.....]
	[.....X.X ........ X.X.....]
	[.....X.X ........ X.X.....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]

	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[....X.X. ........ .X.X....]
	[.....X.X ........ X.X.....]
	[.....X.X XXXXXXXX X.X.....]
	[......X. ........ .X......]
	[.......X XXXXXXXX X.......]

	$00 $00 $00 $00 $00 $00 $00 $00
	$00 $00 $00 $00 $00 $00 $00 $00

;-	       [************************]
	       [*......................*]
	       [*......................*]
	       [*......................*]
	       [*......................*]
	       [*......................*]
	       [*......................*]
	       [*......................*]
	       [*......................*]
	       [*......................*]
	       [*......................*]
	       [*......................*]
	       [*......................*]
	       [*......................*]
	       [*......................*]
-;;	       [************************]


ENDD

DATA dsprite3
;;-----------

               [********........********]
               [**..*..*........*..*..**]
               [*.*..*.*........*.*..*.*]
               [*..*..**........**..*..*]
               [**..*..*........*..*..**]
               [*.*..*.*........*.*..*.*]
               [*..*..**........**..*..*]
               [********........********]

ENDD

DATA dsprite4
;;-----------

               [.......X....... .........]
               [......XXX...... .........]
               [.....XXXXX..... .........]
               [....XXXXXXX.... .........]
               [...XXX...XXX... .........]
               [..XX.......XX.. .........]
               [.X...........X. .........]
               [............... .........]
               [............... .........]

               [............... .........]
               [............... .........]
               [............... .........]
               [............... .........]
               [............... .........]
               [............... .........]
               [............... .........]
               [............... .........]
               [............... .........]


ENDD


DATA dfreshblox
;;-------------

	$00 $00 $00 $00 $00 $00 $cf $01
	$01 $02 $03 $04 $05 $06 $00 $00
	$07 $08 $09 $0A $0B $0C $00 $00
	$0D $0E $0F $10 $11 $12 $00 $00
	$13 $14 $15 $16 $17 $18 $00 $00
	$19 $1A $1B $1C $1D $1E $00 $00
	$1F $20 $21 $22 $23 $24 $00 $00
	$25 $26 $27 $28 $29 $2A $00 $00
	$2B $2C $2D $2E $2F $30 $00 $00
	$31 $32 $33 $34 $35 $36 $00 $00
	$37 $38 $39 $3A $3B $3C $00 $00
	$3D $3E $3F $40 $41 $42 $00 $00
	$43 $44 $45 $46 $47 $48 $00 $00
	$49 $4A $4B $4C $4D $4E $00 $00
	$4F $50 $51 $52 $53 $54 $00 $00
	$55 $56 $57 $58 $59 $5A $00 $00
	$5B $5C $5D $5E $5F $60 $00 $00
	$61 $62 $63 $64 $65 $66 $00 $00
	$67 $68 $69 $6A $6B $6C $00 $00
	$6D $6E $6F $70 $71 $72 $00 $00
	$73 $74 $75 $76 $77 $78 $00 $00
	$79 $7A $7B $7C $7D $7E $00 $00
	$7F $80 $81 $82 $83 $84 $00 $00
	$85 $86 $87 $88 $89 $8A $00 $00
	$8B $8C $8D $8E $8F $90 $00 $00
	$91 $92 $93 $94 $95 $96 $00 $00
	$97 $98 $99 $9A $9B $9C $00 $00
	$9D $9E $9F $A0 $A1 $A2 $00 $00
	$A3 $A4 $A5 $A6 $A7 $A8 $00 $00
	$A9 $AA $AB $AC $AD $AE $00 $00
	$AF $B0 $B1 $B2 $B3 $B4 $00 $00
	$B5 $B6 $B7 $B8 $B9 $BA $00 $00
	$BB $BC $BD $BE $BF $C0 $00 $00
	$C1 $C2 $C3 $C4 $C5 $C6 $00 $00
	$C7 $C8 $C9 $CA $CB $CC $00 $00
	$CD $CE $CF $D0 $D1 $D2 $00 $00
	$D3 $D4 $D5 $D6 $D7 $D8 $00 $00
	$D9 $DA $DB $DC $DD $DE $00 $00
	$DF $E0 $E1 $E2 $E3 $E4 $00 $00
	$E5 $E6 $E7 $E8 $E9 $EA $00 $00
	$EB $EC $ED $EE $EF $F0 $00 $00
	$F1 $F2 $F3 $F4 $F5 $F6 $00 $00
	$F7 $F8 $F9 $FA $FB $FC $00 $00
	$FD $FE $FF $00 $00 $00 $00 $00

ENDD



