LAYOUT

$0801:		dsysstart
$0810:		setup

		MAPsetup
		sjoy
		sdrawmap
		supdateblok

		ECsetup
		seditcube
		sdrawtextures
		sinterrupt
		suniversal

$1400:		dcolorshades

		TEsetup
		TEmain
		sundercursor
		sdrawtext
		sfeatures
$3800:          dcursor
$3880:		dcoverup
$38c0:		dlittlesquareW
$3900:		dlittlesquareB

$3940:		dbulk

$5800:		dnorthsides
$5900:		deastsides
$5a00:		dsouthsides
$5b00:		dwestsides

$5c00:		dmap

$6000:		testtexture
		testtexture2
		testtexture3
		texture1
		texture2
		texture3
		texture4
		texture5

ENDL


ALIASB		width		= $20

ALIASB		temp1		= $fb
ALIASB		temp2		= $fc
ALIASB		temp3		= $fd
ALIASB		temp4		= $fe

ALIASB		maptempL	= $10
ALIASB		maptempH	= $11
ALIASB		columncount	= $12
ALIASB		rowcount	= $13
ALIASB          blockoffset	= $14
ALIASB		blockL		= $15
ALIASB          blockH		= $16
ALIASB		currentblock	= $17
ALIASB		speed		= $18
ALIASB		textureL	= $19
ALIASB		textureH	= $1a
ALIASB		side		= $1b
ALIASB		color		= $1c
ALIASB		currenttext	= $1d

ALIASB          mapL		= $30
ALIASB		mapH		= $31

ALIASW		mapadd		= $5c00
ALIASW		bloxadd 	= $5800


DATA dsysstart
;;------------

		endofline
		1995
		$9E
		"(2064)"
		0
endofline:   	0 0


ENDD


CODE setup
;;--------

start:		sei
		lda #$00
		sta $d020
		sta $d021
		lda #<mapadd
		sta mapL
		lda #$00
		sta side
		lda #>mapadd
		sta mapH
		lda #$01
		sta currentblock
		sta speed


		lda #$03
		sta $d015
		ldx #$e0
		stx $07f8
		inx
		stx $07f9
		lda #$a8
		sta $d000
		sta $d002
		lda #$e3
		sta $07fa
		lda #$e4
		sta $07fb
		lda #$e2
		sta $07fc
		sta $07fd
		sta $07fe
		sta $07ff
		lda #$e1
		sta $d027
		sta $d028
		lda #$01
		sta $d029
		lda #$00
		sta $d02a
		sta $d02b
		sta $d02c
		sta $d02d
		sta $d02e
		lda #$f0
		sta $d01d
		sta $d017
		lda #$b8
		sta $d008
		sta $d00c
		lda #$c8
		sta $d00a
		sta $d00e
		lda #$5a
		sta $d009
		sta $d00b
		lda #$8a
		sta $d00d
		sta $d00f
		lda #$9f
		sta $d004
		sta $d006
		lda #$69
		sta $d005
		sta $d007

		lda #$20
		sta marker1 + 2
		sta marker2 + 2
		ldy #$16
		ldx #$00
&		lda #$aa
marker1:	sta $2000,x
		inx
		lda #$55
marker2:	sta $2000,x
		inx
		bne -
		dey
		beq donebmp
		inc marker1 + 2
		inc marker2 + 2
		jmp -

donebmp:        lda #$7f
		sta $dc0d
		lda #<sinterrupt
		sta $0314
		lda #>sinterrupt
		sta $0315
		lda #$01
		sta $d01a
		sta $d019
		lda #$1b
		sta $d011
		lda #$80
		sta $d012
		jmp ECsetup



ENDC

CODE suniversal
;;-------------

translate:	sta temp1
		and #$0f
		tax
		lda translatedata,x
		tax
		lda temp1
		and #$f0
		lsr acc
		lsr acc
		lsr acc
		lsr acc
		tay
		lda translatedata,y
		tay
		rts

DATA

translatedata:	$30 $31 $32 $33 $34 $35 $36 $37
		$38 $39 $01 $02 $03 $04 $05 $06

ENDC




;;==================================MAP EDIT===================================


CODE MAPsetup
;;-----------

start:		sei
		lda #$00
		sta $d01a
		lda #$15
		sta $d018
		lda #$7a
		sta $d001
		lda #$8f
		sta $d003
		lda #$03
		sta $d015
cls:		ldx #$fa
&		lda #$01
		sta $d800,x
		sta $d8fa,x
		sta $d9f4,x
		sta $daee,x
		lda #$20
		sta $0400,x
		sta $04fa,x
		sta $05f4,x
		sta $06ee,x
		dex
		cpx #$ff
		bne -
		ldx #39
&		lda dbulk|Mline1,x
		sta $0748,x
		lda #$0f
		sta $db48,x
		lda dbulk|Mline2,x
		sta $0770,x
		lda #$0f
		sta $db70,x
		lda dbulk|Mline3 ,x
		sta $07c0,x
		lda #$0f
		sta $dbc0,x
		dex
		bpl -
		lda #$0e
		sta $db4d
		sta $db4e
		sta $db7b
		sta $db7c
		sta $db7d
		sta $db7e
		sta $dbcf
		jsr sdrawmap
		jsr supdateblok
		jsr supdateblok|udspeed

ENDC


CODE sjoy
;;-------

start:          jsr $ff9f
		jsr $ffe4
		sei
		beq checkjoy
		cmp #"+"
		bne +
		inc currentblock
		jsr supdateblok|start
		jmp checkjoy
&		cmp #"-"
		bne +
		dec currentblock
		jsr supdateblok|start
		jmp checkjoy
&		cmp #"9"
		bne +
		lda speed
		cmp #$04
		beq +
		inc speed
		jsr supdateblok|udspeed
		jmp checkjoy
&		cmp #"0"
		bne +
		lda speed
		beq +
		dec speed
		jsr supdateblok|udspeed
		jmp checkjoy
&		cmp #13
		bne +
		jmp ECsetup|start

&
checkjoy:	lda $dc00
		and #$1f
		cmp #$1f
		beq start

		sta temp1
UP:		lsr temp1
		bcs DOWN
		lda mapL
		sec
		sbc #width
		sta mapL
		bcs DOWN
		dec mapH

DOWN:		lsr temp1
		bcs LEFT
		lda mapL
		clc
		adc #width
		sta mapL
		bcc LEFT
		inc mapH

LEFT:		lsr temp1
		bcs RIGHT
		lda mapL
		sec
		sbc #$01
		sta mapL
		bcs RIGHT
		dec mapH

RIGHT:		lsr temp1
		bcs BUTTON
		inc mapL
		bne BUTTON
		inc mapH

BUTTON:		lsr temp1
		bcs DONE
		lda mapL
		sta maptempL
		lda mapH
		sta maptempH
		ldx #$03

addloop:	lda maptempL
		clc
		adc #width
		sta maptempL
		bcc +
		inc maptempH
&		dex
		bne addloop

		ldy #$06
		lda currentblock
		sta (maptempL),y

DONE:		jsr sdrawmap

speedometer:	ldx #$20
		ldy #$01
&		dey
		bne -
		dex
		bne -
		jmp start

ENDC


CODE sdrawmap
;;-----------

start:		lda mapL
		sta maptempL
		lda mapH
		sta maptempH
		lda #$00
		sta screencoord + 1
		sta matrixcoord + 1
		lda #$04
		sta screencoord + 2
		lda #$d8
		sta matrixcoord + 2
		lda #$07
		sta rowcount

kimba:          lda #$00
		sta columncount
		lda #$00
		sta blockoffset

bigloop:	ldy blockoffset
		lda (maptempL),y
		tax

		lda bloxadd,x
		sta buffer
		sta buffer + 1
		lda bloxadd + $100,x
		sta buffer + 2
		sta buffer + 3
		lda bloxadd + $200,x
		sta buffer + 4
		sta buffer + 5
		lda bloxadd + $300,x
		sta buffer + 6
		sta buffer + 7

		ldx columncount
		ldy #$00
onscreenloop:	lda buffer,y
screencoord:	sta $0400,x
matrixcoord:	sta $d800,x
		txa
		clc
		adc stepper,y
		tax
		iny
		cpy #$08
		bne onscreenloop

		lda columncount
		adc #$02
		cmp #$26
		bcs nextline
		sta columncount
		inc blockoffset
		jmp bigloop

nextline:	dec rowcount
		beq done
		lda screencoord + 1
		clc
		adc #$78
		sta screencoord + 1
		sta matrixcoord + 1
		bcc +
		inc screencoord + 2
		inc matrixcoord + 2
&		lda maptempL
		clc
		adc #width
		sta maptempL
		bcc kimba
		inc maptempH
		jmp kimba

done:           lda mapL
		sta maptempL
		lda mapH
		sta maptempH
		ldx #$03

addloop:	lda maptempL
		clc
		adc #width
		sta maptempL
		bcc +
		inc maptempH
&		dex
		bne addloop


		lda maptempL
		clc
		adc #$06
		sta maptempL
		bcc +
		inc maptempH
&		jsr suniversal|translate
		stx $077e
		sty $077d
		lda maptempH
		jsr suniversal|translate
		stx $077c
		sty $077b
		rts

DATA

stepper:	$01 $01 $28 $28 $ff $ff $d8
buffer:		$00 $00 $00 $00 $00 $00 $00 $00

ENDC


CODE supdateblok
;;--------------

start:		lda currentblock
		jsr suniversal|translate
		stx $074e
		sty $074d

		ldx currentblock
		lda bloxadd,x
		sta $0772
		sta $db72
		sta $0773
		sta $db73
		lda bloxadd + $100,x
		sta $0774
		sta $db74
		sta $079c
		sta $db9c
		lda bloxadd + $200,x
		sta $07c4
		sta $dbc4
		sta $07c3
		sta $dbc3
		lda bloxadd + $300,x
		sta $07c2
		sta $dbc2
		sta $079a
		sta $db9a
		rts

udspeed:	lda speed
		ora #$30
		sta $07cf
		lda #$05
		sec
		sbc speed
		asl acc
		asl acc
		asl acc
		asl acc
		sta sjoy|speedometer + 1
		rts

ENDC



;;==============================EDIT CUBE===========================================


CODE ECsetup
;;----------

start:          lda #$01
		sta $d01a
		lda #$08
		sta $d016
		ldx #$f9
		lda #$00
&		sta $0400,x
		sta $04fa,x
		sta $05f4,x
		dex
		cpx #$ff
		bne -
		ldx #$9f
&		lda #$20
		sta $06a8,x
		sta $0748,x
		lda #$0f
		sta $daa8,x
		sta $db48,x
		dex
		cpx #$ff
		bne -
		ldx #$27
&		lda #$00
		sta $da80,x
		dex
		bpl -
		ldx #$40
&		lda #$aa
		sta $21e0,x
		sta $2460,x
		dex
		lda #$55
		sta $21e0,x
		sta $2460,x
		dex
		bpl -


		lda #$e2
		sta $d001
		clc
		adc #$15
		sta $d003
		lda #$03
		sta $d015
		ldx #$06
&		lda dbulk|texta,x
		sta $06dd,x
		dex
		bpl -
		ldx #39
&		lda dbulk|ECline1,x
		sta $0748,x
		lda dbulk|ECline2,x
		sta $0798,x
		dex
		bpl -
		lda #'('
		sta $06e8
		sta $06f5
		sta $06d4
		lda #')'
		sta $06ea
		sta $06f7
		sta $06d6
		lda #$0e
		sta $dae5
		sta $dae6
		sta $daf1
		sta $daf2
		sta $dad0
		sta $dad1
		sta $db4d
		sta $db4e

		cli

		jmp seditcube|udcube


ENDC



CODE seditcube
;;------------

start:		jsr $ff9f
		jsr $ffe4
		beq checkjoy
		cmp #"+"
		bne +
		inc currentblock
		jmp udcube
&		cmp #"-"
		bne +
		dec currentblock
udcube:		lda currentblock
		jsr suniversal|translate
		stx $074e
		sty $074d
		jmp redraw
&               cmp #13
		bne +
		lda #$d0
raster:		cmp $d012
		bne raster
		jmp MAPsetup|start
&               cmp #" "
		bne checkjoy
		jmp TEsetup|start

checkjoy:	lda $dc00
		and #$1f
		cmp #$1f
		beq start
		sta temp1
		and #$10
		bne UP

BUTTON:         lda temp1
		and #$0c
		cmp #$0c
		beq start
		lda #<bloxadd
		sta blockL
		lda side
		ora #>bloxadd
		sta blockH
		ldy currentblock

		lda temp1
		and #$08
		bne BUTTLEFT
BUTTRIGHT:	lda (blockL),y
		clc
		adc #$01
		sta (blockL),y
		jmp slow
BUTTLEFT:	lda (blockL),y
		sec
		sbc #$01
		sta (blockL),y
slow:		jsr sdrawtextures|start
		ldx #$50
		ldy #$00
&		dey
		bne -
		dex
		bne -
		jmp start

UP:		lsr temp1
		bcs DOWN
		lda side
		beq reach
		lda #$00
		sta side
		jmp redraw
DOWN:		lsr temp1
		bcs LEFT
		lda side
		cmp #$02
		beq reach
		lda #$02
		sta side
		jmp redraw
LEFT:		lsr temp1
		bcs RIGHT
		lda side
		cmp #$03
		beq reach
		lda #$03
		sta side
		jmp redraw
RIGHT:		lsr temp1
		bcs redraw
		lda side
		cmp #$01
		beq reach
		lda #$01
		sta side

redraw:		jsr sdrawtextures
reach:		jmp start

ENDC


CODE sdrawtextures
;;----------------

start:		lda side
		clc
		adc #$01
		and #$03
		sta left + 1
		lda side
		sec
		sbc #$01
		and #$03
		sta right + 1

middle:         lda side
		ora #>bloxadd
		sta blockH
		lda #<bloxadd
		sta blockL
		ldy currentblock

		lda (blockL),y
		sta $06e9
		sta $dae9
		ora #>testtexture
		sta textureH
		lda #<testtexture
		sta textureL
		lda $06e9
		jsr suniversal|translate
		stx $06e6
		sty $06e5

		lda #$0b
		sta $db82
		sta $db83
		sta $db84
		sta $dbac
		sta $dbd4
		sta $dbd3
		sta $dbd2
		sta $dbaa
		ldx side
		lda chunkone,x
		tax
		lda $06e9
		sta $0782,x
		sta $db82,x
		ldx side
		lda chunktwo,x
		tax
		lda $06e9
		sta $0782,x
		sta $db82,x
		ldx side
		lda chunkthree,x
		tax
		lda $06e9
		sta $0782,x
		sta $db82,x
		lda #$0c
		sta screencoordT + 1
		lda #$04
		sta screencoordT + 2
		lda #$64
		sta screencoordB + 1
		lda #$06
		sta screencoordB + 2
		lda #$00
		sta temp2
		sta temp3
		jsr drawit

left:		lda #$00
		ora #>bloxadd
		sta blockH
		lda #<bloxadd
		sta blockL
		ldy currentblock

		lda #$60
&		cmp $d012
		bne -
		lda (blockL),y
		sta $06d5
		sta $dad5
		ora #>testtexture
		sta textureH
		lda #<testtexture
		sta textureL

		lda $06d5
		jsr suniversal|translate
		stx $06d1
		sty $06d0

		lda #$fa
		sta screencoordT + 1
		lda #$03
		sta screencoordT + 2
		lda #$52
		sta screencoordB + 1
		lda #$06
		sta screencoordB + 2
		lda #$00
		sta temp2
		sta temp3
		jsr drawit

right:		lda #$00
		ora #>bloxadd
		sta blockH
		lda #<bloxadd
		sta blockL
		ldy currentblock

		lda (blockL),y
		sta $06f6
		sta $daf6
		ora #>testtexture
		sta textureH
		lda #<testtexture
		sta textureL

		lda $06f6
		jsr suniversal|translate
		stx $06f2
		sty $06f1

		lda #$1e
		sta screencoordT + 1
		lda #$04
		sta screencoordT + 2
		lda #$76
		sta screencoordB + 1
		lda #$06
		sta screencoordB + 2
		lda #$0a
		sta temp2
		sta temp3

drawit:		lda #$07
		sta temp1
		ldy #$00
toploop:	ldx #$00
drawloopT:	lda (textureL),y
		stx temp4
		tax
		lda dcolorshades,x
		ldx temp4
screencoordT:	sta $0400,x
		iny
		inx
		dec temp2
		beq endoflineT
		cpx #$10
		bne drawloopT
restartT:	dec temp1
		bmi dobottom
		lda screencoordT + 1
		clc
		adc #$28
		sta screencoordT + 1
		bcc toploop
		inc screencoordT + 2
&               jmp toploop
endoflineT:     tya
		clc
		adc #$06
		tay
		lda #$0a
		sta temp2
		jmp restartT

dobottom:       lda #$07
		sta temp1
		ldy #$80
bottloop:	ldx #$00
drawloopB:	lda (textureL),y
		stx temp4
		tax
		lda dcolorshades,x
		ldx temp4
screencoordB:	sta $0400,x
		iny
		inx
		dec temp3
		beq endoflineB
		cpx #$10
		bne drawloopB
restartB:	dec temp1
		bmi done
		lda screencoordB + 1
		sec
		sbc #$28
		sta screencoordB + 1
		bcs bottloop
		dec screencoordB + 2
&               jmp bottloop
endoflineB:     tya
		clc
		adc #$06
		tay
		lda #$0a
		sta temp3
		jmp restartB

done:		rts

DATA

chunkone:	$00 $02 $52 $50
chunktwo:       $01 $2a $51 $28
chunkthree:     $02 $52 $50 $00


ENDC


CODE sinterrupt
;;-------------

start:		lda $d019
		sta $d019

		lda $d012
		cmp #$d0
		bcc changetobott

changetotop:	lda #$18
		sta $d018
		lda #$3b
		sta $d011
		lda #$b3
		sta $d012
		lda $dc0d
		jmp $ea81

changetobott:   lda #$16
		sta $d018
		lda #$1b
		sta $d011
		lda #$fb
		sta $d012
		lda $dc0d
		jmp $ea81

ENDC


;;===============================EDIT TEXTURE=================================


CODE TEsetup
;;----------

start:          cli

		lda #$01
		sta $d01a
		lda #$08
		sta $d016

		ldx #$f9
		lda #$00
&		sta $0400,x
		sta $04fa,x
		sta $05f4,x
		dex
		cpx #$ff
		bne -
		ldx #$9f
&		lda #$20
		sta $06a8,x
		sta $0748,x
		lda #$0f
		sta $daa8,x
		sta $db48,x
		dex
		cpx #$ff
		bne -
		ldx #39
&               lda dbulk|TEline1,x
		sta $06d0,x
		lda dbulk|TEline2,x
		sta $0770,x
		lda dbulk|TEline3,x
		sta $0798,x
		lda #$00
		sta $da80,x
		dex
		bpl -
		ldx #$40
&		lda #$ff
		sta $21e0,x
		sta $2460,x
		dex
		bpl -

		ldx #$07
&		lda dcolorshades|color0,x
		sta $0414,x
		txa
		sta $043c,x

		lda dcolorshades|color1,x
		sta $0464,x
		txa
		clc
		adc #$10
		sta $048c,x

		lda dcolorshades|color2,x
		sta $04b4,x
		txa
		clc
		adc #$20
		sta $04dc,x

		lda dcolorshades|color3,x
		sta $0504,x
		txa
		clc
		adc #$30
		sta $052c,x

		lda dcolorshades|color4,x
		sta $0554,x
		txa
		clc
		adc #$40
		sta $057c,x

		lda dcolorshades|color5,x
		sta $05a4,x
		txa
		clc
		adc #$50
		sta $05cc,x

		lda dcolorshades|color6,x
		sta $05f4,x
		txa
		clc
		adc #$60
		sta $061c,x

		lda dcolorshades|color7,x
		sta $0644,x
		txa
		clc
		adc #$70
		sta $066c,x
		dex
		bpl -

		lda #$fc
		sta $d015
		lda #$00
		sta color
		lda #"("
		sta $06e8
		lda #")"
		sta $06ea
		lda #$0e
		sta $dada
		sta $dadb

		lda #<bloxadd
		sta blockL
		lda side
		ora #>bloxadd
		sta blockH


		jsr TEmain|dacolor
		jsr sdrawtext|start

ENDC


CODE TEmain
;;---------

start:		jsr $ff9f
		jsr $ffe4
		beq checkjoy
		cmp #"+"
		bne +
		ldy currentblock
		lda (blockL),y
		clc
		adc #$01
		sta (blockL),y
		jmp fednosh
&               cmp #"-"
		bne +
		ldy currentblock
		lda (blockL),y
		sec
		sbc #$01
		sta (blockL),y
fednosh:	jsr sdrawtext
		jmp start

&		cmp #'F'
		bne +
		jsr sfeatures|fill
		jmp fednosh
&		cmp #'C'
		bne +
		jsr sfeatures|copy
		jmp fednosh

&		cmp #'L'
		bne +
		jsr sfeatures|lighten
		jmp fednosh
&		cmp #'D'
		bne +
		jsr sfeatures|darken
		jmp fednosh
&		cmp #'G'
		bne +
		jsr sfeatures|grabcolor
		jmp fednosh

&		cmp #13
		bne checkjoy
		jmp ECsetup

checkjoy:	lda $dc00
		and #$1f
		cmp #$1f
		beq start
		sta temp1
UP:		lsr temp1
		bcs DOWN
		lda $d005
		sec
		sbc #$08
		sta $d005
		sta $d007
DOWN:		lsr temp1
		bcs LEFT
		lda $d005
		clc
		adc #$08
		sta $d005
		sta $d007
LEFT:		lsr temp1
		bcs RIGHT
		lda $d004
		sec
		sbc #$08
		sta $d004
		sta $d006
		bcs RIGHT
		lda $d010
		eor #$0c
		sta $d010
RIGHT:          lsr temp1
		bcs BUTTON
		lda $d004
		clc
		adc #$08
		sta $d004
		sta $d006
		bcc BUTTON
		lda $d010
		eor #$0c
		sta $d010

BUTTON:		lsr temp1
		bcs DONE
		lda $d005
		cmp #$b1
		bcs DONE
		cmp #$31
		bcc DONE

		lda $d010
		and #$04
		bne fetchcolor
		lda $d004
		cmp #$97
		bcc placecolor
		cmp #$b6
		bcc DONE
fetchcolor:     jsr sundercursor
		lda (temp1),y
		sta color
		tax
		lda dcolorshades,x
		jsr dacolor
		jmp DONE
placecolor:	jsr sundercursor
		lda color
		sta (temp1),y
		jsr sdrawtext
DONE:           ldx #$40
		ldy #$00
&		dey
		bne -
		dex
		bne -
		jmp start


dacolor:        lda #$00
		sta temp1
		lda #$04
		sta temp2
		ldx color
		lda dcolorshades,x
		sta marker1 + 1
		ldx #$0f
&		ldy #$23
marker1:	lda #$00
		sta (temp1),y
		iny
		sta (temp1),y
		iny
		sta (temp1),y
		dex
		bmi return
		lda temp1
		clc
		adc #$28
		sta temp1
		bcc -
		inc temp2
		jmp -
return:		rts



ENDC



CODE sundercursor
;;---------------

start:		lda #$00
		sta marker1 + 1
		lda $d010
		lsr acc
		lsr acc
		lsr acc
		ror marker1 + 1
		lda $d004
		clc
		adc #$01
		lsr acc
marker1:	ora #$00
		lsr acc
		lsr acc
		sec
		sbc #$03
		tay
		lda $d005
		sec
		sbc #$2a
		lsr acc
		lsr acc
		lsr acc
		tax

		lda $d004
		cmp #$98
		bcc of16

		lda #$04
		sta temp2
		lda #$28
		cpx #$00
		beq skip1
addloop1:     	clc
		adc #$28
		bcc +
		inc temp2
&		dex
		bne addloop1
skip1:       	sta temp1
		rts

of16:           lda $d005
		cmp #$70
		bcs bottomhalf
tophalf:	lda textureH
		sta temp2
		lda textureL
		cpx #$00
		beq skip2
addloop2:     	clc
		adc #$10
		dex
		bne addloop2
skip2:       	sta temp1
		rts

bottomhalf:     txa
		sec
		sbc #$07
		tax
		lda textureH
		sta temp2
		lda #$00
		cpx #$00
		beq skip3
addloop3:     	sec
		sbc #$10
		dex
		bne addloop3
skip3:       	sta temp1

		rts



ENDC


CODE sdrawtext
;;------------

start:          ldy currentblock
		lda (blockL),y
		sta $06e9
		sta $dae9
		ora #>testtexture
		sta textureH
		lda #<testtexture
		sta textureL
		lda $06e9
		jsr suniversal|translate
		stx $06db
		sty $06da

		lda #$00
		sta screencoordT + 1
		lda #$04
		sta screencoordT + 2
		lda #$58
		sta screencoordB + 1
		lda #$06
		sta screencoordB + 2

		lda #$07
		sta temp1
		ldy #$00
toploop:	ldx #$00
drawloopT:	lda (textureL),y
		stx temp4
		tax
		lda dcolorshades,x
		ldx temp4
screencoordT:	sta $0400,x
		iny
		inx
		cpx #$10
		bne drawloopT
restartT:	dec temp1
		bmi dobottom
		lda screencoordT + 1
		clc
		adc #$28
		sta screencoordT + 1
		bcc toploop
		inc screencoordT + 2
		jmp toploop

dobottom:       lda #$07
		sta temp1
		ldy #$80
bottloop:	ldx #$00
drawloopB:	lda (textureL),y
		stx temp4
		tax
		lda dcolorshades,x
		ldx temp4
screencoordB:	sta $0400,x
		iny
		inx
		cpx #$10
		bne drawloopB
restartB:	dec temp1
		bmi done
		lda screencoordB + 1
		sec
		sbc #$28
		sta screencoordB + 1
		bcs bottloop
		dec screencoordB + 2
		jmp bottloop

done:		rts


ENDC

CODE sfeatures
;;------------

grabcolor:      jsr sundercursor
		lda (temp1),y
		sta color
		tax
		lda dcolorshades,x
		jsr TEmain|dacolor
		rts

lighten:        ldy #$00
&		lda (textureL),y
		sec
		sbc #$01
		sta (textureL),y
		dey
		bne -
		rts

darken:        	ldy #$00
&		lda (textureL),y
		clc
		adc #$01
		sta (textureL),y
		dey
		bne -
		rts

fill:		ldx #21
&		lda dbulk|yousure,x
		sta $0720,x
		dex
		bpl -
key:		jsr $ff9f
		jsr $ffe4
		beq key
		cmp #'N'
		beq clear
		cmp #'Y'
		bne key
		lda color
		ldy #$00
&		sta (textureL),y
		dey
		bne -
clear:		ldx #21
		lda #$20
&		sta $0720,x
		dex
		bpl -
return:		rts

copy:		ldx #15
&		lda dbulk|source,x
		sta $0720,x
		dex
		bpl -
char1:		jsr $ff9f
		jsr $ffe4
		beq char1
		cmp #13
		beq reach
		cmp #$14
		beq char1
		sta $0730
char2:		jsr $ff9f
		jsr $ffe4
		beq char2
		cmp #13
		beq clear2
		cmp #$14
		bne +
		lda #$20
		sta $0730
		jmp char1
&		sta $0731
char3:		jsr $ff9f
		jsr $ffe4
		beq char3
		cmp #$14
		bne +
		lda #$20
		sta $0731
		jmp char2
&		cmp #13
		beq readit
reach:		jmp clear2

readit:
hihalf:		lda $0730
		cmp #$3a
		bcs letterH
numberH:        and #$0f
		sta temp1
		jmp lowerhalf
letterH:        and #$0f
		tax
		lda alpha,x
		sta temp1
lowerhalf:      lda $0731
		cmp #$3a
		bcs letterL
numberL:        and #$0f
		sta temp2
		jmp combine
letterL:        and #$0f
		tax
		lda alpha,x
		sta temp2
combine:	lda temp1
		asl acc
		asl acc
		asl acc
		asl acc
		ora temp2
		clc
		adc #>testtexture
		sta temp2
		lda #$00
		sta temp1

		ldy #$00
move:		lda (temp1),y
		sta (textureL),y
		dey
		bne move

clear2:         ldx #18
		lda #$20
&		sta $0720,x
		dex
		bpl -


		rts

DATA
alpha:		$00 $0a $0b $0c $0d $0e $0f


ENDC


DATA dbulk
;;--------

texta:		'texture'
Mline1:		'cube     map address  cube : +=inc -=dec'
Mline2:	        '                      speed: 9=inc 0=dec'
Mline3:		'         speed        enter: edit cube  '
ECline1:	'cube                    space: edit text'
ECline2:        '                        enter: edit map '
TEline1:	'  texture                         color '
TEline2:	'Copy  Lighten Grab    text : +=inc -=dec'
TEline3:	'Fill  Darken          enter: edit cube  '
yousure:	'fill with color? (y/n)'
source:		'source texture: '


ENDD


DATA dcursor
;;----------

		[XXXXXXXX XXXXXXXX XXXXXXXX]
		[XX...... ........ ......XX]
		[X.X..... ........ .....X.X]
		[X..X.... ........ ....X..X]
		[X...X... ........ ...X...X]
		[X....X.. ........ ..X....X]
		[X.....X. ........ .X.....X]
		[X......X ........ X......X]

		[X....... X......X .......X]
		[X....... .X....X. .......X]
		[X....... ..X..X.. .......X]
		[X....... ...XX... .......X]
		[X....... ...XX... .......X]
		[X....... ..X..X.. .......X]
		[X....... .X....X. .......X]
		[X....... X......X .......X]

		[X......X ........ X......X]
		[X.....X. ........ .X.....X]
		[X....X.. ........ ..X....X]
		[X...X... ........ ...X...X]
		[X..X.... ........ ....X..X]
		$00
		[X.X..... ........ .....X.X]
		[XX...... ........ ......XX]
		[XXXXXXXX XXXXXXXX XXXXXXXX]




ENDD

DATA dcoverup
;;-----------

		[XXXXXXXX XXXXXXXX XXXXXXXX]
		[XXXXXXXX XXXXXXXX XXXXXXXX]
		[XXXXXXXX XXXXXXXX XXXXXXXX]
		[XXXXXXXX XXXXXXXX XXXXXXXX]
		[........ ........ ........]
		[........ ........ ........]
		[........ ........ ........]
		[........ ........ ........]
		[XXXXXXXX XXXXXXXX XXXXXXXX]
		[XXXXXXXX XXXXXXXX XXXXXXXX]
		[XXXXXXXX XXXXXXXX XXXXXXXX]
		[XXXXXXXX XXXXXXXX XXXXXXXX]
		[........ ........ ........]
		[........ ........ ........]
		[........ ........ ........]
		[........ ........ ........]
		[XXXXXXXX XXXXXXXX XXXXXXXX]
		[XXXXXXXX XXXXXXXX XXXXXXXX]
		[XXXXXXXX XXXXXXXX XXXXXXXX]
		[XXXXXXXX XXXXXXXX XXXXXXXX]
		[........ ........ ........]



ENDD


DATA dlittlesquareW
;;-----------------

		[XX..XX.. XX...... ........]
		[........ ........ ........]
		[........ ........ ........]
		[X....... .X...... ........]
		[X....... .X...... ........]
		[........ ........ ........]
		[........ ........ ........]
		[X....... .X...... ........]
		[X....... .X...... ........]
		[..XX..XX ........ ........]
		[........ ........ ........]
		[........ ........ ........]

ENDD


DATA dlittlesquareB
;;-----------------

		[..XX..XX ........ ........]
		[X....... .X...... ........]
		[X....... .X...... ........]
		[........ ........ ........]
		[........ ........ ........]
		[X....... .X...... ........]
		[X....... .X...... ........]
		[........ ........ ........]
		[........ ........ ........]
		[XX..XX.. XX...... ........]
		[........ ........ ........]
		[........ ........ ........]

ENDD


DATA dnorthsides
;;-----------

	       $7b $00 $04 $08 $0c $10

ENDD

DATA deastsides
;;-------------

	       $7b $01 $05 $09 $0d $11

ENDD

DATA dsouthsides
;;--------------

	       $7b $02 $06 $0a $0e $12

ENDD

DATA dwestsides
;;-------------

	       $7b $03 $07 $0b $0f $13

ENDD


DATA dmap
;;-------

     $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
     $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
     $00 $01 $00 $00 $01 $00 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00
     $00 $01 $00 $00 $01 $00 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00
     $00 $01 $01 $01 $01 $00 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00
     $00 $01 $00 $00 $01 $00 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00
     $00 $01 $00 $00 $01 $00 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00
     $00 $01 $00 $00 $01 $00 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00
     $00 $01 $00 $00 $01 $00 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00
     $00 $01 $00 $00 $01 $00 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00
     $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
     $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00


ENDD


DATA dcolorshades
;;--------------

color0:      	$11 $f1 $b1 $ff $cf $bf $cc $bc $bc $bc $bc $bc $bc $bc $bc $bc
color1:      	$ff $cf $bf $cc $bc $bb $0c $0b $0b $0b $0b $0b $0b $0b $0b $0b
color2:      	$13 $33 $3e $ee $e6 $b6 $66 $06 $06 $06 $06 $06 $06 $06 $06 $06
color3:      	$14 $f4 $c4 $b4 $44 $49 $62 $04 $04 $04 $04 $04 $04 $04 $04 $04
color4:      	$1a $fa $ca $ba $c2 $b2 $29 $02 $02 $02 $02 $02 $02 $02 $02 $02
color5:      	$18 $f8 $c8 $b8 $88 $98 $99 $09 $09 $09 $09 $09 $09 $09 $09 $09
color6:      	$dd $fd $d5 $bd $f5 $c5 $b5 $05 $05 $05 $05 $05 $05 $05 $05 $05
color7:      	$17 $77 $f7 $c7 $b7 $87 $97 $07 $07 $07 $07 $07 $07 $07 $07 $07


ENDD


;-------------------------------------------------------------------------;
DATA TestTexture
;-------------------------------------------------------------------------;

   '88xxxxxxxxxxxx88' ;0
   '88xxxxx000xxxx88' ;1
   'xxxxx0000000xxxx' ;2
   'xxxx0000xx000xxx' ;3
   'xxx000xxxxx000xx' ;4
   'xxx00xxxxxxx00xx' ;5
   'xx000xxxxxxx000x' ;6
   'xx000xxxxxxx000x' ;7

BottomHalf:

   '88xxxxxxxxxxxx88' ;F
   '88xxx00000xxxx88' ;E
   'xxxx00000000xxxx' ;D
   'xxx0000xxx000xxx' ;C
   'xxx000xxxxx000xx' ;B
   'xx000xxxxxx000xx' ;A
   'xx000xxxxxxx000x' ;9
   'xx000xxxxxxx000x' ;8


ENDD

;-------------------------------------------------------------------------;
DATA TestTexture3
;-------------------------------------------------------------------------;

   'ppxxppxxppxxppxx'
   'ppxxppxxppxxppxx'
   '8800880088008800'
   '8800880088008800'
   'ppxxppxxppxxppxx'
   'ppxxppxxppxxppxx'
   '8800880088008800'
   '8800880088008800'

BottomHalf:

   '8800880088008800'
   '8800880088008800'
   'ppxxppxxppxxppxx'
   'ppxxppxxppxxppxx'
   '8800880088008800'
   '8800880088008800'
   'ppxxppxxppxxppxx'
   'ppxxppxxppxxppxx'

ENDD

;-------------------------------------------------------------------------;
DATA TestTexture2
;-------------------------------------------------------------------------;

   'xxxxxxxxxxxxxxxx'
   'xxxxxxxxxxxxxxxx'
   'xxxxxxxxxxxxxxxx'
   'xxxxxxxxxxxxxxxx'
   'xxxxxxxxxxxxxxxx'
   'xxxxxxx000xxxxxx'
   'xxxxxxxxx00xxxxx'
   'xxxxxxxxxx000xxx'

BottomHalf:

   'xxxxxxxxxxxxxxxx'
   'xxxxxxxxxxxxxxxx'
   'xxxxxxxxxxxxxxxx'
   'xxxxxxxxxxxxxxxx'
   'xxxxxxx000xxxxxx'
   'xxxxxxxxx00xxxxx'
   'xxxxxxxxxx000xxx'
   '00000000000000xx'

ENDD


;-------------------------------------------------------------------------;
DATA Texture1
;-------------------------------------------------------------------------;

   '88xxxxxxxxxxxx88' ;0
   '88xxxxxxxxxxxx88' ;1
   'xxxxxxxx00xxxxxx' ;2
   'xxxxxxx000xxxxxx' ;3
   'xxxxxx0000xxxxxx' ;4
   'xxxxxxxx00xxxxxx' ;5
   'xxxxxxxx00xxxxxx' ;6
   'xxxxxxxx00xxxxxx' ;7

   '88xxxxxxxxxxxx88' ;F
   '88xxx0000000xx88' ;E
   'xxxxx0000000xxxx' ;D
   'xxxxxxxx00xxxxxx' ;C
   'xxxxxxxx00xxxxxx' ;B
   'xxxxxxxx00xxxxxx' ;A
   'xxxxxxxx00xxxxxx' ;9
   'xxxxxxxx00xxxxxx' ;8

ENDD


;-------------------------------------------------------------------------;
DATA Texture2
;-------------------------------------------------------------------------;

   '88xxxxxxxxxxxx88' ;0
   '88xxxxx0000xxx88' ;1
   'xxxxx0000000xxxx' ;2
   'xxx000xxxx000xxx' ;3
   'xxx00xxxxx000xxx' ;4
   'xxxxxxxxxx00xxxx' ;5
   'xxxxxxxxx00xxxxx' ;6
   'xxxxxxx000xxxxxx' ;7

   '88xxxxxxxxxxxx88' ;F
   '88xxxxxxxxxxxx88' ;E
   'xxx000000000xxxx' ;D
   'xxx000000000xxxx' ;C
   'xxx000xxxxxxxxxx' ;B
   'xxxx000xxxxxxxxx' ;A
   'xxxxx00xxxxxxxxx' ;9
   'xxxxxx00xxxxxxxx' ;8

ENDD


;-------------------------------------------------------------------------;
DATA Texture3
;-------------------------------------------------------------------------;

   '88xxxxxxxxxxxx88' ;0
   '88xxxx0000xxxx88' ;1
   'xxxx0000000xxxxx' ;2
   'xxx000xxx000xxxx' ;3
   'xxx000xxx000xxxx' ;4
   'xxxxxxxxx000xxxx' ;5
   'xxxxxxx000xxxxxx' ;6
   'xxxxxxx0000xxxxx' ;7

   '88xxxxxxxxxxxx88' ;F
   '88xx0000000xxx88' ;E
   'xxx000000000xxxx' ;D
   'xxx00xxxxx000xxx' ;C
   'xxxxxxxxxxx00xxx' ;B
   'xxxxxxxxxxx00xxx' ;A
   'xxxxxxxxxx000xxx' ;9
   'xxxxxxxxx000xxxx' ;8

ENDD


;-------------------------------------------------------------------------;
DATA Texture4
;-------------------------------------------------------------------------;


	'88xxxxxxxxxxxx88' ;0
	'88xxxxxxxx00xx88' ;1
	'xxxxxx00xx00xxxx' ;2
	'xxxxxx00xx00xxxx' ;3
	'xxxxx000xx00xxxx' ;4
	'xxxxx000xx00xxxx' ;5
	'xxxx00000000000x' ;6
	'xxxx00000000000x' ;7

	'88xxxxxxxxxxxx88' ;F
	'88xxxxxxx00xxx88' ;E
	'xxxxxxxxx00xxxxx' ;D
	'xxxxxxxxx00xxxxx' ;C
	'xxxxxxxxx00xxxxx' ;B
	'xxxxxxxxx00xxxxx' ;A
	'xxxxxxxxx000xxxx' ;9
	'xxxxxxxxxx00xxxx' ;8

ENDD

;-------------------------------------------------------------------------;
DATA Texture5
;-------------------------------------------------------------------------;

   'xxxxxxxxxxxxxxxx' ;0
   'xxx00000000000xx' ;1
   'xxx00000000000xx' ;2
   'xxx00xxxxxxxxxxx' ;3
   'xxx00xxxxxxxxxxx' ;4
   'xxx00x00000xxxxx' ;5
   'xxx000000000xxxx' ;6
   'xxx000xxxx000xxx' ;7

   'xxxxxxxxxxxxxxxx' ;F
   'xxxxxxxxxxxxxxxx' ;E
   'xxxxx000000xxxxx' ;D
   'xxxx000000000xxx' ;C
   'xxx000xxxx0000xx' ;B
   'xxx000xxxxxx00xx' ;A
   'xxxxxxxxxxxx00xx' ;9
   'xxxxxxxxxxx000xx' ;8

ENDD

;-------------------------------------------------------------------------;
DATA TextureB
;-------------------------------------------------------------------------;

   'xxxxxxxxxxxxxxxx' ;0
   'xxxxxxxxxxxxxxxx' ;1
   'xxxxxxxxxxxxxxxx' ;2
   'xxxxxxxxxxxxxxxx' ;3
   'xxxxxxxxxxxxxxxx' ;4
   'xxxxxxxxxxxxxxxx' ;5
   'xxxxxxxxxxxxxxxx' ;6
   'xxxxxxxxxxxxxxxx' ;7

   'xxxxxxxxxxxxxxxx' ;F
   'xxxxxxxxxxxxxxxx' ;E
   'xxxxxxxxxxxxxxxx' ;D
   'xxxxxxxxxxxxxxxx' ;C
   'xxxxxxxxxxxxxxxx' ;B
   'xxxxxxxxxxxxxxxx' ;A
   'xxxxxxxxxxxxxxxx' ;9
   'xxxxxxxxxxxxxxxx' ;8

ENDD
