#ifndef _V64_H
#define _V64_H

#include "structs.h"


///*
// Low resolution
#define V64_ULX 180
#define V64_ULY 89
#define V64_PW 7		// pixel width
#define V64_PH 9		// pixel height
#define V64_W 40		// i.e. 0..39
#define V64_H 25
#define V64_MIDDLE 12
//*/

/*
// High resolution
#define V64_ULX 180
#define V64_ULY 89
#define V64_PW 7		// pixel width
#define V64_PH 4		// pixel height
#define V64_W 40		// i.e. 0..39
#define V64_H 40
#define V64_MIDDLE 19
*/

void C64PutPixel(int x,int y,int color);
int C64GetPixel(int x,int y);
void C64ClearScr();
void DrawItNormal(TC64Poly Poly,int Color=-1);
void DrawCorners(TC64Poly Poly,int Color);
void DrawFloorGrid(TC64Poly Poly,int Color);

extern int clipping;
extern int rounding;  // 1=roundit, 0=don't

#endif
