/* 
  MISC.H - Written by Peter Gonzalez [pbgonz@mail.wm.edu], 1995 
 
    CASM, CDASM, CLINK, and CDUMP are freeware; they may be freely 
  distributed, provided that no fee is charged and I am given due 
  credit for my work.  This source code is available directly from me upon 
  request; please do not distribute the source code or any compiled  
  modifications without my consent.  Support freeware!  
*/ 
 
#ifndef _MISC_H
#define _MISC_H

#include "general.h"
#include "petestr.h"

BOOL isidchar(int c);

char ASCII2PETASCII(char c);
char ASCII2ScreenCode(char c);

BOOL IsID(const FString& str);

BOOL IsNameInUse(const FString& ID);
BOOL IsReservedWord(const FString& ID);

enum TByteSize {
  BYTE,
  LOBYTEOFWORD,
  HIBYTEOFWORD,
  WORD
};

#endif

