/* 
  NUMBERS.H - Written by Peter Gonzalez [pbgonz@mail.wm.edu], 1995 
 
    CASM, CDASM, CLINK, and CDUMP are freeware; they may be freely 
  distributed, provided that no fee is charged and I am given due 
  credit for my work.  This source code is available directly from me upon 
  request; please do not distribute the source code or any compiled  
  modifications without my consent.  Support freeware!  
*/ 
 
#ifndef _NUMBERS_H
#define _NUMBERS_H

#include "tokenize.h"

void WriteHexByte(ostream& os,unsigned char number);
void WriteHexWord(ostream& os,unsigned number);

unsigned char ReadByte(TASMFileTokenizer& ftok);
unsigned ReadWord(TASMFileTokenizer& ftok);
int ReadByteOrWord(TASMFileTokenizer& ftok,unsigned& dat);

BOOL HexStr2Int(const char *str,unsigned& dest,int& numdigits);
BOOL DecStr2Int(const char *str,unsigned& dest,int& numdigits);

#endif

