#ifndef _PGSTR_H
#define _PGSTR_H

#include "diskacc.h"
#include "general.h"
#include "petestr.h"

#define BUFSIZE 4096

class pgistream {
protected:
  char buf[BUFSIZE+4];
  int curp;
  int buftop;
  int peekch;
  BOOL peeked;
  BOOL EOFhit;

  enum {
    FILEOPEN,
    FILECLOSED,
    ERROR,
    FILEEOF
  } status;

  FString fname;

  unsigned handle;

public:
  pgistream();
  ~pgistream();
  void open(const char *_fname);
  int get();
  int peek();
  void putback(int ch);

  void close();

  BOOL fail() { return (status == ERROR) || (status == FILECLOSED); }

  void clear() { }
};

#endif
